1 Starting up with CompeGPS

1.1 How to use this help

1.2 How to install CompeGPS

1.3 Basic configuration to start using CompeGPS

1.4 Basic functions to start using CompeGPS

1.5 Advanced configuration


1.1 How to use this help

This document has been created to help you become familiar with all CompeGPS’ functions so that you can get to working comfortably with the program.

This section will explain how the help works and where you will be able to find the information that you are interested in.


1.1.1 How the help works

There are three different ways of looking for information in this help, do this by clicking on the corresponding tab at the top left-hand part of the window.

· Contents: This tab will take you to the different books that compose the help. Click once on the book you are interested in to view the different chapters. Double click on the book you are interested in for the sub-chapters to be displayed on the same table of contents.

To view the text contained in each chapter, simply click on the title that you want to read and the contents will be displayed.

· Index: The index contains a list of key words of the document. You can seek the word that best defines the information that you are looking for, then double click on it or click on the Show button to see the related information.

· Seek: You can write the word or words about which you want to receive information on and then click on the button “List subjects”. You will be shown a list of all the chapters that contain the word or words that you wrote. Clicking on the chapter that appears the most useful to you, that chapter will be shown to you and the word you wrote will be marked wherever it appears.

You may find hyperlinks inside the text. A hyperlink is a connection leading to another part of the text and, normally, a hyperlink will appear in a phrase like: “see chapter…” and the name of the chapter will be written in green letters. If you want to follow the hyperlink, click on the word written in green, and you will be taken to the part of the document that is being referred to.

To return to where you were before following the hyperlink you just have to click on the [image] button.


1.1.2 Basic contents of the help

This document is divided in five main blocks:

1. The first block coincides with chapter 1; Starting up with CompeGPS, and it contains basic information about the first steps that should be taken to work with the program.

2. The second block contains complete details CompeGPS’ different configuration options and general filing options.

3. The third block contains all the information about the elements that CompeGPS works with (tracks, landscape maps, waypoints, routes and groups). You will find the chapters: Working with tracks, Working with maps, Working with landscapes, Working with waypoints, Working with routes and groups: working with objects.

4. In the forth block you will find detailed explanations about the different viewing modes that CompeGPS disposes of. These are: Viewing on the main screen, 3D Viewer, graph viewer and the moving map.

5. The fifth block is entirely dedicated to explaining how the Data Tree works. The Data Tree will make working with CompeGPS quicker and easier.


1.2 How to install CompeGPS

1.2.1 System requirements

1.2.2 Installing the CompeGPS CD-ROM

1.2.3 Installing the version downloaded from the Internet

1.2.4 Starting up CompeGPS

1.2.5 Registration

1.2.6 Uninstalling CompeGPS


1.2.1 System requirements

Minimum requirements:

· PC: Pentium 100 MHz o similar

· Operating system: NT / 2000 / XP

· RAM memory: 64 Mb Recommended requirements:

· PC: Pentium III 800 MHz o similar

· Operating system: Windows XP

· RAM memory: 256 Mb

· Graphics card: nvidia Gforce 2, similar o superior


1.2.2 Installing the CompeGPS CD-ROM

The CompeGPS CD-ROM is an auto-run CD-Rom. To install CompeGPS proceed as follows:

1. Insert the CD-ROM in your CD-ROM reader.

The CompeGPS auto-run presentation window will pop up; you will see an installation button and the help buttons, one in each language.

2. Click on the button Install CompeGPS.

The CompeGPS installer will start-up.

3. Follow the instructions that will appear and introduce all the necessary information that the CompeGPS installation program will ask you for.

If you decide to start-up the program as soon as you finish installing it, the program will ask you which language you wish to start up with.

· Choose the language and click on OK.

You will have to start the installation file manually if the CD-ROM does not auto-run. Run the setup_compeGPS.exe file that you will find in the SETUP folder In the CD-ROM.

· Double click on the file setup_compeGPS.exe.


1.2.3 Installing the version downloaded from the Internet.

Download the latest version of CompeGPS from our website: http://www.compegps.com, here you will find all the different versions of CompeGPS.

1. Run the installation program setup_compeGPS[VERSION].exe.

· Double click on the file that has been downloaded: setup_compeGPS[VERSIÓN].exe.

The CompeGPS installation program will start running.

2. Follow the instructions that will appear on the screen and introduce all the necessary information that the CompeGPS installation program will ask you for.

If you decide to start-up the program as soon as you finish installing it, the program will ask you which language you wish to start up with.

· Choose the language and click on OK.


1.2.4 Starting up CompeGPS

To start up CompeGPS carry out any of the following operations:

· Double click on the icon that you will find on the desktop (if you choose this option).

· Double click on the file compegps.exe that you will find in the file program files\compegps (if you did not change this route during installation of the program) .

A countdown will appear if you are an unregistered user. You will have to wait until the countdown finishes. Once this has happened, click on the button Register later. Remember that if you do not register the program will work but only during the 30 days following installation and with several restrictions.

· Geographic coordinates will not work: Degrees, Min & Seg.

· Routes are not editable.

· Save as a web page is not available.

· Maximum two tracks can be simultaneously viewed on the 3D window.

· Track book has capacity for only 20 tracks.

· Non-metric measurements do not work (feet for altitude, miles for longitude, etc.).

· Multiple map viewing is not possible. Only, as a trial session and during two days, will you be able to simultaneously open 2 maps.

· You will not be able to import altitudes from a barogram on a 2D track.

These limitations will increase once the 30 days have passed.


1.2.5 Registration

It is essential that you register CompeGPS for the program to work at its full capacity.

In order to register you must follow the instructions that appear on the screen when you start running the CompeGPS installation program. The method for registration is designed to easy and user-friendly so that you do not have any problems when carrying out this operation. If you nevertheless do encounter any problem, you can contact us by writing to the following e-mail address: support@compegps.com


1.2.6 Uninstalling CompeGPS

To un-install the program, proceed as follows:

· Select the Windows’ menu option Start > Programs > CompeGPS > Uninstall CompeGPS


1.3 Basic configuration to start using CompeGPS

1.3.1 Measurement units

1.3.2 Folder of objects

1.3.3 Protocols and communication ports


1.3.1 Measurement units

When you start working with CompeGPS, it is important that you specify the language and the measurement units and you want to use. The default measurement units that you will find programmed when you start CompeGPS up are metric units.

CompeGPS allows you to choose between several types of measurement units: metric, English and nautical.

To learn how to configure the language and measurement units, read chapter 2.2.8: International configuration.


1.3.2 Folder of objects

CompeGPS works with different types of objects, such as: tracks, maps, waypoints, landscapes, groups and routes.

Whenever you open a track, a map, a waypoint or any other type of object, CompeGPS looks for it in the predetermined folders that were created when the program was installed.

If you want CompeGPS to look for any type of object (tracks, maps, waypoints, landscapes, groups or routes) in another folder defined by you, read chapter 2.2.5 Configurating working folders.


1.3.3 Protocols and communication ports

Before you can download tracks from the GPS or logger, it is important that you first configure the port from which you will be downloading the track and also establish the communication protocol of the equipment that you will connect.

The communication protocol is the language that the GPS or logger uses to communicate and to transmit information to the PC. There are a lot of different protocols and each GPS or logger brand uses it’s own protocol.

Check the list of compatible equipment.

To learn how to configure the communication port and protocol, read chapter 2.2.4 Configurating communications .


1.4 Basic functions to start using CompeGPS

1.4.1 Download a track from the GPS

1.4.2 Open a track

1.4.3 Open a map

1.4.4 Open a waypoint file

1.4.5 3D viewing

1.4.6 Create a waypoint

1.4.7 Create a route

1.4.8 Create a track

1.4.9 Load a waypoint file onto the GPS

1.4.10 Load a route onto the GPS

1.4.11 Load a track onto the GPS

1.4.12 Create a group file


1.4.1 Download a track from the GPS

CompeGPS can download tracks from the following list of GPS and track instrument brand names: Garmin, Maguellan, MLR, Bräuninger Galileo, Digifly Graviter, Renschler Sol, Log-it, Top Navigator. To see a fully detailed list of compatible GPS go to the Hardware section of our website (www.compegps.com) or follow this link: compatible equipment.

Note: Before you are able to download a track from your GPS you may have to configure the communication port and protocol that the PC and the GPS will be working with. For further information on this point read chapter 2.2.4. Configurating communications.

To download a track from your GPS, carry out any of the following operations:

· Click on the button [image] (download track from GPS).

· Select the menu option Communications > Download track from GPS

A pop-up window will inform you of the download development. Once download has finished, CompeGPS may have detected and downloaded several independent tracks. CompeGPS will tell you about this in an information window.

Many tracks store still points at the beginning and end. These are the points that are stored while you are not in movement. CompeGPS will ask you if you want to eliminate them. If you want a correct reading on the altitude graphic it is important that you do eliminate these points.

· Reply to the questions depending on whatever you want to do.

Once the track or tracks have been downloaded, they will be shown on the main 2D window.


1.4.2 Open a track

1. To open a track, carry out any of the following operations:

· Click on the button [image] (open track).

· Select the menu option Tracks > Open track

2. Choose the track that you want to open.

3. Click on the button Open.


1.4.3 Open a map

1. To open a map, carry out any of the following operations:

· Click on the button [image] (open map).

· Select the menu option Maps > Open map.

A new window will open up.

2. Choose the map that you want to open.

3. Click on the button Open.


1.4.4 Open a waypoint file

1. To open a waypoint file, carry out any of the following operations:

· Click on the button [image] (open a waypoint file).

· Select the menu option Waypoints > Open waypoint file.

2. Choose the waypoint file that you want to open.

3. Click on the button Open.


1.4.5 3D viewing

CompeGPS allows for 3D viewing of mountains and tracks on the 3D viewing window. You have to take into account that there are tracks can be in two or three dimensions. Some GPS do not memorize the altitude reading of the points that the track is composed of.

These 2 dimensional tracks can also be viewed on the 3D window but, if you haven’t loaded a landscape, they will either appear as a flat track or, if you have loaded a landscape, they will appear stuck to the landscape.

For further detailed information about tracks, read chapter 3. Working with tracks.

To be able to view mountains in 3D you will first have to open a landscape (read Open a landscape). If you do not first open a landscape, the map will appear flat on the 3D viewing window.

To open the 3D viewing window, carry out any of the following operations.

· Select the menu option See > 3D viewer.

· Click on the button [image] (3D viewer) on the tool bar.

For further detailed information about the 3D viewing window, read chapter 10.2 3D Vieweing.


1.4.6 Create a waypoint

To create a waypoint, carry out any of the following operations:

1. Open the property window of the waypoint:

· Select the menu option Waypoints > New waypoint.

· With the right-hand button of the mouse, click on the point where you want to create a waypoint and choose the option Create waypoint here on the context menu, read Create and edit a waypoint.

Note: If you have created waypoint using the context menu, you should not introduce the coordinates of the new waypoint.

2. You will be shown the table with the properties of the new waypoint. Modify the properties of the waypoint as you wish (name of the waypoint, description, icon, etc).

For further detailed information about waypoints, read chapter 6. Working with waypoints.


1.4.7 Create a route

A route is a set of waypoints ordered in such a way that following their established order they set out a path or a route.

1. To create a route, proceed as follows:

· Select the menu option Route > Create new route.

The property window of the route will appear on the lower part of the screen.

2. Click anywhere on the map wherever you want the route to begin.

3. Hold down the Ctrl key and mark the waypoints, one after another, which will become the route that you are creating.

4. Save the newly created route by clicking on the button Save route in the property window of the route.

For further detailed information about routes, read chapter 7. Working with routes.


1.4.8 Create a track

A track is a set of points that are ordered according to time. Each point contains information about its coordinates, time, and date and, in most cases, altitude.

When you create a track, the time information of the points will not in any order (each point will have the date and time at which the track was created); this is because this newly created track will not be a track that has been travelled through, it will be a track that may be travelled through in the future.

To create a new track, proceed as follows:

1. Open the track edition bar using the menu option Tracks>Create and edit a new track.

2. Use the tools on this bar (Read Create and edit track for detailed information about these tools)

3. When you are satisfied with the trail covered by the new track, close the track edition bar by clicking on the cross on the left of the bar.

For further detailed information about how to create and edit tracks, read chapter 3.2.14. Create and edit a track.


1.4.9 Load a waypoint file onto the GPS

To load a waypoint file from the program onto the GPS, carry out any of the following operations:

1. Connect the GPS to the PC using it’s interface and turn it on.

2. Open the waypoint file that you want to load onto the GPS, read Open a waypoint file.

CompeGPS will show the waypoints on the screen.

3. Select the menu option Communications > Send Waypoints to GPS.

CompeGPS will open a window to show the status of the operation of loading the information onto the GPS.

If you have any problems when you are loading waypoints onto the GPS, it is possible that you will have to configure the communication ports and the transfer protocol on your PC. To do this, read chapter 2.2.4. Configurating communications.

You can also load a waypoint file onto the GPS from the Data Tree. To do this, once you have opened the waypoints file, click with the right-hand button on the waypoint file and select the option send waypoints to GPS.

To load a single waypoint, read Load a waypoint onto the GPS.


1.4.10 Load a route onto the GPS

To load a route onto the GPS, proceed as follows:

1. Connect the GPS to the PC using it’s interface and turn it on.

2. Open or create route that you want to load on the GPS, read chapter 7. Working with Routes.

CompeGPS will show you the route on the screen.

3. Select the menu option Communications > Send route to GPS.

CompeGPS will open a window to show the status of the operation of loading the information onto the GPS.

You can also load a route onto the GPS from the Data Tree. To do this, once you have opened the route, click with the right-hand button on the route that you want to send and select the option send route to GPS.

You may have to configure the communication port and the transfer protocol on your PC, read chapter 2.2.4. Configurating communications.


1.4.11 Load a track onto the GPS

To load a track onto the GPS, proceed as follows:

1. Connect the GPS to the PC using it’s interface and turn it on.

2. Open or create that track that you want to load onto the GPS, read chapter 3. Working with tracks.

CompeGPS will show the track on the screen.

3. Select the menu option Communications > Sent track to GPS.

CompeGPS will open a window to show the status of the operation of loading the information onto the GPS.

You can also load the track onto the GPS from the Data Tree. To do this, once you have opened the track, click with the right-hand button on the track that you want to send and select the option send track to GPS.

You may have to configure the communication port and the transfer protocol on your PC, read chapter 2.2.4. Configurating communications.


1.4.12 Create a group file

CompeGPS understands a group file as a folder in which you store different objects such as tracks, maps, landscapes, waypoints and routes in the same place.

Whenever you create a group file, CompeGPS creates a .cjt file. When you open the group file, all the elements it contains will automatically be opened.

To create a group file, proceed as follows:

1. Open all the objects that you want to store in the group file (tracks, maps, landscapes etc.).

2. Select the menu option Groups > Save a group.

3. Write the name of the file and click on the button Save. CompeGPS will create the .CJT file.

For further detailed information about group files, read chapter 8. Groups: joining objects.


1.5 Advanced configuration

1.5.1 Maximum number of open maps

1.5.2 System of coordinates

1.5.3 Default values

1.5.4 Track formats


1.5.1 Maximum number of open maps

As a standard, CompeGPS only allows you to open two maps at the same time, although, if you configure it conveniently, it can open as may maps as you want.

To change the maximum number of maps that you can open at the same time, proceed as follows:

1. Open CompeGPS’ general option window

· Select the menu option File > Options.

2. Click on the label Maps.

On the lower part of this label you will find the cell with Maximum number of maps on screen.

3. Click inside this cell and write the maximum number of maps that you want CompeGPS to open at the same time. Remember that if you open a large amount of maps at the same time, the system in general may become slower working.

For further detailed information about CompeGPS configurations, read chapter 2. General options.


1.5.2 System of coordinates

There are many different systems of coordinates. As a standard, CompeGPS works with the UTM system of coordinates.

CompeGPS allows you to work with the most popular systems of coordinates such as UTM, LAT-LONG, British Grid amongst many others.

To change the system of coordinates that you want to work with, proceed as follows:

1. Open the window of general options.

· Select the menu option File > Options.

2. Click on the label Coordinates.

3. Choose the type of coordinates system by clicking on the un-folding window Type of coordinates.

For further detailed information about the systems of coordinates, read chapter 2.2.3. Configurating coordinates.


1.5.3 Default values

A track is a set of points that are ordered according to time they are stored. Each point contains information about its coordinates, time, and date and, in most cases, altitude. But tracks can also contain additional information such as: name, name of start point…, amongst many others.

You can configure CompeGPS so that it always records certain information for all the tracks that it stores.

To introduce the default information values that CompeGPS will use whenever a track is stores, proceed as follows

1. Open the window of general options and select the menu option File > Options.

2. Click on the label Default values.

3. Introduce the information that you want to become default values as required in the different files on this window.

4. Click on the button Accept.

For further detailed information about the default values, read chapter 2.2.9. Configurating default values.


1.5.4 Track formats

There are several types of track formats. CompeGPS allows you to work with the following formats: .TRK (it’s own) and .IGC. As a standard, CompeGPS’ stores tracks in it’s own .TRK format.

If you want to change the type of format that CompeGPS has to use to store tracks, proceed as follows:

1. Open the window of general options and choose the menu option File > Options.

2. Click on the label Tracks. This label allows you to change format in which you want CompeGPS to store your tracks.

3. Select the track format from the section Default track format.

For further detailed information about tracks, read chapter 2.2.10. Configurating tracks.


1.6 Configurating the GPS for data transmission

1.5.1 Configurating a Garmin GPS for download

1.5.2 Configurating a MLR GPS for download

1.5.3 Configurating a Renschler GPS for download

1.5.4 Configurating a Brauniger Galileo for download

1.5.5 Configurating a Top Navigator for download


1.6.1 Configurating a Garmin GPS for download

To be able to download information from a Garmin GPS you should make sure of the following:

· The GPS must be turned on.

· The communication protocol on the GPS should be Garmin / Garmin

· Correctly connect the GPS to your PC using the cable supplied by the manufacturer of the equipment.

If you have to correct any of these points, consult with the GPS’ user’s manual.


1.6.2 Configurating a MLR GPS for download

To be able to download information from a MLR GPS you should make sure of the following:

· The GPS must be turned on.

· Make sure that the communication port of the GPS is Active.

· Correctly connect the GPS to your PC using the cable supplied by the manufacturer of the equipment.

If you have to correct any of these points, consult with the GPS’ user’s manual.


1.6.3 Configurating a Renschler GPS for download

To be able to download information from a Renschler vario-logger, proceed as follows:

1. On the vario-logger, select the track that you want to download.

· Make short clicks on the key MEMO / MARK until you find the track that you want to download.

2. Make a long click on the button MEMO / MARK until the word DOWN appears on the lower display.

If you have to correct any of these points, consult with the data logger’s user’s manual.


1.6.4 Configurating a Brauniger Galileo for download

To be able to download information from a Brauniger Galileo, proceed as follows:

1. Turn the Galileo on.

2. Correctly connect the GPS to your PC using the cable supplied by the manufacturer of the equipment.

It is very important that you first turn the Galileo on and then you connect it. It will not work if you connect the cable first and the turn the Galileo on.

3. Access the track memory menu and select the track that you want to download.

4. Download the track using CompeGPS following the instructions of de Download a track from the GPS.


1.6.5 Configurating a Top Navigator for download

To be able to download a track from a Top Navigator you have to manually program the communication protocol on CompeGPS (read chapter 2.2.4. Configurating communications), because the protocol used by this equipment is not auto-detectable. The Top Navigator uses two communication protocols, PWC and TNCOM.

To download a track from a Top Navigator proceed as follows.

1. Connect the Top Navigator to the PC using the cable supplied by the manufacturer of the equipment and then turn it on.

2. Access the track diary, choose the track that you want to download and click on the button ON / OFF.

3. Once you have selected the track, go to the menu TRACK > TNCOM > PWC and click on the button ON / OFF.

It is very important that you select the option to Download track in CompeGPS BEFORE you carry out the next step. If you do not do so the program will not be able to download the track, read chapter 2.3.1.1. Download track from the GPS.

4. On the Top Navigator, select the protocol with which you want to download the track, TNCOM o PWC.

Download will now start-up. If you have any problems during configuration of the Top Navigator for any of these points, consult the Top Navigator’s user’s manual.


2 General options

2.1 Filing options

2.2 Configuration options


2.1 Filing options

2.1.1 Save all

2.1.2 Close all

2.1.3 Printing

2.1.4 Save as a Web page


2.1.1 Save all

To save the changes that you have made on the screen to maps, tracks, waypoints and routes, proceed as follows:

1. Select the menu option File > Save all.

2. Specify where you want to store the files, as well as the name that you want to use.


2.1.2 Close all

To close all the files that you have open on the screen, proceed as follows:

· Select the menu option File > Close all.


2.1.3 Printing

To print the file that you have open on the screen, proceed as follows:

1. Select the menu option File > Print.

2. Establish the general printing option as you wish in the window that appears and click on Print.


2.1.4 Save as a Web page

To save your files in the HTML format, proceed as follows:

1. Select the menu option File > Save as a Web page.

2. In the window, indicate where you want to store the file and click on Save.

Whenever you view the file as a web page, an animation control bar will appear (in the top part of the screen). Using this bar you will be able to review the track at your liking.


2.2 Configuration options

2.2.1 Configurating maps

2.2.2 General configuration

2.2.3 Configurating coordinates

2.2.4 Configurating communications

2.2.5 Configurating working folders

2.2.6 Configurating animations

2.2.7 Configurating the moving map

2.2.8 International configuration

2.2.9 Configurating default values

2.2.10 Configurating tracks

2.2.11 Configurating keys and buttons

2.2.12 Configurating waypoints

2.2.13 Configurating 3D landscapes


2.2.1 Configurating maps

To modify the predetermined configuration for maps, proceed as follows:

1. Select the menu option File > Options.

2. Select the label Maps in the general options window.

A new window will appear, and you will be able to modify the following predetermined options for maps:

· In the option U.T.M. Grid you can change the distance between the squares of the U.T.M. grid or remove it or change the colour it appears on the screen.

· In the option Degrees Grid you can change the degrees and the colour of the Degrees or leave them colour-less.

· Selecting the option View borders of all maps you will see the edges of all the maps simultaneously on view on the main window with their corresponding coordinates.

· Selecting the option Draw maps with top quality you will view the maps in their highest quality but you will loose speed of movement.

· If you activate the option Read ECW and SID maps in second plain the program will open these maps at a slower speed but while they are being opened the handling of the program will not be slowed down.

· The option Maximum number of 2D maps drawn you will be able to change the number of 2D maps that can be simultaneously views on the screen.

· The section maximum memory for maps you can limit the amount of memory that you computer will use to manage maps. The default value of this section is 0, meaning that there is no limit established to memory used for maps.

Note: Situate the maximum memory for maps to a value lower than the RAM installed in your computer (128, 256, 512…) if you do notice that the systems is working too slowly.

3. Click on OK to stores the changes you have made or Cancel to re-establish predetermined values.


2.2.2 General configuration

This chapter explains how to configure a couple of general options as well as the status bar.

The two general options are: Full screen start-up (if this option is activated, CompeGPS will start-up with a full screen view) and Re-load last used objects on re-start (when you re-open the program, it will load the same objects on the screen as when you last closed the program down)

The status bar (the lower status bar) can be configured to display different information such us: time, track speed, coordinates, track altitude, course…

Follow these instructions to display the different function fields on the bar:

1. Open the configuration window by clicking on config. Lower bar, or otherwise click directly on the lower status bar with the right-hand button of the mouse and select the option config. Lower bar (selecting the option type of coordinates you will be able to chose the type of coordinates you want).

2. To choose the fields that will be displayed, carry out any of the following operations:

· In the Select fields window, choose the function that you want to include (from the column Choose fields) or choose the function that you want to remove (from the column Fields available). Between these two columns there are two arrows, click on the arrow pointing right to add the field to the bar or click on the arrow pointing left to remove a field.

· In the Select fields window, choose a function and drag it (click the left button of the mouse and hold it down while you move) to Available fields (to discard the field) or to Selected fields (to include the field)

3. Click on OK to save the changes you have just made.


2.2.3 Configurating coordinates

To modify the predetermined configuration for coordinates, proceed as follows:

1. Select the menu option File > Options.

2. In this window, select the label Coordinates.

The new window that opens up allows you to modify the following configuration options for coordinates:

· Clicking on Type of Coordinates you will be able to view and select the most suitable type of coordinates for your maps. You will be able to choose between 16 different types of coordinates, most used in Europe.

· Clicking on Datum you will be able to choose the most suitable datum for the map that you will be working with.

3. Click on OK to save the changes you have made.


2.2.4 Configurating communications

To modify the pre-established communication configurations, proceed as follows:

1. Select the menu option File > Options

2. In this window, select the label Communications.

The new window that opens up displays the pre-determined option Connect to a single GPS. You will be able to modify the following configuration options for communications:

· Communications port: You will be able to choose the computer port that you will use to connect to the GPS.

· Protocol: You will be able to choose the protocol used by your GPS.

If you do not know which is your GPS’ protocol, click on the option Auto-Detect. The program will identify the GPS’ original protocol, except in the case of: Top Navigator and Braüniger Comp / IQ.

· If you click on Speed after you have chosen the correct GPS protocol, you will be able to choose the data transfer speed offered by the GPS. Take into account that errors may appear at high data transfer speeds. .

3. Click on OK to save the changes you have made.


2.2.5 Configurating working folders

The program automatically assigns certain folders (inside the CompeGPS folder) to store the different information you work with (Tracks, Waypoints, Routes, Landscapes and Competitions). To modify the configuration of the working folders, proceed as follows:

1. Select the menu option File > Options.

2. In this window, select the label Folders.

In the new window that appears, you will be able to assign new routes to the folders for Maps, Tracks, Waypoints, Routes, Landscapes and Competitions.

To change the routes to these folders, carry out any of the following operations:

· Write the directory address directly in the text window.

· Click on the button located on the right hand of each section to examine and select the directory you want to use.

Maps can be stored in more than one map folder. If you want to create another map folder, click on the add button and choose the new folder that you want to use.

To remove a folder, mark it and click on remove. If, instead of removing it, you want to change it for another folder, click on edit and select the new folder that you want to use.

Recommendation: Place the biggest folder with the larger amount of maps (or the folder that contains the largest amount of other map folders) at the top of the list of Map folders. This will make this folder available when you activate the option View borders of all maps.

3. Click on OK to save the changes you have made.


2.2.6 Configurating animations

To modify the configuration of the animation options, proceed as follows:

1. Select the menu option File > Options.

2. In this window, select the label Animation.

The new window that appears allows you to modify the following configuration options for animations:

· Click on the function Animation speed to increase the speed of the 2D animation of a track in relation with the track’s real speed.

· Click on the function Animation speed 3D to increase the speed of the 3D animation of a track in relation with the track’s real speed.

· Click on the function Animation mode to choose between the different movements of the icons. You have the following options:

o Move icon on top of the track: when in movement, the icon will move along the drawn track.

o Move icon without drawing the track: when in movement, the icon with move along the path of the track, but the track is not drawn.

o Simultaneously move icon and draw track: the movement of the icon will simultaneously draw track as the icon travels along the path of the track.

o Move icon and hide the track: when in movement, the icon will rubout the track it is travelling along.

· The function Icon in movement shows you the predetermined icon for the animation.

· The function Icon at track-end shows you the predetermined icon for the position at the end of the track.

These functions are complemented by the following options.

· Change icon: Click on this button to change the icon and choose between the different possibilities.

· Turn icon: If you select this option, the animated icon with turn around accompanying the track if the track turns in circles.

· Write users name: The name of the pilot will appear beneath the icon.

3. Click on OK to save the changes you have made or click on Cancel to re-establish default values.


2.2.7 Configurating the moving map

To modify the predetermined configuration of the Moving Map, proceed as follows:

1. Select the menu option File > Options.

2. In this window, select the label Moving Map to modify the following options.

The new window that appears allows you to modify the following configurations options of the Moving Map:

· Select Orient map according to course so that maps being used by the Moving Map turn around according to the course.

· Select Seek for the best map for the given position for the program to automatically seek for the best quality map whenever the track abandons a position on the map in use and a new map is needed.

· The option Draw track with changing colours will draw the track with changing colours to make it easier to see the track drawn on the map.

· Select Use GPS course and the course used will be that given by the GPS. The result will be almost the same.

2. In this window, select the label Icon to modify the following options:

· Open the fold-down pointer to choose the picture you want to use for the pointer.

· Change the size of the pointer with size of pointer, you can enlarge or reduce the size of the pointer.

· The option fixed ring radius allows you to determine the size of the circumference that encircles our position.

· The option auxiliary lines allows you to modify the characteristics of colour and thickness of the lines drawn so that you can make them more visible.

The section track log allows you to modify the following fields:

· If you select simultaneously store track, the track will automatically be stored as you realise it.

· The option recording interval allows you to determine whether the points of the track are recorded on a time-basis (establish an interval in seconds), on a distance-basis (establish a interval in meters or whatever unit you have selected in chapter 2.2.8. International configurations), or whether you will let the program decide by establishing the automatic mode.

· The section thickness of the track allows you to modify this aspect.

The section Navigation allows you to configure the following options:

· Type of waypoint detection. This option allows you to determine the criterion used to determine when a waypoint has been reached. There are three ways to decide this:

o When the distance left to reach to the waypoint is less than the radius of the waypoint (the radius of the waypoint is configured in this window using the option waypoint entrance radius)

o When a bisector is crossed.

o Whenever any of the two previous options takes place.

· Audible waypoints. Click on the dotted square on the right-hand side to choose the sound that will be heard when a waypoint is reached.

3. Click on OK to save the changes you have made or click on cancel to close the window and re-establish the previous configuration values.


2.2.8 International Configuration

To modify the pre-established International configuration values, proceed as follows:

1. Select the menu option File > Options.

2. In this window, select the label International.

The new window that appears allows you to modify the International configuration:

· The option Language allows you to chose the language that you want to program to use.

· Then you can change the measurement units that you want to use:

o Distances in ... allows you to choose between the list of: km, Mi, nm, m or ft.

o Speed in ... allows you to choose between the list of: km/h, MPH or Kt.

o Height in ... allows you to choose between the list of: m, ft, brazas.

o Short distances in ... allows you to choose between the list of: km, Mi, nm, m or ft.

o Vertical speed allows you to choose between the list of: m/s, ft/min, m/min or m/h..

o Temperature in... allows you to choose between the list of: ºC, ºF o K.

o Acceleration in… allows you to choose between the list of: m/s2, g, km/h/s.

o Surface area in… allows you to choose between the list of: m2, Hect., Km2.

3. Click on OK to save the changes that you have made.


2.2.9 Configurating default values

To complement or modify the configuration of default values, proceed as follows:

1. Select the menu option File > Options.

2. In this window, select the label Default values.

The window that appears allows you to complement or modify the following default values:

· Pilot’s name: write the name of the person you realised the track. This name will appear during the animation and as a property of the track.

· Name of the excursion: write the name with which you want to store the tracks that you are recording (excursion, outing…) .

3. Click on OK to save the changes that you have made.


2.2.10 Configurating tracks

To modify the predetermined configuration of Tracks, proceed as follows:

1. Select the menu option File > Options.

2. In this window, select the label Tracks.

The window that appears allows you to complete or modify the following default values:

· The option Default value of track format allows you to choose which format you want to use to store the tracks you download:

o TRK: CompeGPS’ own track format.

o IGC: the International Glider Committee’s format.

· The option Default name of the track allows you to choose between the different appearances you can assign the tracks name:

o Traditional: Track NN hh_mm_ss dd-mm-yy; for example: 17 13:45:32 del 23-03-2002 (track number, starting time, date).

o Standard IGC 8 characters: amdcxxxn; for example: 23NxxYY1 (track date, GPS or logger’s IGC name and track number). If you choose this option you will be able to also choose if you want the name to appear with only 3 characters: GPS-Logger IGS Name (3 characters).

o Standard extended IGC name: yyyy-mm-dd; for example: 2002-03-23-XXX-xYYY-01 (track date, GPS or logger IGC name and track number).

· If you click on Hint Fields you will be able to determine what information will appear whenever you pose the pointer on any part of the track (without clicking anywhere). To do this, select the information you want from the left hand column (available fields) and click on the arrow pointing right. To remove an information field, mark it in the selected fields column and click on the arrow pointing left.

· If you activate the option paint a fine line between pieces of track the blank spaces that appear between disconnected pieces of track whenever the GPS looses coverage will be filled in with a straight line.

· If you activate the option paint arrows on the track the track will be marked with arrows indicating in which direction the track was made.

3. Click on OK to save the changes you have made.


2.2.11 Configurating keys and buttons

This option allows you to configure the buttons on the different bars, the quick access keys and the program menus. To do this, follow these instructions:

1. Select the menu option File > Options.

2. In this window, select the label Keys and buttons.

3. Click on the top right-hand fold-down to choose which button bar (main menu, button bar, 3D button bar..) or keys (quick keys, 3D quick keys…) you want to personalize.

4. Now you can carry on with the following steps:

· To add a button to the bar, mark it in the left hand column (Available commands) y click on the arrow between the two columns that points right.

· To remove a button from the bar, mark it in the right-hand column and click on the arrow pointing left.

· To make a certain function available using the keyboard, select the function you want from the column Available commands and click on the arrow pointing right. The next window allows you to choose the key (or combination of keys) that will be associated to the function. When you have done this, the key and function will be added to the list.

· To Remove a key from the list, select it from the list in the right-hand column and click on the arrow pointing left.

5. If you want to return to the initial configuration, just click on the button Predetermine.

6. Click on OK to save the changes you have made.

To edit the main menu you will have to follow these instructions:

1. Select main menu in the down-foldable window in the top right corner.

The different sections of this menu will be shown in the right-hand column.

2. Using the right-hand button of your mouse, click on the section that you want to edit and select the change that you want to make:

· Create a new submenu: You will have to write the name of the new sub-menu.

· Edit this submenu: When you select this option a new configuration window specifically referring to this sub-menu. This window works in the same way as the general edition window for keys and buttons.

Note You can also access this edition option by double clicking on the name of the sub-menu that you want to edit.

· Change the name of the menu: You will have to write the new name.

3. If you want to restore the initial configuration established by CompeGPS click on the button Predetermine-


2.2.12 Configurating Waypoints

To modify the predetermined configuration of Waypoints, proceed as follows:

1. Select the menu option File > Options.

2. In this window select the label Waypoints.

The window that appears allows you to configure the following options:

· Click on the option font for waypoints to choose the font you prefer for your waypoints (type, size, colour, effects…).

· Click on the fold-down window set of symbols for waypoints to choose from a variety of different GPS marks whichever best suits your needs.

· If your GPS allows for only one field for the waypoint name, this option allows you to choose the configuration you prefer to use when you load waypoints onto your GPS. The short name refers to the waypoint’s main name and the long name refers to the waypoint description. You can choose between the following options: the long and short names together, only the short name or only the long name.

· If you select the option Open several waypoint files at once you will be able to work with several waypoint files at the same time (waypoint file=groups of waypoints that are stored together). If you select this option you will be able to exchange waypoints from one file to another.

3. Click on OK to save the changes you have made.


2.2.13 Configurating 3D landscapes

To modify the predetermined configuration of 3D landscapes, proceed as follows:

1. Select the menu option File > Options.

2. In this window select the label 3D landscapes.

The window that appears allows you to configure the following options:

· Draw the DEM (landscapes) rectangles on the 2D view. When this option activated the borders of the available landscapes will be drawn on top of the 2D view. This option works in the same way as the other option available when you work with maps: view borders of all maps.

· If the option seek 3D map when starting 3D viewer is activated, the best 3D landscape available for the view being used will be opened as soon as you start working with the 3D viewer.

· Activate the option Draw 3D landscapes in the 2D view if you want to view all the landscapes loaded on the main screen below the maps you have loaded.

· The option draw 3D landscape with shadows makes viewing any landscape clearer and more attractive because it incorporates artificial shadows to the view.

· A landscape can be drawn with scaled colouring determined by the altitude. In this way it is easier to establish the altitude of each point. To activate this option, select Scaled altitude colour change. You can choose the separation of the altitude lines by opening the fold-down window below this option and choosing from the four available separations: (100, 200, 500 o 1000 metros).

· As well as the scaled altitude colour changes, you can make altitude reading even more clearer by drawing in the altitude lines if you activate the option Draw altitude lines.

3. Click on OK to save the changes you have made.


3 Working with tracks

3.1 Definitions

3.2 Working with tracks

3.3 Working with Sub tracks

3.4 Track book

3.5 Properties of a track

3.6 Context menu of a track


3.1 Definitions

3.1.1 What is a track?

3.1.2 2 and 3 dimensional tracks

3.1.3 What is the CompeGPS track Server

3.1.4 What is a sub track?


3.1.1 What is a track?

A track is a set of points that are ordered according to time. Each point contains information about its coordinates, time, and date and, in most cases, altitude.

Warning: certain models of GPS do not store the date of realisation of track points.

There are tracks in 2 and 3 dimensions, depending on whether the altitude is part of the information stored for each point. For further detailed information, read chapter 3.1.2. 2 and 3 dimensional tracks.

Whenever you store a track in any of the CompeGPS compatible formats (.TRK y .IGC), apart from storing the points that make up the track, you are also storing a whole load of other information that can be modified or inserted from the CompeGPS program such as: name of the track, comments, name of town of departure, amongst others. For further detailed information about this, reach chapter 3.2.8. Open Track Properties window.


3.1.2 2 and 3 dimensional tracks.

We can work with tracks in 2 or 3 dimensions. The difference between them is that, as well as the usual details on coordinates, time and date, a 3 dimensional track also includes details on the altitude of each track point.

The CompeGPS 3D viewing window allows you to view both types of tracks but a 2D track will have a flat appearance or, if you have loaded a landscape, it will appear glued to the landscape.


3.1.3 What is the CompeGPS Track Server?

The CompeGPS track Server is a server that stores tracks from many parts of the world. CompeGPS users have carried out all these tracks during the practice of different sports.

This server is free to use and the objective of the Track Server is to make the tracks you have realise available to anyone in the world.

You can download any track you like that is available on the CompeGPS Track Server and you can up-load your tracks to make them available to everyone.

The Track Server contains a set of Track books divided into countries and, inside each country the tracks are divided into different sports, depending on the sport you were practising when you made your track.

You have to be connected to the Internet to be able to download or send tracks to the CompeGPS Track Server.


3.1.4 What is a sub track?

CompeGPS allows you to select a certain part of a track so that you can work on it with greater precision, and also to view data and statistics about that area. In this way, you can sub-divide a track into several independent sub-tracks adapted to your needs.


3.2 Working with tracks

3.2.1 Download and upload tracks from the GPS

3.2.2 Open a track

3.2.3 Open the Track Properties window

3.2.4 Save a track

3.2.5 Close a track

3.2.6 List of tracks window

3.2.7 Track exchange on the Internet (CompeGPS Track Server)

3.2.8 Track animation

3.2.9 Create and edit tracks

3.2.10 Join tracks


3.2.1 Download and upload tracks from the GPS

3.2.1.1 Download track from the GPS

3.2.1.2 Upload a track onto the GPS

3.2.1.1 Download a track from the GPS

CompeGPS allows you to download tracks of the following brands of GPS and track instruments: Garmin, Maguellan, MLR, Bräuninger Galileo, Digifly Graviter, Renschler Sol, Log-it, Top Navigator.

When you want to download a track from your GPS you will have to take into account that you probably will have to first configure the program and the GPS. Read chapter 2.2.4. Configurating communications.

It is important that you configure your GPS before you start the download. If you do not, you may not achieve communication between the GPS and the PC.

To download a track from your GPS or logger, proceed as follows:

1. Prepare your GPS for download, read chapter 1.9. Configurating the GPS for data transmission.

2. Connect the GPS to your PC using the cable supplied by the manufacturer of the equipment.

3. Start up the download of the track to CompeGPS by carrying out any of the following operations:

· Click on the button [image] (download track from GPS).

Select the menu option Communications > Download track from GPS.

A window will appear that informs you of the development of the download.

Once download has finished, CompeGPS may have detected several independent tracks that have been downloaded at the same time. CompeGPS will inform you of this and you will be asked if you want CompeGPS to separate them as if they were independent tracks. If you do not carry out this operation, all the tracks will be stored as only one track. You can separate them later on using the tool Separate a track into several tracks, which is available on the tracks’ context menu (click with right-hand button on the track or on the name of the track in the Data Tree): select the option Tools > Separate a track into several tracks.

You may also find tracks with a series of still points at the beginning and end. These are the points that are stored while you are not in movement. CompeGPS will ask you if you want to eliminate them. If you want a correct reading on the altitude graphic it is important that you do eliminate these points.

4. Reply to the questions that the program asks you about according to what you want to do.

When you have finished these operations, the track or tracks you have just downloaded from your GPS or logger will appear centred on the screen.

3.2.1.2 Upload a track onto the GPS

To upload a track onto the GPS, carry out any of the following operations:

· Select the menu option Send track to the GPS from the main menu.

· Open the track context menu (click with right-hand mouse button on the track) and select the option Send track to the GPS that you will find in the section Send to.

· Open the track context menu using the Data Tree and select the option Send track to GPS that you will find in the section Send to.

The track will automatically be loaded onto your GPS.


3.2.2 Open a track

1. To open a track, carry out any of the following operations:

· Click on the button [image] (open track).

· Select the menu option Tracks > Open track.

2. Select the track that you want to open.

3. Click on the button Open.

Note: Remember that you can view the track drawn in just one single colour or with changing colours according to different variables such as altitude, speed… To activate this option select Gradate colour of a track that you will find in the Track section of the main menu or in the context menu of the track (click with right-hand mouse button on the track).


3.2.3 Open the Track Properties window

To open the Track Properties window, proceed as follows:

1. Using the right-hand button of the mouse, click on any part of the track.

2. Select the context menu option Track Properties.

The Properties window contains the following sections: General, Date and time, Track points, See, GPS, Distances, Speed and Altitude. Click on the + sign of each section to view their contents. For further detailed information about these properties, read chapter 3.5. Track properties .

Each section contains several sub-sections, but you can only edit those that have a small pencil symbol on the right-hand side. To edit any one of these, double click on top of the pencil symbol and proceed as you like.


3.2.4 Save a track

There are two ways of saving a track: Save and Save as.

· Save a track: This the fast way to save a track. You will not be asked for the name or format of the track and it will overwrite the previous track.

· Save track as: This option also allows you to choose the format in which you want to save the track. CompeGPS allows you to work with these formats .TRK and .IGC.

To Save a track, proceed as follows:

1. Click on any part of the track with the right-hand button of the mouse. The context menu that appears offers you several different options.

2. Select the option: Save track. If it is the first time that you are saving this track, CompeGPS will ask you the name you want to assign to the file you are about to save.

3. Write the name of the file and select the folder where you want to store it.

4. Click on the button Save.

To use the Save as option, proceed as follows:

1. Click on any part of the track with the right-hand button of the mouse. The context menu that appears offers you several different options.

2. Select the option Save track as.

3. Write the name of the file and select the folder where you want to store the track.

4. Select the format that you want to use for the track choosing from the option Type: .TRK o .IGC.

5. Click on the button Save.

If you want establish a predetermined format for CompeGPS to store all your tracks, read chapter 2.2.10. Configurating Tracks.


3.2.5 Close a track

There are several ways in which you can close a track or tracks that are currently on screen.

· To individually Close a track, follow these steps:

1. Click on any part of the track using the right-hand button of the mouse. The fold-down window offers several different options.

Note: You can also carry out this action on the name of the track in the Data Tree.

2. Select the option Close track.

· To close all the tracks currently on screen, Select the menu option: Tracks > Close all tracks

· You can also close the tracks from the List of Tracks window, read chapter 3.2.6. List of track window.


3.2.6 List of tracks window

The List of Tracks window shows you a list of all the tracks that are currently open and from here you can carry out several different operations with these tracks.

To open the List of tracks window, proceed as follows:

· Select the menu option Tracks > List of loaded tracks

To carry out any of the operations available on the List of tracks window, proceed as follows:

1. Select the track you want to work with from the list.

2. Click on the button that corresponds to the operation to want to carry out:

· Add track: Click on this button to open a new track and add it to the list (in this case you do not have to first select the track).

· Close track: Click on this button to close the track you have previously selected.

· Properties: Click on this button to open the properties window of the track you have selected.

· Save track: Click on this button to save the selected track.

· Save track as: This option allows you to save the track in the .TRK or .IGC format. Click on the button to save the track.

· Send a track to the GPS: when you click on this button, the selected track will be loaded onto the GPS.

· Graphs: Click on this button to view the track’s graphs.

· Save track in the track book: Click on this button to save the selected track in the track book.

· Close all except this one: Click on this button to close all the other tracks open except the track you have selected.

· Zoom here: Click on this button to zoom in on the selected track with the 2D viewer.


3.2.7 Track exchange on the Internet (CompeGPS Track Server)

3.2.7.1 Download a track from the CompeGPS Track Server

3.2.7.2 Send a track to the CompeGPS Track Server

Currently, one of the most wide-spread uses of the Internet is associated to the appearance of different servers designed to store information related to the world of GPS’ and it’s different uses, mainly sport uses.

These servers are public and the type of information stored goes from tracks to maps. A couple of examples of this type of servers are: http://edcdaac.usgs.gov/gtopo30/gtopo30.html or http://zulu.ssc.nasa.gov/mrsid, amongst many others.

CompeGPS allows you to send and receive tracks directly over the Internet with any of the different servers on the network. One of these servers is the CompeGPS Track Server.

This server stores a series of track books divided according to the sport practiced or the country of the user. The server stores tracks from all over the world. Users of CompeGPS have sent all the tracks stored in this server. Use of this server is free.

3.2.7.1 Download a track from the CompeGPS Track Server

To download a track from the CompeGPS Track Server, proceed as follows:

1. Open the CompeGPS Track Server:

· Click on the button

· Select the menu option Tracks > Open CompeGPS Track Server.

You will be told that several track books are available.

The CompeGPS Track Server contains several track books with all the tracks currently available. The track books are classified according to the country and the sport practiced. The list will carry on growing as you all send in your tracks.

2. Click on the button Download index.

A new window will appear showing you the index of track books in the form of a tree, in which the main folders correspond to the country where the track was made. Inside the folders of each country you will find different books according to the sport practiced when the track was recorded.

3. Select the track you that you are interested in and click on the button Download Book.

CompeGPS will open the track book that you have selected on the main screen of CompeGPS as if it was a normal track book.

In the top right-hand corner of the track book, you will find the option See all tracks. If this option is activated, all the tracks contained in the book will shown on the screen in a graph format in which only the beginning and the end of the track will be shown.

· Beginning of the track: Red circle with black centre.

· End of the track: Red circle with white centre.

4. To open the track you are interested in, carry out any of the following operations:

· Double click on the track you want to download from the track book.

· Use the right-hand button of the mouse on any part of the line that represents the track on the main screen and select the option Open track from the context menu.

The window that appears will inform you of the development of the download, and once download has completed the track will be shown on the screen. To close the track book, click on the cross on the top right-hand corner of the track book.

Note: When you download a track from the Track Server you are not storing it on your hard disk. If you do want to store a copy you of the track, will have to manually carry out this operation.

Note: To be able to send tracks to the Track Server you will have to be connected to the Internet.

3.2.7.2 Send a track to the CompeGPS Track Server

To send a track to the CompeGPS Track Server, carry out any of the following operations:

1. Open the track that you want to send to the Track Server, read chapter 1.7.2. Open track.

2. Use the right-hand button of the mouse to click on any part of the track and select the option Send this track to the CompeGPS Server from the context menu, read track context menu.

3. Fill in the form that appears with all the necessary information.

4. Click on the button Send.

CompeGPS will automatically send the track to the CompeGPS Track Server and any other CompeGPS user will be able to download it.

Note: To be able to send tracks to the Track Server you have to be connected to the Internet.


3.2.8 Track animation

CompeGPS can animate one or several tracks at the same time. The animation can be done at the same speed the track was recorded at or it can be accelerated. The animations can be viewed on the 2D or the 3D window. In both cases the functioning of the windows are the same. The animation tool bar will also automatically open if you open a track as a web page.

Remember! If you are working with a track that you have created artificially, it possibly will not have stored time data. This means that this track cannot be animated unless to assign a time reading for each point of the track. To do this, use the tool Assign time and speed that you will find in the track’s context menu.

CompeGPS features 7 buttons to control animations, 3 of them appear as default values on the tool bar:

· [image] Play: Starts up the animation.

· [image] Stop: Stops the animation.

· [image] Pause: Freezes the animation without stopping it.

The other 4 buttons can be added onto the bar using the options available in the section Keys and buttons of the configuration window. These buttons allow you to:

· Rewind [image]: Runs the track quickly in the other direction. To exit the Rewind Mode, click again on the button Play.

· Fast forward [image]: Accelerates the animation. Click again on Play to return to the normal speed

· Rew to previous sector [image]: This button cannot be used in the Land version of CompeGPS.

· FF to next sector [image]: This button cannot be used in the Land version of CompeGPS.

Note: You can also access these buttons from the section Animation from the Tracks menu, which you will find on the main menu.

If you want to animate one or several tracks from the beginning, proceed as follows:

1. Open the track or tracks that you want to animate.

2. Click on the button [image] that you will find on the tool bar. The animation will start from the beginning of the track .

To animate a track from a certain point, proceed as follows:

1. Use the right-hand button of the mouse to click on the point from where you want to start the animation.

2. Select the context menu option Play here.

The animation will start up from the point you have selected .

You can configure the default values for animations, read chapter 2.2.6. Configurating animations.

If you open a track as a web page, the animation tool bar will also open up but, in this case, a few more buttons will be available:

· Play [image] : Starts up the animation.

· Stop [image]: Stops the animation.

· Pause [image] : Freezes the animation without stopping it.

· Move to start [image] : The animation goes to the start point.

· Move to end [image] : The animation moves to the last point.

· Rewind [image] : One click on this button and the animation will jump one step back. To go further back, click on this button several times.

· Forward [image] : One click on this button and the animation will jump one step forward. To go further forward, click on this button several times.

· Loop mode [image] : if you select this mode, the animation will automatically start again when it reaches the end of the track.

· Speed: this window will allow you to choose the speed at which you want the animation to move at. The bracket goes from +50 (50 times quicker than the speed at which the track was recorded) to –50 (reverse viewing of the track at 50 times the speed it was recorded). The speed 1 is the speed at which the track was recorded.

Also, the right-hand part of the bar gives you the date and UTC time (which is always the same regardless of the time of each time zone).


3.2.9 Create and edit a tracks

3.2.9.1 Create a new track

3.2.9.2 Edit tracks

CompeGPS allows you to create a track as you wish and then load it onto your GPS so you can follow it. You can also edit any track that you have loaded so you can adapt it to your preferences and needs.

We recommend that, before you edit a track, load a 3D landscape for the area where you have created your track so that altitude information is also stored. If you forget to load a 3D landscape, you can assign altitude values to all the points of your track “a posteriori” using the tool Calculate altitude over ground-level for each point. Read chapter 3.2.9.2. Edit tracks.

The tracks that you are creating will not contain information about time because the track is artificial (all the points will indicate the time they were created). Because of this, you will not be able to run the animation mode unless you use the option Assign time and speed (which you can reach through the tools option of the track context menu in the main window or on the Data Tree). Read Edit a track.

3.2.9.1 Create a new track

To create a new track, follow these instructions:

1. Open the track edition bar (vectorial editor) and select the main menu option Tracks>Create and edit new track.

Note: If you have not loaded a file (a map, a landscape, waypoints, etc) the program will warn you that you cannot create a track without information about the coordinates you want to work with. If this is the case, you will have to load some type of file (preferably a map and a relief) that will supply the program with information about the area where you are working in.

2. Using the edition bar, choose one of the following option to draw the course of the track:

· Add points [image] : With this option activated, left click with the mouse to mark the point that will be the start of the track, then move the mouse to the next point of the track. Now left click again to mark this new point. Keep on carry out these steps until you have added all the points you need. When you have finished drawing the track, click with the right-hand button of the mouse to exist the add points tool.

To modify this track, read the chapter edit a track.

· Draw by dragging the mouse [image] : When you have activated this option, you can draw the course of the track free hand. To do this, click and hold down the left-hand button of the mouse and move it on the map while you draw your track.

When you let go of the left button, the program will ask you if you agree to the track you have drawn and if you want it to be a track. If you do, click on Yes, if no click on No or Cancel and the drawing will disappear.

To add more points to this track, read the chapter edit a track.

3. If you are pleased with your track, close the track edition bar (vectorial editor) by clicking on the cross on the left. You can now carry out any of the usual operations with track such as consult and edit the track’s properties or view it’s graphics (remember, the track will not include altitude readings if you did not load a 3D landscape before you created it)

4. If you want to assign time values to each of the track’s points (these are necessary if you want to view the animation of the track) you will have to use the option Assign time and speed (accessible from the tool section of the track context menu in the main window or the Data Tree). The window that opens will allow you to introduce a starting time and a constant speed value. CompeGPS will then calculate the time prognostic for each point of the track.

If you want to change any aspect of the track you have created, read the chapter edit a track.

Note: You can also create a track using a route. To do this, go to the Data Tree, select the route you want to convert and drag it (using the left button of the mouse) to the Tracks branch.

3.2.9.2 Edit a track

To edit a track that has already been created, follow these instructions:

1. Use the right-hand button of the mouse to click on any part of the track and select the option Edit the track. The edition bar will open (vectorial editor).

2. Use the following tools to modify the course of the track:

· Insert intermediary point [image] : this tool automatically detects the two points nearest to the pointer and it will allow you to insert an intermediary point between them. To do this, once you have decided where you want to insert this intermediary point, use the left-hand button to create the new point.

· Add points [image] : this tool allows you to add new points onto the track starting from wherever you want. To do this, select the point (left click on it) and then select the tool add points. You can add points to the beginning and the end of the track (if that is where you are) or an intermediary point (if you are somewhere in the middle of the track).

There is a quicker way of adding new points. This is how to do it: once you have situated yourself on the point from where you want to add new points, hold the Ctrl key down. While you hold this key down, move the pointer to where you want to add the new point and click on it with the left-hand button of the mouse. Continue holding the Ctrl key down and continue clicking on new points with the left button until you have finished adding all the points you want.

Note: although the tool add points, if you use it to add points in the middle of the track, could seem to be similar to the other tool insert intermediary points, the insert intermediary points tool is less versatile because it is only designed to refine the course of a track.

· Draw by dragging the mouse [image] : If you use this option to edit a track, it will be like free drawing it. To use this option, first select the point where you want to start adding points from and then click on the tool.

Now hold down the left-hand button on the mouse and move it while you draw the new points.

If you have chosen to start adding points at the beginning or the end of the existing track, you will be lengthening these sections. If you have started adding points in the middle of the track, they will be joined up with the next point of the track.

Recommendation: it is more practical to edit a track in the same direction as the track was created, from the beginning to arrival.

· Eliminate a point [image] : Select the point that you want to eliminate and click on this button to eliminate it. When you do this, a straight line will joint together the two points situated either side of the point that has been eliminated.

· Undo [image] : Click on this button to undo the last operation you made on the track. You can undo all the modifications you have made even after you have saved the track and re-loaded it onto the screen. Take care because once you have undone the changes you cannot re-do them so you will have to re-edit the track again.

As well as all these tools you can also move any point that has been already been created by clicking with the left button on it, situating it where you want it to be and letting the button go so the point is fixed.

3. If you are now satisfied with the course of your track close the track edition tool bar (vectorial editor) by clicking on the cross on the left of the bar. You can now carry out the normal operations to do with a track such as consult and edit the properties of the track or view graphs associated with it.

4. If you want to assign a time to each point of the track (this is necessary to view an animation) you will have to choose the option Assign time and speed (you will find this option in the tools of the context menu of the track on the main screen or on the Data Tree). The window that appears will ask you to assign a departure time and steady speed. This will allow CompeGPS to calculate a time prognostic for each point of the track.

5. If you have created a track without having first loaded a 3D landscape, the track will not record any altitude readings. To include them, with the track already loaded, now also load a landscape and select the option Calculate altitude over ground-level for each point. You can access this option in two ways:

· Open the context menu of the track and select this option from the tools section.

· Open the context menu of the track on the Data Tree and select this option from the tools section.

6. Save the track if you want to use it or modify it later on. You can save it by clicking with the right-hand button on any part of the track or using the name on the Data Tree.

· If you choose to Save the track, it will automatically be stored on top of the old track, so you will loose the old one (the un-modified track).

· If you want to keep the original track, you will have to select the option save as and give the track you have been working with a new name. The next time you want to use the edited track you will have to look for it wit the new name you have given it.


3.2.10 Join tracks

This option allows you to join two tracks together. The last point of the first track will be joined to the first point of the second track. This will allow you to join together tracks that are separate but really belong to the same excursion.

To do this all you have to do is load the tracks that you want to join (two or more) and select the option join tracks. You will find this option in the tracks section of the main menu or by using the context menu of the Data Tree, accessing the option using the label Tracks.


3.3 Working with Sub tracks

3.3.1 Select a sub track

3.3.2 Analyse a sub track

3.3.3 Save a sub track

3.3.4 Eliminate a sub track

3.3.5 Graph of a sub track


3.3.1 Select a sub track

There are several ways to select a certain section of a track. You can select it using the altitude graph or indicating the beginning and the end of the sub track.

To select a sub track using the altitude graph:

1. Open the altitude graph of the track.

· Click on the button [image] (at the foot of the page) on the tool bar.

· Select the track context menu option Graphs.

2. Use the left-hand button to click on the point of the track that you want to be the beginning of the sub track, and continue holding the button while you drag the mouse to the last point of the sub track.

To select a sub track using the track context menu:

1. Use the right-hand button of the mouse to click on the departure point of the sub track that you want to analyse.

The track context menu will appear.

2. Select the menu option Sub track > Situate here start of sub track from the track context menu.

3. Use the right-hand button to click on the last point of the sub track that you are selecting.

4. Select the menu option Sub track > Situate here end of sub track from the track context menu.

You will see how the sub track is marked and selected.

To select a sub track by clicking on the track:

· Select the initial and final point of the sub track by clicking with the left hand button of the mouse and with the SHIFT button on the keyboard held down.


3.3.2 Analyse a sub track

CompeGPS will analyse the section of the track that you have selected.

The sub track analysis option creates several statistics referred to the sub track such as maximum and minimum speeds, horizontal and vertical speeds, slopes, time schedules, duration of the trail, length of the trail… amongst other information.

You can select the section of track to be analysed in two ways, from the altitude graph or by indicating the initial and final point of the track. Read chapter 3.3.1. Select a sub track.

To analyse a track, carry out any of the following operations :

1. Select the sub track that you want to analyse using the graph at the foot of the screen or by clicking directly on the track.

2. Right click with your mouse on the selected part of the track on the graph at the foot of the page or on the map. The context menu will appear.

3. Select the option Analysis of Sub track (from the context menu in the sub track section).

A new window with the results of the analysis will appear.

This new window also allows you to save the analysis in an html format (as a web page).


3.3.3 Save a sub track

You can store the sub track you have selected independently from the track you selected it from. If you do not do this, the track will be lost as soon as you select a new sub track or as soon as you close the original track. To store a sub track, proceed as follows:

1. Right click on the graph of the sub track or on the track. The context menu will open.

2. Select the menu option Save sub track as (using the context menu, you will find this option in the sub track section).

3. Select the folder where you want to save the sub track (default value for this option is the tracks folder of CompeGPS) and give the sub track a name.

4. Click on save and the sub track will be stored in the folder you have chosen and available for use whenever you need it.


3.3.4 Eliminate a sub track

If you carry out this operation, all the points of the sub track you have selected will be eliminated. The two points adjacent to the sub track will be joined together in a straight line but this straight line will not contain any track points.

To eliminate a sub track:

1. Double click on the sub track in the altitude graph at the foot of the page or on the track. The context menu will appear.

2. Select the option eliminate sub track (using the context menu, you will find this option in the sub track section).


3.3.5 Graph of a sub track

The contents of a sub track can be independently viewed on a graph separate from the rest of the track. To carry out this operation, follow these steps:

1. Right click on the course of the sub track in the 2D window. The track context menu will appear.

2. Open the sub track menu and Select the option graph of the sub track.

Two graphs will be shown. One of them shows you the altitude in respect to time and the other one shows you the speed in respect to time. This allows you to view the values of these two parameters during the excursion. You can choose between these two views by clicking with the right-hand button on the graph and choosing the value for the x-axis.

You can work with these graphs as you work with the graph at the foot of the page. This means that you can again select new sub tracks and analyse them (by selecting analysis of the sub track from the context menu that you can access by right clicking on the graph).

Note: If you select a section of the sub track for which you have created the graph and you zoom in on this new sub track (do this using the context menu of the graph), the previous sub track will be eliminated and a new one will be created with the section you have just chosen.


3.4 Track Book

3.4.1 What is a Track Book?

3.4.2 Create a Track Book

3.4.3 Open a Track Book

3.4.4 Open another Track Book

3.4.5 Store a track in a Track Book

3.4.6 Context menu of a Track Book


3.4.1 What is a Track Book?

CompeGPS includes a book where you can store all your tracks.

A track book is a database in which you can store and organize all your tracks, access them at any time, and keep the most important information about the tracks in view


3.4.2 Create a Track Book

The fist time you try to store a track, if you have not already created a track book, CompeGPS will ask you if you want to create a track book right then. To create a track book, proceed as follows:

Select the menu option Tracks > Track book > Create new track book

Write the name of the file and indicate the folder where you want to store it.

Click on the OK button.

CompeGPS will create an .MDB file where it will store all your tracks.

Important: We strongly recommend that you create this .MDB file outside the CompeGPS folder. Store it in a safe folder that you know you will not eliminate. We make this recommendation so that you do not accidentally eliminate this file if you remove the CompeGPS folder.

Note: When you install a new version of CompeGPS on top of a previous version, this Track Book file will NOT be eliminated. You can update the program at any time without worrying about the Track Book file being eliminated.


3.4.3 Open a Track Book.

To re-open the last track book you had open, proceed as follows:

1. Click on the button [image] (open track book)

2. Select the menu option Tracks > Track book > Open track book: xxx.MDB

This operation tells CompeGPS to open the last book open or created. If you want to open a different track book, read chapter 3.4.4. Open another Track Book.


3.4.4 Open another Track Book

CompeGPS automatically opens the last track book you used or created.

If you want to open another book, carry out any of the following operations:

Click on the arrow situated beside the button [image] and select the option open another track book.

Select the menu option Tracks > track book > Open another Track Book.

Select the track book that you want to open and click on the button Open.


3.4.5 Store a track in a Track Book

Once you have opened a track book you can store the tracks you are currently working with in it. To do so, proceed as follows:

1. Use the right-hand button of the mouse to click on any part of the track (or on the track’s name in the data tree). Now select the option Store in track book from the down-folding menu.

CompeGPS will ask you if you want to store the track in the track book that you currently have open.

Note: CompeGPS will store the track in the track book you last used or created. If you want to store the track in a different track book you will have to cancel this operation and open the track book that you want (read Open another track book) and repeat the operation Store a track in a track book.

2. Reply Yes to this question.

A new window will tell you that CompeGPS the track has been correctly stored in the track book.


3.4.6 Context menu of a track Book

Right click on the track book to access these functions:

· Open track: Right click on any track and select this option to open it.

· Properties of track: To open the window to view the properties of the track.

· Eliminate track: To remove a track from the track book.

· Add track: To select a track that you have stored in your pc and include it in the track book.

· Add an excursion without track: To create a section without tracks in the track book.

· Select fields: To choose the information about each track that you will be able to see when you open a track book. To do this select a field and use the arrows pointing right or left to add it or remove it from the selected fields. Click on the arrows pointing up or down to change the order in which you will see the fields.

· Export the table to a web page: To introduce name and address to store the file in .html format with information on the track book.

· Statistics graph bar: This option allows you to view information about the tracks in the book in a bar graph. Select the information that you want to see from the window that will open. To modify the information without leaving this window, click on the button [image].


3.5 Properties of a track

3.5.1 open the track properties window

3.5.2 General

3.5.3 Date and time

3.5.4 Track points

3.5.5 See

3.5.6 GPS

3.5.7 Distances

3.5.8 Speeds

3.5.9 Altitudes

This window allows you to view and modify different characteristics of a track. Some aspects (such as colour, thickness and type) can be different in different section of the same track. However, to be able to do this the track has to be divided into different sections.

You can divide it using the tool Change section here that you can access from the label Section in the track’s context menu (right click on the track). Select the option Properties of this section, also in Section in the context menu, to see or modify the characteristics of the section.


3.5.1 Open track properties window

To open the track properties window, proceed as follows:

1. Right click on any part of the track.

2. Select the context menu option Track properties.

The Properties window contains the following departments: General, Date and time, Track points, See, GPS, Distances, Speeds and Altitudes. Click on the + sign of each department to see the full contents of the department.

Each department consists of several sub-departments. The sub-departments marked with a pencil icon can be edited, to do so just double click on the pencil icon and modify as you wish.


3.5.2 General

General contains the written information of the track. Only some of these fields can be modified:

· Pilot’s name: To create or modify the name of who realised the track (pilot, excursionist, etc)

· Name of departure point: To write the name you want to give to the departure point.

· Comments: To write any other comments about the track that you consider necessary.


3.5.3 Date and time

This section details different track statistics: Day, Time of departure, Time of arrival, Duration, Difference between time, Time stationary, Time in movement. Only Difference between time can be edited.


3.5.4 Track points

Here you will find the total number of points that form the track and the recording interval (which is determined by the GPS and is normally express in seconds).


3.5.5 See

Here you can configure the mode in which you can view the track. Click on the pencil icon on the right of each option.

The parameters you can modify are:

· Thickness: This number determines the thickness of the line

· Colour: Choose the colour you want.

· Icon: Select the icon you want to use (double click on the small pencil).

· 3D Icon: Select the icon you want for 3D viewing.


3.5.6 GPS

This label shows you the following information about your GPS:

· GPS Model

· GPS Serial number

· IGC digital signature track


3.5.7 Distances

This window shows you the different distances covered (not altitudes):

· Projected distance: This figure is the result of calculating the horizontal projection of the distance covered (without taking into account the distances covered due to ascending or descending).

· Distance with altitudes: This figure is the real distance covered. Ascents and descents are taken into account. The result is a figure slightly higher that the projected distance.

· Lineal distance: This is the straight-line distance between the departure and arrival points.

· Area: This figure is the result of calculating the area that you have covered in the excursion. If your arrival point is different from your departure point the area is considered to be the straight line between the departure and arrival.


3.5.8 Speeds

Here you will find the average speed, maximum speed and the average lineal speed. The average lineal speed is the calculated average speed based on the lineal distance, that is the straight-line distance between departure and arrival. Therefore, if arrival coincides with departure the average lineal speed will be zero.


3.5.9 Altitudes

Here you will find details of all the statistics related to altitudes, such as Track with altitude (informs you if the track contains information about altitudes), Maximum altitude, Minimum altitude, Altitude at departure, Altitude ate arrival, Altitude gain (difference between maximum altitude and departure altitude), Difference departure-arrival (difference between attitude at departure and arrival), Maximum difference (difference between maximum and minimum altitude), Accumulated ascent (adds up the different ascents climbed), Maximum vertical speed, Minimum vertical speed, Maximum slope, Minimum slope.


3.6 Menu context del track

The track context menu appears when you click anywhere on the track with the right hand button of the mouse. The context menu gives you quick access to many functions you can work with:

· Create waypoint here: Creates a waypoint on the point you are.

· Open best map here: Opens the map with best resolution for that area.

· Track properties: Opens the track properties window for the open track.

· List of points: Opens a list of all the points that make up the track.

· Edit track: Opens the track edition bar Read chapter 3.2.9.2. Edit tracks.

· Edit track point: Opens the point edition window.

· Close track: Removes the track from the screen

· Save track: Saves the track.

· Save track as: This option allows you to store the track with a new name and also to choose the format in which you want to store it: .TRK or .IGC.

· Store track in track book: Stores the track in the track book.

· Send to:

o Send track to GPS: load the track onto you GPS

o Send track to CompeGPS Track Server: sends the track to the CompeGPS Track Server.

o Send to CompeGPS Pocket: sends the track to the competition program for PocketPC.

o Send via Email: This option opens an E-mail with your predetermined mail account and attaches the track file.

· Sections:

o Properties of this section: this section allows you to define different aspects such as: colour, thickness and style and you can add a comment.

o Change section here: defines a new separation point between sections. You can create a new section by splitting in two an existing section or a whole track.

o Eliminate this section: eliminate the track points you have marked. As a result the remaining points will be joined together with a straight line without track points.

· Sub track:

o Eliminate a point: Eliminates the track point that you have clicked on.

o Situate start of Sub track here: Situates the start point of a Sub track.

o Situate end of Sub track here: Situates the final point of a Sub track.

o Analysis of a Sub track: Analyses the Sub track you have selected.

o Eliminate Sub track: Eliminates the selected Sub track.

o Save Sub track as: Stores the selected Sub track as if it were an independent track.

o Sub track graph: Opens the graph window and shows the Sub tracks graphs.

· Gradate colour of track: This option allows you to choose the type of gradate according to your needs. You can choose the measurement variation range by right clicking on the reference bar and selecting Select range from this value. You can re-introduce the maximum and/or minimum marking the correct box.

· Play here: To start the animation at this point.

· Graph window: To open the track’s graph window.

· Tools:

o Close all except this one: To close all tracks except the track you have selected.

o Move the track: To move the track changing it’s coordinates and time.

o Calculate altitude over ground level for each point: If you have loaded a 3D landscape, you can assign an altitude value to each point of the track. Once you have done this you will receive the message “Altitude readings for this track have been imported”.

o Import pulsometer data from another file: To include pulse readings, obtained by a different instrument, to the track’s properties.

o Divide track into several tracks: To divide the track you have downloaded as a single track from your GPS into several independent tracks.

o Eliminate stationary points at the beginning and end: To remove the repetitive points at the beginning and end of the track.

o Reduce number of points: You will be asked to indicate a number of points and then the track will be re-drawn maintaining the same form as best possible but using only the number of points you have written.

o Assign time and speed: To assign a departure time and a constant speed to a track so that CompeGPS can calculate the time to be assigned to each point of the track.

o Eliminate abnormal points: To remove any point that is situated too far away from the rest of the track, in which case it is considered to be an error.


4 Working with maps

4.1 Definitions

4.2 Working with maps

4.3 Advances operations

4.4 Vectorial maps

4.5 List of open maps

4.6 Properties of a map

4.7 Context menu of a map


4.1 Definitions

4.1.1 What is a map?

4.1.2 Calibration

4.1.3 What is an index map?


4.1.1 What is a map?

A map is the key element for CompeGPS, they allow you to geographically and visually situate the tracks you download.

Characteristics

A map is a flat graphical representation of a portion of the earth’s surface. A map presents several characteristics, the main ones:

· System of coordinates:

This is a table of latitude and longitude readings, based on the meridians and parallels that indicate the relative situation of a point on the earth’s surface.

· Scale:

The relation between the dimensions of the elements drawn on the map and their real value, measured on the earth’s surface.

· Cartographic projections:

All maps are approximate representations of the earth’s surface. They are only approximate representations because the earth’s round surface has been drawn on a flat surface.

The creation of map employs a method that associates each point on the earth’s surface with a point drawn on a map. Different types of cartographic systems are used to make this association between the earth and map’s points.

There are several different types of cartographic projection that are classified depending on the areas they cover. CompeGPS allows you to choose the most adequate system for your un-calibrated map, such as: U.T.M., Lat > Long, Mercator, France Lambert I... You can also choose the automatic calibration, which will leave the program to decide which is the best cartographic system for the map you want to calibrate.

· Datums:

Any line or point on the surface used as a reference unit to measure another unit. Basic and reference point on the surface that is used as the origin of all the coordinates of the network. CompeGPS allows you to choose the adequate datum for your un-calibrated map, i.e. WGS 84, European 79...

Types

The maps used by CompeGPS can be divided into two different types: raster maps and vectorial maps.

· RASTER MAPS: a raster map is a picture that contains all the map’s information. When these maps are digitalized (bit map .bmp format) each pixel represents a set of adjacent coordinates that have to be defined (calibrated). To be able to use these maps with CompeGPS you have to make sure that they have been calibrated. To calibrate a raster map, reach chapter 2.3.1.1. Calibrate a bitmap.

· VECTORIAL MAPS: these maps contain precise information about position, longitude and size all geographical entities. This normally consists in a list of 2D coordinates (lines) that marks the boundaries of the different elements. A vectorial map is the most adequate method to identify objects that can be individually identified whenever you need greater precision.

Download and map scanning

CompeGPS uses with maps downloaded from the Internet or scanned from somewhere:

· INTERNET DOWNLOAD: CompeGPS features direct links so that you can download public and free maps from the Internet. The formats used are NIMA Orthomaps or Mr. SID. For further detailed information read chapter 2.3.2.1. Download maps from the Internet.

· SCANNING MAPS: The other possibility you have is to scan a map. This map will have to be calibrated before you use it. To calibrate it, read chapter 2.3.1.1. Calibrate a bitmap.


4.1.2 Calibration

When you calibrate a map you are situating it in the global space, in other words, you are situating it on the earth’s surface. To do this you have to know the exact coordinates of at least 2 or 3 points of the map. The bitmap image will be tallied to the coordinate system so that the information contained in the map coincides with the program’s reference system.

All maps used by CompeGPS must have a calibration system incorporated so that they can best adjust the GPS’ indications to the coordinates of the map in view.


4.1.3 What is an index map?

An index map is chosen by you to act as a reference when you work with CompeGPS. Preferably you should turn the map you most frequently use into the index map so you can easily situate yourself on the terrain were you usually work.

The index map can be open with a single click thus making it accessible at all times so that positioning yourself when you work with CompeGPS will be easier and quicker.

To know how to define and open the index map, read chapter 2.2.1.3. Open index map.


4.2 Working with maps

4.2.1 Open maps

4.2.2 Close maps

4.2.3 Map viewing options


4.2.1 Open a map

4.2.1.1 Open a map

4.2.1.2 Open map selecting it from the border

4.2.1.3 Define and open Index Map

4.2.1.4 Seek best map here

4.2.1.5 See list of maps for this point

4.2.1.6 Download Internet map for this area

4.2.1.7 Open map from an Internet URL

CompeGPS offers you several methods of opening a map. Some of these methods (Seek best map here, See list of maps for this point and Download internet map for this area) take into account the area where you are currently working to guide you when you want to open a map. Other methods (open map, open index map and open map from an internet URL) open a new map in spite of whatever you may currently have loaded.

4.2.1.1 Open map

To open a map with this tool, carry out any of the following operations:

1. Click on the button [image] (open map) on the tool bar.

2. Select the menu option Maps > Open Map.

3. Select the map from the list in the window and click on the button Open.

4.2.1.2 Open a map by selecting its border.

If you have activated the option View borders of all maps, the program will be showing you the borders of the maps you have stored on you PC for your current position. To open any one of these maps, carry out any of the following operations:

· Double click on the border of the map you want to open.

· Click with the right-hand button on the border of the map you want to open. A small window will ask for confirmation that you want to open this map “nameofmap”.

Note: Remember if you have not opened any element (track, waypoint, map, etc) the maps’ borders will not be visible.

4.2.1.3 Define and open an Index Map

To make opening the same map time and time again, CompeGPS offers the possibility of programming a direct access to gain manoeuvrability and agility. You have to choose which map you want to assign to this button.

To define and open an Index Map, proceed as follows:

1. To define the Index Map, click on the button [image] (open index map) situated on the tool bar.

2. Click on the option Define new Index Map from the fold-down and select the map from the list.

3. You have just defined the Index Map and you can now open it directly by clicking on the button [image] (open index map).

4.2.1.4 Seek best map here

This tool allows you to open a map whenever you already have a reference point on the screen (a track, a waypoint, another map, etc). Read chapter Configurating working folders to establish where you want CompeGPS to look for the available maps.

To use this option, proceed as follows:

1. Open any reference (track, map, waypoint, etc) you want on the empty screen (for further detailed information read chapters 2.2.1.1. Open Map or 3.2.2. Open a Track ).

2. Click with right-hand button of the mouse on the point where you want to open the map. This point can be located on the track, on the map or on the empty screen.

3. In the open window, click on the function Seek best map here.

The program will automatically open the map with best resolution for the point you are situated on.

Note: If you click with the right-hand button of the mouse anywhere on the screen you will be given the option to Draw borders of all maps . The program will show you the borders of the available maps

4.2.1.5 See list of maps for this point

This tool is similar the previous one but instead of the program automatically opening the map with the best resolution, the program offers you the possibility of choosing the map amongst the maps available in your map file. Read chapter 2.2.5. Configurating working folders to establish where CompeGPS will seek for the maps available for use.

To open a map using this method, follow these steps:

1. Open any reference (track, map, waypoint, etc) you like onto the empty screen, read chapters 2.2.1.1. Open Map or 3.2.2. Open a Track ).

2. Right click with the mouse on the point where you want the map; you can click on the track, on the map or even on the empty screen.

3. In the window that opens, click on the function See list of maps for this point.

The program will show you all the maps loaded for the point you have chosen, ordered in meters > pixels.

Note: If you click with the right-hand button of the mouse anywhere on the screen you will be given the option to Draw borders of all maps . The program will show you the borders of the available maps

4.2.1.6 Download Internet map for this area

This option allows you to look on the Internet for the best map for the area you are working with. To do this, follow these instructions:

Open any reference (track, map, waypoint, etc) you like onto the empty screen, read chapter 2.2.1.1. Open Map or 3.2.2. Open a Track ).

1. Click on the button [image] that you will find on the tool bar. You can also do this by opening the label maps on the main menu and then selecting the option Download Internet map for this area.

The window that opens will show you all the maps available on the webs consulted by CompeGPS (remember that you must be connected to the Internet for this tool to work).

2. Select the map you want to use and download it directly (click on the button Download map) or through the suppliers’ website (click on the button Go to web-site and follow the steps given there). The option that you will have to take depends on the map you choose and the button that appears in the bottom left corner (Download map or Go to web-site), this button will change automatically depending on the option available according to the map you have chosen.

Note: Some web-site offer free maps but others have to be paid for. Check the Price column in the selection window to find out.

Read chapter 2.3.2.2. Internet map formats for information about the types of maps available for download.

4.2.1.7 Open a map from an Internet URL

If you are familiar with the URL address of the site where you will find the map you want, you can download it directly with this option. To do so, follow these steps:

1. Go to Maps>Download map from an Internet URL on the main menu. A new window will open up.

2. Write the URL address of the web site where you’ll find the map.

3. Click on OK and the map will be automatically downloaded.

The URL where you’ll find maps usually start with ecwp:// instead of http://. Write these initials in any Internet browser (Goggle AltaVista…) and you will find loads of maps, although you will have to be patient to find exactly what you are looking fore.

Another way of finding URL’s is to visit the CompeGPS page.


4.2.2 Close maps

There are several ways of closing a map or the maps that are open.

To close only one map, there are several possible methods:

· Using the Context menu, proceed as follows:

1. Right click on the map that you want to close.

2. Select the context menu option Close Map.

· Using the List of Maps, proceed as follows:

1. Open the List of maps window by selecting Maps>List of loaded maps.

2. Select the map that you want to close and click on the button Close map.

If you do not want to carry out any other operation, close this window by clicking on the cross in the top right-hand corner.

To close all the maps loaded on the screen:

1. Select the menu option Maps.

2. Click on Close Maps to close all the maps loaded on the screen.

To close a map as well as the other items you may have loaded on the screen (other maps, tracks, routes, waypoints and landscapes):

1. Select the menu option File.

2. Click on Close all to close all elements loaded on the screen.


4.2.3 Map viewing options

The chief map viewing options are present as predetermined values on the tool bar.

They are:

· Zoom 100% [image] : Graduates the zoom so the map returns to its initial resolution.

· Movement [image] : Allows you to move the map around the viewing screen. To do this, after you have clicked on this button, click and hold down the left hand button of the mouse and move the mouse around as you wish.

Note: whenever you do not have any tool selected and you click on any point of the map, this tool will automatically be activated.

· Zoom window [image] : Allows you to create a zoom in window of the portion you want. Select this tool and holding the left-hand button down, draw a rectangle on the area of the map you want. When you let go of the button on the mouse, the area you marked will be enlarged.

· Selection tool [image] : Allows you to select different elements or areas on a map by selecting them by drawing a rectangle holding and dragging the left-hand button of the mouse.

· Zoom Out [image] : Allows you to create a negative zoom to view the data loaded on the screen from a greater distance. Using the mouse wheel you can also increase or reduce the zoom.

· Zoom In [image] : Allows you to zoom in on the data loaded on the screen. Using the mouse wheel you can also increase or reduce the zoom.

· See all [image] : Click on this button for all the open elements (tracks, waypoints and maps) to be centred on the screen, to place them all in view. If you click on the fold-down you can choose what elements you want to be centred (tracks, waypoints, maps). This function is really useful when you cannot locate the data you know you have loaded.

· Map scaling [image] : Allows you to choose the percentage of increase or reduction. To do so click on the icon and select the percentage you want for the fold-down or select the option another zoom %. You can also introduce another scale in mts per pixel; this will allow you to introduce a number that will represent the number of meters that each pixel will represent.

· Miniature view [image] : Activate this tool and a window will open with a general view of all the open elements (maps, tracks, waypoints…). The red frame that appears represents the area in focus on the general window. This tool is very useful when you work with zooms.

· Zoom window [image] : Select this tool for instant 2X zoom on the area marked you mark with the pointer. This 2X zoom will be given to you in a new window that will open.

· Projection grid [image] : If you activate this option the projection grid (using the default values you have programmed) will be superposed on the elements you have stored.

· Degrees grid [image] : This option activates the latitude and longitude lines.

· Measure distance [image] : This option allows you measure the exact distance between any two points. To do this activate this tool then left click with the mouse on the point of origin and then move the pointer to the next point. While you move the mouse you can view the measurement reading in a small window that will appear beside the pointer. If you want to set the measurement and free the mouse, left click on the point that you are interested in. Apart from the distance between the first and second point, you will also be told the delay reading, de deviation from the North, written in degrees.

· Turn map [image] : This tool allows you to turn the map around however you want, situating the north in a new place. Click on this button and fill in the number of degrees that you want to turn the map.

Note: This is not a default option on the tool bar. If you want to activate it, read chapter 2.2.11. Configurating keys and buttons. Or you can access this option through the menu option See.

· Transparency: This option allows you to adjust the transparency of any map in comparison with another adjacent map. The more transparent a map is the more you will see the map below it. Moving the bar, the effect is immediate and you can regulate it as you want. Once you have obtained the correct amount of transparency click on the button OK.

Note: This is not a default option on the button bar. If you want to activate it, read chapter 2.2.11. Configurating keys and buttons. Or you can access this option through the menu option Multimaps, advanced…, that you will find on the map’s context menu (right click on the map).

· Bring forward / Send behind: The bring forward option will place the map you are working with in the foreground, on top of the other maps that were covering it. The send behind option carries out the opposite function.

Note: This is not a default option on the button bar. You can access this option through the context menu option (that you find in Multimaps, advanced…) or using the List of Maps window (See chapter 4.5 List of open maps)

You can also modify other general map viewing option (background colour, characteristics of UTM grid, etc), read chapter 2.2.1 Configurating maps .


4.3 Advanced operations

4.3.1 Calibrate and import maps

4.3.2 Map via internet

4.3.3 Join maps


4.3.1 Calibrate and Import maps

4.3.1.1 Calibrate a bitmap

4.3.1.2 Revise Calibration

4.3.1.3 Import Maps

When you calibrate a bitmap you are really positioning it on the earth’s surface. To be able to do this we have to know the exact coordinates of at least 2 or 3 points on the map. This will allow the program to couple and join together the information given by bitmap map together with the system of coordinates in use.

All maps to be used by CompeGPS should be calibrated in a way that the necessary adjustments can be achieved and so that equivalences with the greatest precision possible can be made between the program’s data, the GPS’ data and the map in view.

Depending on how you obtained a map, you will have to face different types of calibration needs:

· Maps downloaded from the Internet via CompeGPS (Orthomap and Mr.Sid formats) are already calibrated.

· Maps that you have scanned (images of maps) will have to be calibrated using the function Calibrate a bitmap. Read chapter 2.3.1.1. Calibrate a bitmap.

If errors, like discrepancies between waypoints or tracks and the information on the map, appear you will probably have to Revise the calibration of your map. Read chapter 4.3.1.2 Revise calibration.

Maps made by other manufacturers often lack vital information necessary for a correct calibration. In these cases you will have to use the option Import maps. Read chapter 4.3.1.3. Import maps.

4.3.1.1 Calibrate a bitmap

CompeGPS allows you to use images or bitmaps as valid maps. In this way you can complement your maps downloaded from the Internet with other paper maps you have scanned yourself.

Scanning a map can often be a long and tiresome affair; the size of a map usually implies that you have to scan it bit by bit or take it to a specialized establishment. This is why we recommend that, whenever possible, you obtain your maps from the Internet or the CompeGPS CD maps.

Nevertheless, if you do have a scanned map, once you have digitalized it you will have to calibrate it for use with CompeGPS. As we have already mentioned, you do need to know the exact coordinates of at least 2 or 3 points on the map.

To calibrate a map, follow these steps:

1. Select the menu option Maps > Calibrate a Bitmap. A new window will open.

2. Select the map you want to calibrate and Click on the button Open. CompeGPS allows you to work with these formats: JPG, PNG y BMP.

CompeGPS opens the file on the main window. You can zoom, scroll etc on this map but you will not be able to do anything else because it is not a calibrated map.

On the lower part of the screen you will find a new section with four labels. Each label will have to be filled in with real information about the map you have opened.

3. In the first label: fill in the information about projection and datum and click on the button Next.

Note: If you do not know the projection of your map, establish the automatic option. The program will use the U.T.M. projection system, most adequate since it is one of the most extensively used.

4. Click on Next or Frame and select the area of the map that you want to appear on screen if you have more than one map loaded. This operation is useful to adjust the map in the best way to make working with other maps easier. In a general way, this operation is used to eliminate the frame that surrounds a map so that it fit perfectly alongside another map. For further detailed information about this, read chapter 4.3.3. Join maps.

5. Click on Next or on the Point 1 label and write the coordinates of this point, its area and its projection:

· X, Y: click on the first point of the map that you want to act as calibration point 1. The images coordinates will be established (data in pixels).

· Type of coordinates: Select the type of coordinates that are used by the point and write it (x y, Lat/Long, etc.)

If you introduce a point in a written in a different projection to the projection that you selected for your map (you did this in the first label), then these coordinates will automatically be converted into the selected projection the moment you change the label.

Using the different window functions, you will be able to move a point from one place to another, to view a point (centre it on the screen), eliminate a point, or use a waypoint as a calibration point.

6. Click on Next or on the point 2 label to fill in the necessary information about this point.

We recommend that you use a minimum of three calibration points in order to obtain an accurate calibration of the map. To include the third calibration point click on Add addition point and a new label will appear, called Point 3; fill in the necessary information in the same way as with the other points. You can introduce as many points as you wish, although only 3 are really necessary.

7. Lastly, you have to store the calibrated map in the predetermined directory, in .IMP format. You can name it as you wish, or you can keep the original name, and then click on Save.

4.3.1.2 Revise Calibration

If you do not get a correct adjustment when you superpose a track, a route or a waypoint onto a calibrated map, it is quite probably that the map’s calibration has not been carried out correctly.

Use the revise calibration function to solve these errors:

1. Open the map that you want to revise.

2. Select the menu option Maps > Revise calibration of a map. You can also choose the option Revise calibration of a map in the section Multimapas, advanced… that you will find in the context menu of the del map.

3. In either case, the calibration window will open. Check that all the information you have written is correct (projection, datum, points…) or you can introduce new calibration points, replacing old ones. Adding new points will not solve the problem because the old points may not be correct.

4. If you do not know the projection data, establish an Automatic projection. The characteristics of the Automatic option are adequate for almost all maps. Read the chapter Calibrate a bitmap for detailed information about the calibration process.

4.3.1.3 Import Maps

This function allows you to import maps made by other manufacturers that are not sufficiently well calibrated because they do not contain correct information about the map’s datum and/or the map’s projection.

If you want to import a map and correct the errors, proceed as follows:

1. Select the menu option Maps > Import Maps.

2. Select the drawing of the map that you want to open. CompeGPS allows you to open these formats:

· Raster Maps:

· DRG file extensions: .bmp, .tif, .jpg, .tfw, .jgw

· Sid file extensions: .sid

· ECW file extensions: .ecw

· APRS file extensions: .gij, .bmp, .inf

· AutoCAD vectorial maps: .dwc, .dfx

· Arc View vectorial maps: .e00, .shp

· Micro station vectorial maps: .dgn

· MapInfo: .mif, .tab

3. With the map open a new window will open, the data correction window. This window gives you details that exist about the map. These are presented as four points that can help you to assign the map’s projection. You will find them in the top right hand part of the window.

Here are the operations that you can carry out in the data correction window:

· Select a projection: To choose the type of projection that you think corresponds to the map.

· Select datum: Choose the most probably datum for the map.

· Zone and hemisphere: Select the UTM zone and indicate if the map is located within the north or south hemisphere.

· Units advanced options: Click here to choose the units that you want and to write the deviation of the location of the map on the X, Y and Z axels.

These are the questions that will appear in the lower part of the window:

· Do you want to import all the maps in the folder? : If you activate this option, you will also import all the maps stored in the same folder as the map you have imported. The same adjustments will be applied to all of these maps. This can save a lot of time if all of the maps need the same adjustments.

· Do you want to store all the folder’s maps in the same file?: This option appears when you work with vectorial maps. This option allows you to join together several maps that were original stored individually but in the same folder.

· Place each file in a different layer?: If you did choose the previous option, you will also be able to choose if you want each of the original maps to be stored on different layers in the new single vectorial map.

4. Once all is correct, click on the button OK and store the map with a new name in the folder: compegps\mapas

The map will finally have been adjusted to CompeGPS.


4.3.2 Maps via Internet

4.3.2.1 Download Maps from the Internet

4.3.2.2 Internet map formats

4.3.2.1 Download maps from the Internet

CompeGPS offers the possibility of downloading public and free maps from the Internet. For further detailed information about their characteristics, read chapter 4.3.2.2. Internet map formats

To learn how to download a map from the Internet read chapter 4.2.1.6 Download Internet map for this area or chapter 4.2.1.7. Open map from an Internet URL.

4.3.2.2 Internet map formats

You can find several types of maps on the Internet, each one with it’s own characteristics.

In the Download Internet map for this area window you will find the following information:

· Name of the map: You may find information about the supplier and the type of map you are dealing with.

· Scale: This is important information, when less m/pixel greater the detail of the map.

· Description: Here you will find a brief comment about the most relevant characteristics of this type of map.

· Price: This box will let you know if the download is free or if there is a charge to be covered.

· URL: Internet address of the map supplier (double click to follow the link).

The most extensively used types of maps on the Internets are the NIMA Orthomaps and the Mr Sid formats

The Nima Orthomaps maps are in black and white and have a resolution of 10m / pixel.

The Mr.Sid digital maps are worldwide maps made via satellite by N.A.S.A. They have a 30m / pixel resolution and you can automatically download them with CompeGPS or from the web page https://zulu.ssc.nasa.gov/mrsid.


4.3.3 Join maps

This function allows you to join several maps into one. CompeGPS will automatically carry out the equalling of scales and projection for the newly created map. In this way, you will not have to calibrate it yourself.

Prepare and join maps:

1. Open all the maps that you want to join together.

2. On the map scale option of the tool bar, establish a 100% to obtain the maximum visual quality of the new map. If you view the maps at a scale value lower than 100% the new map will have less details than the originals; you will get less details when you zoom in on the new map.

3. Select the menu option Maps > Join Maps.

A new window will give you information about the newly joined map. You will find information about the pixel size, the scale and the projection that CompeGPS will use to generate the map.

4. Click on the button Yes if you want to proceed with joining the maps. You will be asked to assign a name for the new file.

5. In the window to Select name for the bitmap we recommend that you save the map as an .ECW file. This type of format allows you to store the image and the calibration in the same file.

6. If you want to store the map in two separate files (image and calibration) first save the image file in the window Select name for the bitmap, and then, in the window that appears Introduce name of map, save the map as a .IMP file but using the same name as the bitmap image.

7. Once you have stored the new map you will be able to view the final result.

Our recommendation is that the maps you want to join together do not have frames around them; frames break up the continuity between the different maps. A frame is a border, varying in thickness, drawn around the perimeter of a map.

To adjust frames so that you can join maps together, use the adjust frames tool; you will find this tool in the calibration menu. Follow these instructions:

1. Open the framed map you want to adjust to make it joinable.

2. Open the calibration window by choosing the Revise map calibration option in the Multimaps, advanced… section. You can also reach this option using maps>revise map calibration.

3. Select the Frames label and click on the Modify map frames option. The frames adjustment tool window will open.

4. A red line with grey points on it will border the drawing of the map. Click on any of the grey points to move it and adequately adjust the frame to your wish.

5. When you have made all the adjustments you consider necessary, click on the Save button. If you want to save a new copy of the map (recommended), give it a new name. The operation will conclude when you click on Save.

Note: The next time you adjust the same map you will not be able to un-cover the areas you cut out in previous adjustment operations. This is why we recommend that you to be careful when you adjust a map and to always store a copy of the original map.


4.4 Vectorial maps

4.4.1 Introduction

4.4.2 Create a vectorial map

4.4.3 Edit a vectorial map

4.4.4 Properties of the layers


4.4.1 Introduction

CompeGPS allows you to view, edit and create vectorial maps. These maps offer a precise definition of all positions, longitudes and sizes of the different geographical objects. These usually consist of a list of 2D coordinates (lines) that shape things. Vectorial representation is the most adequate to identify objects that have to be viewed individually on the terrain with a certain level of precision.


4.4.2 Create a vectorial map

To create a new vectorial, follow these instructions:

1. Open the vectorial map edition bar (vectorial editor) using the main menu option Maps>Create new vectorial map and write the name you want to give the new map.

Note: This option will not be available if you have not opened any type of file (a map, a landscape, waypoints, etc) Load any of these items to make this option available.

2. You can create polygons or polylines. You can choose between two ways of starting to create any of these two objects:

· Click on the button [image] (polygon) or [image] (polyline). When you do this will, the new window that appears will allow you to configure the different elements (read properties of layers for a complete description of these elements).

Once you have done this, left click on the point where you want to start drawing the polygon or the polyline. Once you have created the first point, continue creating points until you have drawn the shape you want.

· Right click on the point where you want to start the drawing, choose between [image] Create polygon and [image] Create polyline and the first point is automatically created. Continue creating points by left clicking with the mouse.

You can also create lines and polygons drawing them “free hand”. If you prefer to use this method you will first have to draw at least two points using the method just explained. You can now select the tool Draw by dragging, hold down the left button of the mouse over the last point you have drawn and move and draw the shape you want. When you leave the left hand button you will be asked if you agree to the drawing, when you answer yes the shape will be added onto the line formed by the two initial points.

To read more about line drawing tools read Edit a vectorial map .

3. If you are satisfied with the elements you have just created, close the vectorial map edition bar (vectorial editor) and save the map. Open the context menu on the data tree and select the option Multimaps, advanced… > Save as … You can give the map a new name or keep the one you wrote when you started the edition.

For further detailed information about how to modify a vectorial map read Edit a vectorial map .


4.4.3 Edit a vectorial map

CompeGPS allows you to modify the polygons and polylines that make up a vectorial map. If you want to create your own polygons and polylines, read Create a vectorial map .

To open the vectorial map edition bar (vectorial editor) use the context menu (right click) on the name of the map in the data tree or on any place on the map and select the option Multimaps, advanced… > Edit the vectorial Map.

The tools available to edit vectorial maps are:

· Undo [image] : Click on this button to cancel the last change you have made. You can un-do all the changes you have made but be careful because once you have un-done them you cannot automatically re-do them, you will have to re-edit them again.

· Insert intermediate points [image] : This tool automatically detects the two points nearest to the pointer and it will allow you to insert an intermediate point between them. When you have decided where you want to insert the new point, left click to create it.

· Add points [image] : This tool allows you to add more points to the line, starting off from which ever point you want. Left click on the point you want to start off from and then select the add points tool. You can now add a point at the beginning r at the end (if the point you had selected was one of these) or you can add an intermediary point (if the selected point was in the middle of the track).

There is a quicker way of adding points to a track; once you have decided where you want to start from, click and hold down the Ctrl key and then click on the place where you want to add the new point. Confirm this point by clicking the left button of the mouse. Continue holding down the Ctrl key if you want to add more points and repeat the same operation as before.

Note: Although the add points tool, when used to add points in the middle of a track, may seem very similar to the insert intermediary points tool, the insert intermediary points tool is much less versatile since it is only intended to refine the course of a track.

· Draw by dragging the mouse [image] : When you use this tool to edit the course of a track, you will be able to add new points as if you were free hand drawing the new course. First select the first point from where you want to start adding new points, and then select this tool.

Click on the left button of the mouse and hold it down while you draw the new points.

If the point you chose as the starting point is situated at the beginning or the end of a track, the new points you draw will lengthen the track. If the starting point was situated in the middle of the track, the new points will be joined up to what originally was the next point after the starting point you chose.

Recommendation: the most practical option is to edit a track in the same direction as it is run, in other words, from the beginning of the track towards the end of it.

· Create a new line [image] : Although you can access this tool using the button on the button bar, the most practical option is to right click on the point where you want to start the new line and select this option in the context menu. You will have to fill in the required information about the new line you are creating in the new window that will appear.

From here you, create the line while you hold down the Ctrl button and left clicking on the points were you want to create the line.

You can also create a new line using the Draw by dragging the mouse tool. In this case, once you have selected this tool, select the initial point using the New altitude line tool that you will find in the context menu. Then hold down the left button of the mouse while you draw the line starting from the initial point. You can move the initial point whenever you wish by simply dragging it to its new position. If you have activated this tool using the button on the button bar, you can start the new line anywhere on the map.

· Eliminate a line [image] : Select the line that you want to eliminate and click on this button to carry out the operation. You can also eliminate a line by right clicking on it and choosing the Eliminate line option.

· Eliminate a point [image] : Select the point that you want to eliminate and click on this button to carry out the operation. When you do this, the two parts left of the line will be join together with a simple straight line. You can also eliminate a line by right clicking on it and choosing the Eliminate line option.

· Edit a line [image] : Select an altitude or cliff line or a river and click on this button (on the button bar or in the context menu). The new window that opens will ask you what type of line you want it to become and what will be its altitude. To move the points that make up the line, you just have to drag them while you hold down the left button of the mouse.

· Edit a point [image] : Select the point that you want to edit and click on this button (on the button bar or in the context menu). The new window that opens will ask you to fill in all the necessary information about the point.

· Insert a track [image] : When you click on this button you will be able to open a track, view it on the screen and edit it as if it were just another line on the landscape.

· Layer administrator [image] : The window that opens when you click on this button gives you all the information regarding the layers of a vectorial map.

· Activate/Deactivate magnet [image] : When you activate the magnet, the first and last point of a line will be joined together carried out automatically to perfection.

This tool also allows you to move any point already created to any new position by holding down the left button of the mouse, moving it to its new position and then letting the button go.


4.4.4 Properties of layers

Vectorial maps can be made up of several different layers that represent different types of information. You can consult and modify the properties of these layers using the properties of the layers window. There are two ways to reach this window:

· In the data tree, right click on the layer you are interested in and select the Properties option.

If you have activated the vectorial edition bar, click on the Layers administrator button [image] and then double click on the layer that you want to see.

The option window allows you to move about the different layers by using the small arrows that you will find in the top left hand corner.

The properties that are detailed in the window are: Type and name of the layer, colour and colour of the filling, activated (referring to whether the layer is or is not visible), zoom level (referring to the minimum scale at which the layer is visible), thickness of the pixel and real thickness, texture of the filling and transparency (double click on this one to adjust the opacity of the layer).

All of these properties can be edited when you double click on them.

· Another method to edit the layers of a vectorial map is to use the layers administrator. This option is available by clicking on the [image] button when the vectorial editor bar is activated. The layers administrator quickly gives you information about the different layers; you can also activate or deactivate a layer by double clicking on this field of the layer you want to work with. To access the properties of a layer window, double click on any other field or chose the properties option in the context menu of the layer (right click on it).


4.5 List of open maps

The List of open maps function allows you to see a list of all the maps that you currently have loaded on the screen and see all their names, scales, calibration priority (marked with an asterisk) and memory in use.

You can also open another map, close the map you have selected, store the map in an .ecw format, view the properties of the selected map or send it to CompePocket.

To open this list, select the menu option Maps > List of open maps.

From here you can:

· Open a map: Open another map from your map file.

· Close a map: Close one of the maps loaded on the screen, once you have selected it from the list.

· Properties of the map: To view the properties of the map you have selected from the list.

· Establish as primary map: Select a map as primary map. If a calibration conflict arises, the other maps will adapt themselves to this map (only applies in very large or very distant maps)

Note: When you open a new map it will automatically be designated as the primary map.

· Save as ECW format: To create a new copy of the map in ECW format. ECW is a data compression system that allows for a quicker access to maps that use a lot of memory.

· Close: To close the List of open maps window.

· Send to CompePocket: To send the map to CompePocket.

· Bring to front / Send behind: The buttons representing these operations are located in the centre of the screen (an arrow pointing up and another pointing down).

If you choose a map from the list and you click on the arrow pointing upwards, the map will raise one layer up, laying on top of the other maps lower down on the list. In this way, the map at the top of the list will not be covered by any other map.

The arrow pointing downwards has the opposite function.


4.6 Properties of a map

To see the properties of a map window, carry out any of the following operations:

· Select the menu option Maps > Properties of a Map. You will view the properties of the last map you loaded. To view the properties of any other map that you have loaded, click on the arrows in the top right-hand corner of the window. The numbers indicated on these arrows tell you the number of maps you have open.

· Open the map’s context menu (right click anywhere on the map) and select the option Properties of the map to view the properties of the map you have clicked on. To view the properties of other maps you have loaded, click on the arrows in the top right-hand corner.

· Select the menu option Maps > List of open maps to open the list of open maps window. Select the map that you want to see the properties of and click on the button Properties of the Map.

The properties detailed in this new window are the following:

· Name of the map: Location and name of the file.

· Type of map: Raster or vectorial (Read What is a map? )

· Scales: Meters of land per each pixel of the map.

· Primary: This field indicates if in the case of conflict, the other maps will adapt to this one.

· Projection: Indicates the projection used to calibrate the map.

· Extension of the map: Width x height of the area covered by the map.

· Original datum: Datum used to calibrate the map.

· Memory in use: Indicates the RAM memory used by the un-compressed map. Some maps (p.e. ecw or sid) use a variable access to memory system, so a fixed quantity of memory in use cannot be calculated. In these cases a 0.0 value will be shown although there will be memory in use.

· Name of the bitmap: Name of the image that the map comes from.

· Size of the bitmap: Size of the image that the map comes from.

· Colour bits: The map’s colour quality.

· Number of calibration points: The number of points that were used to calibrate the map.

· These last four properties are not available in the case of vectorial maps. Instead of them, the properties listed below will be shown:

· 3D picture using vectors: Indicates (and allows to select this option by double clicking) if the vectors will be used for the 3D mode.

· Number of vectors: Number of vectors composing the map.

· Number of points: Total amount of points composing the map.


4.7 Context menu of a map

The context menu of a map appears whenever you double click on any point of the map.

The context menu offers you the possibility of operating the following functions:

· Create a waypoint here: create a waypoint on the chosen point of the map, read Create a waypoint .

· Start a new route here: allows you to create a new route starting on this waypoint. To add new waypoints, hold down the Ctrl key. Read Working with routes .

· Seek best map here: automatically looks for the map with best definition for the point you have chosen on the present map, read Seek best map here .

· View list of maps for this point: shows you the list of maps that you have available for the point you have chosen, read See list of maps for this point .

· Close map: closes the map belonging to the context menu, read Close map using context menu .

· View frames of all maps: this option allow you to view the outlines of all the maps that you have stored in the folder situated in first place in the field “Map Folder” in the Folder section of the options windows. (read Open a map by selecting it’s border ).

Note: At least one object has to be open in order to be able to use this function (a map, a track, a landscape or a waypoint).

Note: Whenever you select or un-select this option, your choose will be established as a default value within the configuration of CompeGPS.

· Send a map to CompePocket: Send a map to the related program CompePocket.

· Multimaps, advanced…: This section allows you to access the following options:

· Transparencies: the window that appears when you select this option will allow you to regulate the level of transparency of the map you are working with.

· Establish as primary map

· Bring forward: This option places the map in the foreground so it is not covered by any other map.

· Send behind: This option moves the map to the lowest position underneath the other maps that you have loaded at the time.

· List of maps in the memory: Access a list of these maps.

· Revise calibration of the map: You can access to this function even if you have other maps open at the same time.

· Edit a vectorial map: Open the vectorial map edition bar.

· Store map as: This option allows you to store the map choosing the folder and the name of the map.

· Layer administrator: Access this vectorial map tool.

· Move the calibration of the map: Write an “x” value (abscissas) and a “y” value (ordinates) to touch up the calibration of the map

Note: For further detailed information about these options read the relevant chapters.

· Properties of a map: To see the properties of the map window.


5 Working with landscapes

5.1 Definitions

5.2 Operations with landscapes

5.3 List of open landscapes

5.3 Properties of a landscape

5.5 Context menu of a landscape


5.1 Definitions

5.1.1 What is a landscape?

5.1.2 3D formats


5.1.1 What is a landscape?

CompeGPS uses landscapes for 3D viewing of any map and its’ mountains.

These are calibrated digital altitude maps that are moulded over the surface of a 2D map.

CompeGPS works with two types of landscape formats:

· .DEM formats: a free public format, downloaded from the Internet using the program.

· .3DR format: CompeGPS’ own format.

Read 3D formats for further information about these formats. To view the properties of the open landscape, read List of open landscapes .


5.1.2 3D formats

CompeGPS works with both of these formats:

· .DEM format:

CompeGPS works with NASA digital altitude maps that you can download free from the Internet: the GTOPO30 is a digital model of the globes elevations (.DEM format) formed by a horizontal grid with cells of 1 km each.

CompeGPS offers direct functions to download the landscape you need, read Download 3D landscapes.

· .3DR format:

This is CompeGPS’ own format made of topographical map altitude lines. You can download several .3DR maps from our website www.compegps.com.

CompeGPS also allows you to create your own altitude maps (in .3DR format). To do this, these is an option that allows you to draw over the altitude lines of a topographical map and in this way create you own landscapes (menu function 3D landscapes > Edit landscape).


5.2 Operations with landscapes

5.2.1 Open a landscape

5.2.2 Close a landscape

5.2.3 Import a landscape

5.2.4 Download 3D landscapes

5.2.5 Create and edit a landscape


5.2.1 Open a landscape

To view in 3D or to make available the altitude readings of the maps you have created you have to load a landscape that will shape the 2D map (no necessary for tracks downloaded from the GPS that already include altitude readings). To open a landscape, carry out any of the following operations:

· Select the menu option Open landscape (click on the button [image] on the button bar) chose the landscape you want and click open. The landscape will be loaded on the main window. This option is also available in the List of landscapes window.

· Open any type of element (a track, a waypoint, a map…), open the context menu on the point where you want to open the landscape and choose the option Seek best landscape for here.

If you do not carry out the Open landscape operation when you go to the 3D viewer, CompeGPS will automatically open the best landscape available for the area you are working with.

CompeGPS also offers the possibility of importing landscapes stored in other formats (read Importing landscapes) or download landscapes from the Internet (read Download 3D landscapes ). When you have loaded the 3D landscape corresponding to your 2D map, you will be able to view you map in 3D, read 3D viewing.


5.2.2 Close a landscape

To close all the landscapes loaded on the screen follow these instructions:

· Select the menu option 3D landscapes > Close Landscape.

To close only one of the landscapes loaded on the screen, carry out any of the following operations:

· Open the landscape’s context menu (right click on the landscape) and select the option Close landscape.

· Open the List of landscapes (3D landscapes > List of Loaded Landscapes on the main menu), click on the landscape that you want to close and then choose Close landscape.

To close the landscape as well as all the other objects loaded on the screen (maps, tracks, routes, waypoints):

· Select the menu option File > Close all.


5.2.3 Importing landscapes

The function allows you to import landscapes made by other manufacturers that are not calibrated well enough, with incorrect datum information or a faulty projection.

If you want to import these landscapes and correct their errors, proceed as follows:

1. Select the menu option Landscapes > Import 3D landscape.

2. In the new window, choose the landscape that you want to open. CompeGPS allows you to open .txt, .dtm y .fil formats (all DEM formats).

3. The data correction window will open, here you will find the option Coordinates & Datum, and you can choose if you want to correct the projection and/or the datum.

4. When the correction has been made click on OK and save it with a new name in the folder Compegps\Landscapes.


5.2.4 Download 3D landscapes

To Download free public landscapes from the (read about their characteristics 3D Formats) proceed as follows:

1. Select the menu option Maps > Download an Internet map for this area.

2. Click on the option DEM NIMA DTEDO 1km X 1km (low resolution landscapes: 1km/píxel) or DEM STRM 90m X 90m (good resolution landscapes: 90m/píxel) from the fold-down.

The download window will open.

3. Click on Download to start the process.

The download window will give you information about the status of the download procedure and, when download has finished, you will be able to view the landscape (unless you have a map overlaid on top).


5.2.5 Create and edit a landscape

CompeGPS features a 3dr landscape editor that allows you to create and edit landscapes stored using this format. You can also convert them to DEM format, which uses less computer resources.

This is the main procedure to create a landscape:

1. Open any element so you can point out a reference about the position you want to work with. This element will normally be the map you will base your landscape on.

2. Select the menu option 3D Landscapes > 3DR Landscapes > Edit a landscape. The landscape editor bar (vectorial editor) will open.

3. Using the tools that will be described further ahead in this chapter, draw all the altitude curves, rivers and cliff edges that you need to create your project.

That the following considerations into account when you are drawing these elements:

· It is important that the altitude curves draw a closed shape, in other words, the starting point must also be the last point.

· Altitude curves must be joined together here and there by rivers (lines that indicate the lower part of the area) and cliff edges (lines that indicate the borders of a cliff from which the land slopes down).

· Altitude lines can never cross over.

4. Regenerate using the function 3D Landscapes > 3DR Landscapes > Regenerate. The program will carry out all the necessary operations to finish your landscape.

5. Give it a name and store it using Save landscape as, which you will find clicking on the right hand button above the label New landscape in the data tree.

The tools that you have at your disposal to modify the lines that represent the altitude levels, the cliffs and the rivers are:

· Undo [image] : Click on this button to cancel the last change you made. You can “undo” all the changes you have made but be careful because you will not be able to automatically re-do them, you would have to re-edit them manually.

· Insert intermediary points [image] : This tool automatically detects the tow points nearest to the pointer and it allows you to insert an intermediary point between them. When you have decided where you want to create an intermediary point you will just have to left click to create it.

· Add points [image] : With this tool you will be able to add a new point wherever you want to the line (left-click on it then choose the tool add points). You cannot add a point to the beginning or end of the line (if that is where you have clicked) or in the middle of the track (if you have clicked somewhere in the middle of the line).

There is a quicker way to add points to a track. When you have decided where you want to insert the first new point then click and hold down the Ctrl key then left click where you want to add the new point. If you want to add more points just carry on holding down the Ctrl key and carry on left clicking wherever you want to add a new point.

Note: although the tool add points when you use it to add new points in the middle of a line could seem to be very similar to the other tool insert intermediary points, the insert intermediary points tool is less versatile, it has been designed to just refine a line and not create a new course.

· Draw by dragging the mouse [image] : if you use this tool to edit the line you will be able to add new points as if you were drawing free hand. First choose where you want to establish your starting point then activate this tool.

Now left click and hold this button down while you draw the new points that you want to add.

If your starting point coincides with the first or last point of the existing track, whatever you draw will be added on the original track at the beginning or end of it. If the new points are created in the middle of the track, they will create a loop and joint up to the original track.

Recommendation: it is much more practical if you create the new points in the same direction as the original track, from the beginning to the point of arrival.

· New altitude line [image] : Although you can get to this tool using the button on the button bar, the most practical way to get to it is by right clicking on the point where you want to start drawing the new altitude line and then choose this option from the context menu that will open. When you have done this, a new window will open asking you to introduce the altitude value that you want to establish for the new line.

From this moment on, you can create the new altitude line by holding down the Ctrl button and left clicking on the points where you want to create the altitude line.

You can also create a new altitude line using the tool Draw by dragging the mouse. In this case you first have to select this tool, then you draw the new line (holding down the left button of the mouse) after you have chosen the tool New altitude line when you were at the starting point of the new altitude line. You can move this point by simply dragging it without having to choose any tool to do so. If you have chosen this tool from the button bar, you can start drawing on any point of the map.

· New cliff [image]: This tool works in a similar way as the New altitude line tool. We also recommend that you start drawing the new line after you have right clicked where you want to start to draw the new cliff line. From then on, continue drawing the new cliff line holding down the Ctrl button and left clicking on the points where you want to create the new line.

You can also create a new cliff line using the tool Draw by dragging the mouse. In this case you first have to select this tool, then you draw the new line (holding down the left button of the mouse) after you have chosen the tool New cliff when you were at the starting point of the new cliff line. You can move this point by simply dragging it without having to choose any tool to do so. If you have chosen this tool from the button bar, you can start drawing on any point of the map.

· New river [image]: This tool works in a similar way as the two previous tools. We also recommend that you start drawing the new line after you have right clicked where you want to start to draw the new river line. From then on, continue drawing the new river line holding down the Ctrl button and left clicking on the points where you want to create the new line.

You can also create a new cliff line using the tool Draw by dragging the mouse. In this case you first have to select this tool, then you draw the new line (holding down the left button of the mouse) after you have chosen the tool New river when you were at the starting point of the new river line. You can move this point by simply dragging it without having to choose any tool to do so. If you have chosen this tool from the button bar, you can start drawing on any point of the map.

· Eliminate a line [image] : Select the line that you want to eliminate and click on this button to do so. You can also eliminate a line by right clicking on it and choosing the option Eliminate line.

· Eliminate point [image] : Select the point that you want to eliminate and click on this button to do so. When you do this, the line that you have eliminated it from will re-join itself together again with a straight line. You can also eliminate a point by right clicking on it and choosing the option Eliminate point.

· Edit a line [image] : Select an altitude line, a cliff line or a river line and click on this button (using the button bar or the line’s context menu). The new window that opens will allow you to choose which type of a line it will be and the new line’s altitude. To move the points that make up the new line you just have to drag them around clicking on them and holding down the left button of the mouse.

· Edit a point [image] : Select the point that you want to edit and click on this button (using the button bar or the line’s context menu). The new window that opens will allow you to introduce all the necessary information about this point.

· Cut a line [image] : Select a point and click on this button. The line will be cut in two at this point allowing you to work independently with the new lines just created.

· Insert a track [image] : Click on this button to open a track and work with it as if it were just another line drawn on the landscape.

· Activate/deactivate the magnet [image] : Activate this tool so that when you finish drawing a line (at the beginning point) the joint between the first and last point will be done automatically with a perfect union.

Apart from all these tools, you can also move any point already created by holding down the left button and re-situating it wherever you want and then letting the left button go to fix the new position.


5.3 List of open landscapes

The list of open landscape tells you which are the landscapes open at a certain moment and it also allows you to operate with them.

To open the List of open landscapes window, select the menu option 3D Landscapes > List of Open Landscapes.

This window allows you to carry out several operations by clicking on the corresponding buttons:

· Open Landscape: to load or add a new landscape to the screen.

· Close Landscape: to close a landscape on the list after you have selected it.

· Properties: to select a landscape from the list and view it’s basic properties: file format, directory address, original datum and number of points.

· Move relieve: introduce the deviation values you want to introduce (x, y, altitude) to move the landscape over the map and fine adjust its position.

· Create a 2D map: click on this button to store a 2D format of the active landscape (as if it were a normal map without altitude readings).

· Join these DEMs: if you have more than one landscape open at the same time and you want to work with them as if they were just one landscape, click on this button and give the joined landscape file a name. (Note: both landscapes have to have the same projection and resolution).


5.4 Properties of a landscape

Right click on a landscape or on the landscape’s name in the data tree and select the option Properties of a landscape to view the landscape’s characteristics:

· Landscape name: the name and extension of the landscape. This characteristic lets you know the type of landscape you have opened.

· Resolution: indicates how many meters fit into the rectangles that make up the landscape. When more meters fit into a square the landscape will be more detailed (greater resolution).

· Projection: tells you which is the landscapes projection.

· Original Datum: tell you the Datum used by the landscape.

· Lines: tells you the number of lines that the landscape is made up of (the altitude).

· Columns: tells you the number of columns that the landscape is made up of (the width).

· Memory in use: tells you the amount of RAM memory being used by the landscape. Some landscapes (mainly CDEM formats) give a RAM-in-use value of 0.0. The reason for this is that this type of format uses a variable amount of memory, making it impossible to calculate how much memory is in use.

Click on the small arrows situated in the top right-hand corner of the window to view the properties of the different landscapes loaded at a given time.


5.5 Context menu of a landscape

Right click on the loaded landscape (not on the map, even if the landscape is loaded underneath it) and a new window will open giving you some of the most common option of the context menu of the map (or of the blank screen) and some of the landscape’s specific options. These are also accessible by right clicking on the name of the landscape in the data tree.

The common options are:

· Create waypoint here: to create a waypoint on that point of the map, read Create and edit a waypoint .

· Start a new route here: allows you to create a new route starting on this waypoint. To add new waypoints, hold down the Ctrl key. Read Working with routes.

· Seek best map here: automatically looks for the map with best definition for the point you have chosen on the map, read Seek best map here.

· View list of maps for this point: shows you the list of maps that you have available for the point you have chosen, read See list of maps for this point.

· Seek best landscape here: automatically looks for the landscape with best definition for the area.

· The landscape’s specific options are:

· Properties of the landscape: to open the landscape’s properties window.

· Close a landscape: to close the landscape that the context menu refers to.

· Save landscape as: this option allows you to store the landscape with the same name or change it for another one, thus creating a new file.

· Draw 3D landscapes: if you activate this option you will be able to see the 3D landscapes in 2D on the main screen (as if they were a map). If you un-select this option, you will have to go to the 3D viewer to see a landscape.

· 3D landscape viewing options: to open the window with the landscape’s options. Read Configurating 3D landscapes.


6 Working with waypoints

6.1 Definitions

6.2 Working with waypoints

6.3 List of open waypoints

6.4 Properties of a waypoints

6.5 Context menu of a waypoint


6.1 Definitions

6.1.1 What is a waypoint?

6.1.2 Waypoint formats


6.1.1 What is a waypoint?

A waypoint is a point defined by a geographical position, latitude and longitude coordinates and, in most cases, by an altitude reading. A waypoint is a reading used by GPS navigation instruments.

CompeGPS allows you to create waypoints as reference points within a certain area so you can create routes and competition tasks.

The program offers the possibility to exchange waypoints between GPS / loggers and a PC. This allows the user to easily and comfortably create and work with waypoints on a computer. To learn how to work with waypoints, read Operating with waypoints.

One or several waypoints are stored together in waypoint files (.WPT format).


6.1.2 Waypoint formats

CompeGPS allows you to work with the waypoint format .WPT. This format is universally used by all GPS on the market and by other computer programs.

A CompeGPS can open any waypoint file (storing with one or more waypoints) with .WPT format that you can find on the Internet .


6.2 Operating with waypoints

6.2.1 Download and load waypoints onto a GPS

6.2.2 Open a waypoint file

6.2.3 Create and edit a waypoint

6.2.4 Move and copy a waypoint

6.2.5 Associate a file to a waypoint

6.2.6 Create and edit a waypoint file

6.2.7 Store a waypoint file

6.2.8 Close a waypoint file

6.2.9 Waypoint viewing options


6.2.1 Download and load waypoints onto a GPS

6.2.1.1 Download waypoints onto a GPS

6.2.1.2 Load a waypoint file onto a GPS

6.2.1.3 Load a waypoint onto a GPS

6.2.1.1 Download waypoints onto a GPS

To download waypoints from your GPS onto your PC, proceed as follows:

1. Prepare your GPS or logger for the download operation, read Configurating the GPS for data transmition, connect it to your PC using the interface and turn it on.

2. Select the menu option Communications > Download waypoints from a GPS.

The communication window will automatically appear to inform you of the status of the download in progress.

3. When download has finished the waypoints will appear on the screen.

If you have problems when you try to download waypoints, you may have to configure the communication ports and protocol of your PC, read Configurating communications.

6.2.1.2 Load a waypoint file onto a GPS

To load a waypoint file from the program onto your GPS, proceed as follows:

1. Connect the GPS to your PC using the interface and turn it on.

2. Open the waypoint file that you want to load onto the GPS, read Open a waypoint file.

CompeGPS will show you the waypoints on the screen.

3. Select the menu option Communications > Send Waypoints to a GPS.

The communication window will automatically appear to inform you of the status of the data loading in progress.

If you have problems when you try to load waypoints, you may have to configure the communication ports and protocol of your PC, read Configurating communications.

To load a single waypoint, read Load a waypoint onto a GPS.

6.2.1.3 Load a waypoint onto a GPS

If you want to load a single waypoint onto your GPS, proceed as follows:

1. Open the waypoint that you want to transfer, read Open a waypoint file.

2. Right click on the waypoint, and the waypoint’s context menu will appear.

3. From the options available on the context menu, choose and click on the function Send this waypoint to a GPS.

CompeGPS will automatically show you a window informing you of the status of the data loading in progress .


6.2.2 Open a waypoint file

To open a waypoint file, carry out any of the following operations:

1. Click on the button [image] (open waypoints). Select the file you want and click on OK.

2. Select the menu option Waypoints > Open waypoint file. Select the file you want and click on OK.


6.2.3 Create and edit a waypoint

The easiest way to create a waypoint is using the context menu; follow these instructions:

1. Open a map, track or another reference.

2. Right click on the point where you want to create the waypoint. The context menu will open.

3. Choose the option Create a waypoint here. The properties window will open. The relevant information about the coordinates of the new waypoint will already be filled in (including the altitude reading, if you also have a landscape loaded).

4. Fill in the other properties fields as you wish. Read the chapter waypoint properties for an explanation about these fields.

You can also create a waypoint from the main menu selecting the menu option Waypoints > New waypoint. The properties window will open now as well, but the coordinates that are given belong to the coordinates of the centre of the screen, so you will have to manually introduce the exact coordinates of the waypoint you want to create. If you have selected the menu option without any element open on the screen, the coordinates fields will be blank.

To edit a waypoint open the properties window and double click on the field that you want to modify and carry out the modification. If you want to keep these modifications available for future work, you will have to store the waypoint file. Read Store a waypoint file.


6.2.4 Move and copy a waypoint

The easiest way to move a waypoint is to drag it over the map. To do this, hold down the Alt key, now left click on the waypoint and hold this button down while you move the waypoint to it’s new position.

You can also change the position of a waypoint by changing the coordinates in the properties window, although this method is more complicated than the previous one.

To copy a waypoint to another place on the map (keeping the original waypoint) first hold down the Ctrl key then left click on the waypoint and, holding down the Ctrl key and the left button, drag the mouse to the point where you want to create the new waypoint. A copy of original waypoint will be created at the new coordinates.


6.2.5 Associate a file to a waypoint

You can associate any type of file (normally icons, images or sounds) to a waypoint. To do so, proceed as follows:

1. Open the properties window of the waypoint. To do this, select the options Properties from the context menu in the main window or the data tree.

2. Open the association’s window by double clicking on this field of the properties window.

3. Click on add, select the type of file you want to add and then select the actual file so it is associated to the waypoint.

To open an associated file from the association’s window, right click on it and select Open.

To open it from the main window, double click on the waypoint. Note that when you associate an object to a waypoint a new option will appear in the context menu of the waypoint : Open associated file: nameoftheassociatedfile.


6.2.6 Create and edit a waypoint file

You can create a waypoint file in three different ways:

· Right click on the waypoint label in the data tree and choose the option Create new waypoint file. Add waypoints to the empty file that will open. These waypoints can come from other open waypoint files (read moving waypoints up and down the tree, in the chapter The data tree) or they can be created in the main window. Newly created waypoints will be stored in the first waypoint file open so you will have to move them to the file that you are interested in if it is not this one (read moving waypoints up and down the tree to learn how to do this).

To change the name of the new file use the option Save waypoint as by right clicking on the name of the new file in the data tree.

· Create the new waypoints in the main window, they will automatically be stored in a new file unless you already have opened another waypoint file in which case the new waypoints will be stored in this file and not in a new one.

To change the name of the new file use the option Save waypoint as by right clicking on the name of the new file in the data tree.

· If you want to create a new waypoint file with certain waypoint that is already stored in other waypoint files, you can do this very easily. First go to the list of waypoints and select the waypoints you want to include in the new file (select the first one and, holding down the shift key, then click on the last one). Now right click on the waypoints that you have marked and select the option Save selected waypoints as… write the name and address of the new file and click on save to create the new file.

You can edit a waypoint file; you can change the order of the waypoints that make up the file. To do this, select the waypoint that you want to move and, while you hold down the Alt key, click on the arrow pointing up or on the arrow pointing down to move the selected waypoint nearer to the beginning or the end of the file, respectively.


6.2.7 Store a waypoint file

After you have created, downloaded or modified a waypoint you have to store the changes. To do this, carry out any of the following operations:

· Select the menu option Waypoint > Save waypoint. This operation over-writes the original file, so you will loose the information previous to the changes.

· Select the menu option Waypoint > Save waypoint as. The difference between this option and the previous option is that with this option you will be able to change the name of the file and, at the same time, keep the original file.

You can also save a waypoint file from the List of open waypoints window or from the waypoint file context menu in the data tree.


6.2.8 Close a waypoint file

If you want to eliminate a waypoint (not a whole waypoint file) right click on the specific waypoint (on the map or the data tree) and select eliminate waypoint.

If you have opened just one waypoint file, you can close it selecting Waypoints>Close waypoints.

If you have opened more than one waypoint file, select Waypoints>Close waypoints and you will close the first file you opened.

If you have opened more than one waypoint file and you want to choose a file to close it, you will have to go to the data tree. Right click on the name of the waypoint file you want to close and select close waypoints.

If you want to close all the open waypoint files and all the open elements, select File >Close all in the main menu.


6.2.9 Waypoint viewing options

CompeGPS features several options to view a waypoint:

· To view the landscape from a certain waypoint, read Slave camera mode.

· In the properties window of the waypoint, you can choose the zoom level you want. Read Properties of a waypoint.

· Using the List of waypoints window you can locate a waypoint on the map and click on zoom here.

You can also reach this option from the context menu of the waypoint menu (right click) in the data tree. Read List of open waypoints.


6.3 List of open waypoints

6.3.1 List of open waypoints context menu

6.3.2 Select fields

The list of open waypoints shows you a list of all the waypoints that you have loaded on the screen together will a few of their basic properties: Icon, short name, description, coordinates (UTM and Latitude/Longitude), altitude. These properties can be modified by opening the list of open waypoints context menu and by selecting the option select fields.

To reach the list of open waypoints select the menu option Waypoints > List of Waypoints.

The List of open waypoints window allows you to carry out any of these operations:

· New: opens the properties window to create a new waypoint. Read Properties of a waypoint

· Edit: allows you to view and modify information regarding a waypoint.

· Eliminate: to eliminate any waypoint you do not want.

· Print: to print the waypoints list.

· Zoom here: when you click on this option, the program will look for and view the waypoint you have chosen .

· Save: to save the changes you have made, over-writing the original file.

· Save as: to save the changes you have made in a new file that you will have give a name to.


6.3.1 List of open waypoints context menu

To reach this menu, right click on the white part of the window (where the waypoints are), these are the option you will find:

· Edit: to view and modify information about a waypoint on the list.

· Eliminate: to eliminate any waypoint you do not want.

· Save selected waypoints as: to save the changes you have made to a file giving it a new name so that the old waypoint file will not be over-written.

· Send waypoints to a GPS: to transfer a waypoint file to your GPS.

· Select fields: to decide which information you want to appear in this window and the order in which it should appear. Read Select fields, further down.

· Import waypoints from another file: this option allows you to open waypoints stored in another file, adding them to the file already open. Select them from the window that will open and click on Open.

· Save as a web page: to store the list of waypoints in html format. This includes the information you have chosen in the order you want. Write the name you want to give this html file and click on Save.

· Calculate all altitudes: if you have a landscape open, this option will assign the altitude reading to all the waypoints based on this landscape.


6.3.2 Select fields

To change the information available about each waypoint in the List of open waypoints window, select the option select fields from the list of open waypoints context menu and then proceed as follows:

· To remove fields from the window, select the field from the list in the column of selected fields and click on the arrow on the left (in the centre of the window). As a norm, all fields will be visible.

· To add fields that you had previously removed, select the field from available fields column and click on the arrow on the right.

· If you want a field to appear more to the left of the window, click on the field in the selected fields column and then click on the arrow pointing up (which you will find in the right hand area of the window).

· If you want a field to appear more to the left of the window, click on the field in the selected fields column and then click on the arrow pointing down (which you will find in the right hand area of the window).

Once you are happy with the new configuration click on OK or, if you decide not to make any changes, click on Cancel to maintain the previous configuration.


6.4 Properties of a waypoint

When you open the “Properties of a waypoint” window you will be able to see the different characteristics of your waypoints.

To reach the Properties window open the context window, to do this right click on the waypoint in the main window or in the data tree and select Properties.

From you can also view the properties of the other waypoints inside that file by clicking on the arrows in the top right hand part of the window. The two figures located between the arrows indicate the waypoints position with respect to the total number of waypoints.

All the waypoints properties can be edited by double click on top of them.

These are the properties that you will be shown:

· Short name: This is the waypoint’s reference name.

· Description: You can introduce a brief description or commentary about the waypoint. This description will appear on the screen below the name of the waypoint.

· Type of font: Choose the font you want to use for the name and the description.

· Icon: Allows you to choose the type of icon you want to represent the waypoint from the options given in the fold-down window.

· Coordinates: You can view and change the waypoint’s coordinates.

· Zoom level: This option allows you to program the zoom point from when on you will no longer see the waypoint when you zoom out on the image. For example, if you fix the zoom level value at 500 m/pixel, your waypoint will stop being visible whenever we zoom out on the map further than 500m/pixel. In brackets along side each scale reading there is an indication telling you if the waypoint will be visible or invisible for that scale zoom reading on the main screen.

If you choose the option Always visible that waypoint will always be visible regardless of the scale you are using on the map.

This option is very useful to avoid crowding the screen with waypoint names when you view a large extension of terrain, program only one waypoint to act as a reference waypoint to a larger group by making it Always visible.

· Altitude: Indicates the waypoint’s altitude over sea level.

· Colour of the text: Allows you to choose the colour of the name and description of the waypoint.

· Colour of the background: Allows you to choose the colour of the background of the name and description. You can choose Transparent if you do not want a background.

· Position of the text: This option allows you to choose on which side of the waypoint you want the name and description to appear.

· Proximity: If you are using the moving map, this value will indicate the distance between your present position and the waypoint.

· Radius: This value establishes the width of the radius you want to apply around the waypoint to consider that you have actually reached it.

· Associations: You can associate any type of file (normally icons, images or sounds) to a waypoint. To do this, open the association’s window by double clicking on this property option and then click on Add. Now just choose the type of file you want to add and then the file in question.

To open an associated file just right click on it in the Associations window then select Open.

Whenever you associate a file to a waypoint a new option will be included in the waypoint context menu: Open associated file: nameoftheassociatedfile. You can also open it by double clicking on the waypoint.


6.5 Context menu of a waypoint

The context menu of a waypoint appears when we right click on any waypoint.

The context menu offers you the possibility of using the following functions:

· Seek best map here: This option automatically looks for the map with best definition for the chosen point.

· Properties: To open the properties window of the waypoint. Read Waypoint properties window.

· Eliminate a waypoint: To eliminate the selected waypoint .

· GOTO this waypoint: This option allows you to establish a certain waypoint as the destination point when we are working with the moving map.

· Send this waypoint to a GPS: To send the selected waypoint to a GPS you have connected to the computer. A window will appear to keep you informed of the status of the waypoint transfer.

· Start new route here: Allows you to create a new route starting from this waypoint. To add new waypoints, hold down the Ctrl key. Read Working with routes.

· Open associated file:nameoftheassociatedfile: This option will only be available if you have associated a file to the waypoint. In this is the case the associated file (normally an image) will open in a small window when you click on this option. Read Properties of a waypoint to learn how to associate a file to a waypoint.


7 Working with routes

7.1 Definitions

7.2 Working with routes

7.3 Properties of a route

7.4 Context menu of a rout e


7.1 Definitions

7.1.1 What is a route?


7.1.1 What is a route?

A route is a group of waypoints ordered in a predetermined fashion. A route is a navigation method that allows you to plan your course from one place to another passing by several waypoints. Use a route when you cannot get from one place to another directly (in a straight line)

CompeGPS allows you to create routes on your computer and then load them onto your GPS. You can also download routes from your GPS to you PC and then make all the changes you wish to them.

The routes created using CompeGPS are stored in a routes file (.rte), where all the waypoints that make up the route are stored in the order you established. CompeGPS can also open routes stored in Garmin map source TXT format (.txt). CompeGPS Air can also manage routes with.olc format.


7.2 Working with routes

7.2.1 Open a route

7.2.2 List of routes

7.2.3 Create a route

7.2.4 Edit a route

7.2.5 Send and download a route from a GPS


7.2.1 Open a route

To open an already created route, carry out any of the following operations:

· Click on the button [image] that you will find on the tool bar, choose the folder and the .RTE file that you want to open and click on open.

· Select the menu option Routes > Open route, choose the folder and the .RTE file that you want to open and click on open.

You can also open a route from the List of routes window, by clicking on the button Open route.


7.2.2 List of routes

One of CompeGPS’ windows tells you which routes you have open, in the same way as tracks, waypoints, landscapes and maps. From this window you can carry out different operations with the routes and the waypoints that make up a route.

To open the list of routes window Select the menu option Routes > List of routes.

The buttons located on the right hand side of the new window that has opened will allow you to carry out several functions:

· Create a new route: This option opens the route edition window with all the fields blank, ready to create a new route. Read Create a route.

· Modify a route: To open the route edition window with the route you have chosen. Read Create a route.

· Send a route to a GPS: To send the selected route to a GPS.

· Close a route: To close the selected route.

· Save: To save the selected route, re-writing the original file’s information.

· Save as: To save the selected route with a new name so that you keep the old file just as it was and you create a new file with the changes you have made.

· Graphics: Opens the selected route’s graphics window. Read Route graphics window.

· Open a route file: To open a route file.

· Download route from a GPS: To download a route from your GPS.

· Zoom here: To zoom in on the selected route.

· Activate route: To activate the selected route.


7.2.3 Create a route

Normally you will have to first load a map and/or a landscape to orient yourself while you create the new route (read open a map). We highly recommend that you do also open a landscape (as well as a map) so you can have altitude readings at your disposal. If you have a track, a map or a waypoint open, the open best landscape here option is automatically activated when you open the route creation window so that the program knows which area you are working in.

You can create a route in two different ways: numerically and graphically.

To create a new route introducing the waypoints numerically, proceed as follows :

1. Open the route edition window by carry out any of the following operations:

2. Select the menu option Routes > Create a new route.

3. Click on the button Create new route in the List of routes window, read List of routes.

The route edition window will open with several buttons allowing you to carryout several operations.

4. Introduce the waypoints that you want to include in the route, in the same order that you want to complete them. To do this, carry out any of the following operations:

· Click on the button Add waypoint from the list. This button allows you to add a waypoint that already exists and that is stored in a waypoint file that you have open.

· Click on the button Add new waypoint. This button allows you to create a new waypoint by writing its coordinates. When you click on this button the waypoint properties window will open so you can fill in the fields as you wish.

5. Save the route by clicking on the button Save or Save as; write the name of the file and click on Save .

To graphically create a route, proceed as follows:

1. Open the route edition window by carry out any of the following operations:

2. Select the menu option Routes > Create a new route.

3. Click on the button Create new route in the List of routes window, read List of routes.

The route edition window will open with several buttons allowing you to carry out several operations.

4. Click on the map where you want to start the route. When you click you will create a waypoint. To be able to continue creating the route, you have to select the first waypoint so click on it.

5. Click on the key Ctrl and, without letting it go, carry on clicking on the next waypoints that you want to include in the route.

Note: If you move the mouse near to a waypoint that is open, it will automatically be selected. Click on it if you want to include it in the route. If you do not have a waypoint open, CompeGPS will automatically create it, assigning a predetermined name that you can modify later on.

6. Save the route by clicking on the Save button in the route edition window and give the route a name.

If you want to, you can make any type of change to the route. Read Edit a route .

Note: You can also create a route from a track. To do this you have to go to the data tree. Select a track and drag it to the routes branch (holding down the left button of the mouse). When you do this, the program will automatically create a new route with 10 waypoints that will, as best possible, follow the same itinerary as the original track.


7.2.4 Edit a route

7.2.4.1 The route edition window

7.2.4.2 The route edition board

7.2.4.3 Move waypoints in a route

7.2.4.1 Route edition window

The route edition window allows you to modify any aspect related to a route.

To open the route edition window, when you have opened the route you want to edit, right click anywhere on it and select the option edit a route.

This window is divided in three basic areas:

· List of waypoints: on the left hand side there is an ordered list of the route’s waypoints with the following information:

o Partial dist.: Calculates the distance between this waypoint and the previous one (this value is given in the measurement units you established during the basic configuration).

o Dist. to: Indicates the distance that separates this waypoint from the beginning of the route (to change the measurements units read International Configuration).

o Course (º): Indicates in degrees the course between the previous waypoint to this one.

The arrows pointing up and down on the right of this list allow you to move the waypoint up and down the list, thus modifying the order in which it appears. To move the waypoint nearer to the beginning of the route, in front of other waypoint, click o the arrow pointing up. If you want to move it further back in the route, behind other waypoints, click on the arrow pointing down.

· Graphic: The graphic in the centre of the window details the distance (on the x axel) with respect to the altitude (on the y axel). The units used will be those you predetermined during the initial configuration.

If you right click on the graphic you can choose if you want the x axel to give time values instead of distance values.

If you have not loaded a landscape the route will be drawn as a straight line between the waypoints. If you have loaded a landscape, the lines between the waypoints we will be drawn on the surface of the landscape and the graphic will show the different altitude differences that you will encounter along the route.

· Edition board: The several buttons on the right hand side of the window allow you to modify the route at your convenience. Read the next chapter, Route edition board, to learn how they work.

7.2.4.2 Route edition board

The button on the right hand side of the route edition window makes up the route edition board. To open it you just have to right click anywhere on the route and select the option Edit route.

The route edition board give access to the following functions:

· Add a waypoint to the list: This button allows you to add a waypoint from the open waypoint file. Follow these steps:

1. Firstly decide at which point, in list of waypoints of the open route, you want to include the new waypoint. Now click on the next existing waypoint on that route. In other words, decide between which two existing waypoints you want to place the new waypoint and click on the further ahead waypoint.

2. Click on the button Add a waypoint. A window will open showing you a list of the waypoints you have loaded at that time.

3. Now select the waypoint you want from this list and click on OK or just double click on the waypoint.

This waypoint will be inserted just in front of the waypoint you first marked in the list of waypoints (on the left of the waypoint edition window). You can, at any time, change the position of the waypoint by using the arrows (pointing up or down) that are situated between the list of waypoints and the graphic.

This operation can also be carried out in a quicker and more intuitive way using the data tree. Read moving waypoints up and down the tree.

· Add a new waypoint: Create a new waypoint by writing its coordinates. To do this, follow these instructions:

1. Firstly decide at which point, in list of waypoints of the open route, you want to include the new waypoint. Now click on the next existing waypoint on that route. In other words, decide between which two existing waypoints you want to place the new waypoint and click on the further ahead waypoint.

2. Click on the button Add a new waypoint. The waypoint properties window will open.

3. Fill in all the necessary information and close this window.

This new waypoint will be inserted just in front of the waypoint you first marked in the list of waypoints (on the left of the waypoint edition window). You can, at any time, change the position of the waypoint by using the arrows (pointing up or down) that are situated between the list of waypoints and the graphic.

· Modify a waypoint: Select the waypoint that you want to modify from the list of waypoints on the left of the route edition window. Click on this button to reach the waypoint properties window so you can modify any aspect of the waypoint that you want to.

You can also reach the waypoint properties window and carry out any modifications you want by double clicking on the waypoint from the waypoint list.

To modify the position of a waypoint in a route, select the waypoint you want to move (click on it) and click on the arrows situated between the waypoints list and the graphic. To move the waypoint nearer to the beginning of the route, click on the arrow pointing upwards. To move the waypoint nearer to the end of the route, click on the arrow pointing downwards.

You can also carry out this operation using the data tree, hold down the Alt key and click on the arrows to modify the position of the waypoints.

· Remove a waypoint: Click on this button to remove the selected waypoint from the list of waypoints (on the left hand side of the route edition window).

· Save: To store the changes that you have made. You will over-write the original file.

· Save as: This option allows you to give a new name to the file that you are working with. Therefore, the original file will be kept and will not be over-written.

· Colour: Click on this button to choose which colour you want to paint the line that draws the route.

· Thickness: Click on this button to write the width value that you want to assign to the line that draws the route.

7.2.4.3 Move waypoints in a route

The easiest way to move a waypoint is to drag it over the map. To do this, hold down the Alt key, on top of the waypoint you want to move you now have to click and hold down the left button of the mouse and now move the waypoint to it’s new position.

You can also carry out this operation by re-writing the coordinates of the waypoint in the properties window. However, this method is much more tedious.

To copy a waypoint to another place on the map (maintaining the original waypoint) you have to hold down the Ctrl key, on top of the waypoint you want to copy you now have to click and hold down the left button of the mouse and now move the waypoint to the new position. A new waypoint will be created and the old one will remain un-touched.

This newly created waypoint will automatically be added to the end of the route. To change it’s position go to the data tree, select the waypoint and, while you hold down the Alt key, click on the arrows pointing up or down on the keyboard to change the position of the waypoint. Read the chapter about The route edition board.


7.2.5 Send and download a route from a GPS

To send a route to your GPS proceed as follows:

1. Open the route that you want to send to your GPS.

2. Prepare you GPS for the data transfer, read Configurating GPS.

3. Send the route to your GPS by carry out any of the following operations:

4. Select the menu option Communications > Send route to a GPS.

5. Click on the button Send track to a GPS in the List of routes window, read List of routes.

Data transfer of the route to the GPS will start up.

To download a route from your GPS proceed as follows:

1. Prepare your GPS for download, read Configurating GPS.

2. Connect the GPS to your PC using the interface.

3. Select the menu option Communications > Download routes from a GPS

4. A new window will inform

The download window will inform you about the status of the download procedure. When download has finished, the route or routes will be shown on the screen.


7.3 Properties of a route

In the Properties of a route window you can consult and edit (in some cases) the characteristics of the route you have loaded.

To open the properties of a route window, carry out any of the following operations:

· Right click on any point of the route and select the context menu option Properties of a route.

· Right click on the name of the route in the data tree and select the context menu option Properties of a route.

The Properties of a route window give you the following information:

· Name of the route: You will see the route’s name and the extension (normally .rte).

· Distance: The length of the route, measuring the straight-line distances between the waypoint that make up the route.

· Area: This field gives you measurement of the area covered inside the route. If the route does not start and finish in the same point (drawing a closed circuit) the program will draw and imaginary line between these two points to be able to calculate the area.

· Colour: The colour of the line representing the route can be changed if you double click on this field and choose a new colour from the options available.

· Pixel width: Double click on this field to introduce a new value that will establish the width of the line that represents the route.


7.4 Context menu of a route

The context menu of a route is reached by double clicking on any point of the route. The context menu allows you to carry out several different operations that will modify the route.

If you open the context menu from the data tree you will find an addition option: Zoom here, to situate the route on screen, and three options missing Create waypoint here, Seek best map here and Edit a route).

The operations you can work with from the context menu are:

· Create waypoint here: To create a waypoint on the point you are currently situated.

· Seek best map here: To open the map with best resolution for the area where you are currently situated.

· Edit a route: To open the route edition window from which you can modify any of the routes parameters. Read.

· Properties of a route: To open the properties of a route window.

· Save a route: To save a route, overwriting the original file.

· Save a route as: To create a new file, introducing a new name and location.

· Close a route: To remove a route from the screen.

· Reverse a route: To reverse the order of the route’s waypoints.

· Graphics: To open the routes graphics window. You can modify the type of graphic that will appear in this window by clicking on the [image] button.

· Send to: To send a route to different destinations.

· Send route to a GPS: To load a route onto your GPS

· Send route to CompeGPS Pocket: To send a route to this program.

· Send by E-mail: This option opens an e-mail message with the route.

· Convert a route into a track: To convert a route file into a new file in TRK format, so you can treat the route as if it were a track in which the waypoints become the points of the track.

· Activate a route: This option allows you to introduce the route onto the moving map so you can follow it using this application.


8 Groups: joining objects

8.1 Definitions

8.2 Working with group files


8.1 Definitions

8.1.1 What is a group file?


8.1.1 What is a group file?

A group is a folder where you can store different objects such as maps, tracks, landscapes, waypoints and routes.

All these objects are stored in a sole folder in a CompeGPS .CJT format.

This CompeGPS feature is very useful when you often open the same maps, tracks, landscapes and routes. Using a group file to avoid having to open them one by one.


8.2 Working with group files

8.2.1 Open a group file

8.2.2 Create a group file

8.2.3 Save a group file


8.2.1 Open a group file

To open a group file proceed as follows:

1. Select the menu option Groups > Open group.

2. Select the .CJT folder that you are interested in and click on the Open button.


8.2.2 Create a group file

To create a group file proceed as follows:

1. Open all the objects that you want to store in the group file (maps, tracks, landscapes, waypoints and routes).

2. Select the menu option Groups > Store a group.

3. Write the name of the file and choose the folder where you want to save it.

4. Click on the Save button.


8.2.3 Save a group file

When you open a group file, all the elements that make it up will automatically be loaded. When you want to store it, you will have to write the new name that you want to give the file (if you write the same name, the original file will be over written). If you have modified any aspect of the group, you will be asked if you want to save the changes. Remember, if you store this modified group with the same name, the original file will be over written.

To store a group file, follow the same steps you took to create the group:

1. Select the menu option Groups > Store a group.

2. Write the name of the file and select the folder where you want to save it.

3. Click on the Save button.


9 Viewing options

9.1 Main screen viewing

9.2 3D viewing

9.3 3D rendering

9.4 Viewing graphics

9.5 Moving map


9.1 Main screen viewing

The main screen opens when you execute the program. The main screen is where you will be working most of the time because it is easy and clearly understood. The main screen allows you to view the 2D (flat surface) elements that CompeGPS works with (maps, landscapes, tracks, waypoints and routes). Several handy tools will help you to achieve the optimum viewing quality to help you work comfortably with CompeGPS.

Most of these options are default values available on the button bar. This bar is 100% configurable, allowing you to include the buttons that you are most interested in (read Configurating keys and buttons). You can also access them using the See label on the main menu.

Here is a list of the available tools:

· 100% Zoom [image] : Click on this button to view the map at it’s maximum resolution.

· Move [image] : By clicking on this button you will be able to move about on the viewing screen.

· Zoom window [image] : This option allows you to create a zoom window with the distance you want.

· Selection mode [image] : When you activate this tool you will be able to mark an area on the screen by holding down the left button of the mouse and dragging it to create a rectangle over the area you want.

· Reduce zoom [image] : Zoom out to reduce the view of the elements you have loaded on the screen. You can also increase or reduce the zoom using the wheel on the mouse.

· Increase zoom [image] : Zoom in to increase the view of the elements you have loaded on the screen. You can also increase or reduce the zoom using the wheel on the mouse.

· Previous zoom [image] : Return to the zoom you were using before the last change. This option is useful if you have changed the zoom using the option map scale.

· Map scale [image] : To modify the zoom by choosing an increase or reduction percentage value from a pre-established list or you can write a percentage or m/pixel value yourself.

· See all [image] : When you click on this button all the objects you have loaded will be centred on the screen. If you click on the lateral extension you will be able to choose which elements you want to be centred (tracks, waypoints, maps). This function is useful when you cannot locate the objects you have loaded.

· Miniature view [image] : This function activates a small window in which all the elements you have loaded are represented. A red rectangle marks the area that is currently in view on the main screen. This function is very useful to orient yourself when you are working with large zoom values.

· Magnifying glass window [image] : This function activates a small window in which you will be shown a zoom image (double increase) of the area over which the cursor is passing.

· See projection grid [image] : To view the UTM projection grid.

· See degrees grid [image] : To view the Latitude/Longitude grid.

· Measure distance [image] : First click on the point of origin and then on the final point to calculate the lineal distance between these two points. CompeGPS will give you the coordinates of the two points, the lineal distance and the real deviation.

Note: If you do not click on a final point, CompeGPS will give you the distance between the initial point and the actual position of the pointer. This information will be given in a label that will automatically open as soon as you move the pointer away from the initial point.

· See foot of the page graphic [image] : To view the track’s graphic window.

· 3D Viewer [image] : To go to the 3D viewing window. Read 3D Viewer For further detailed information.

The tools we will now detail are not default values on the button bar, although you can program them to be so using Configurating keys and buttons). They are always available in the See option of the main menu (except the colour degrade function which you will find in the track’s context menu):

· Night vision [image] : This function darkens the screen so that viewing becomes more comfortable in situations with poor lighting.

· Turn the map [image] : This function allows you to introduce an angle value so that all the elements on the screen rotate to gain a better view. When you do this, a small compass will appear in the lower right hand part of the screen to aid orientation.

· Degrade colour of the track [image] : You can choose to vary the colour of the track depending on a series of parameters that you will establish (altitude, speed, temperature…). You can also choose the values between which the track will be degraded; to do this right click on the reference bar that appears when you degrade the track and then choose the option Select range for this value.

Note: This option is not available in the See menu; you will find it in the Track menu.

· See object’s reference notes on screen [image] : The default value for this option is that it is activated. In this way, any reference notes recorded will appear whenever you pass over an element on the screen. For example, when you pass the pointer over a point of a track, a small window will inform you of the day, time, altitude and number of the point.

You can select the information that is contained in this window by accessing it from the Fields function in the Track section, read, Configurating tracks. This option cannot be reached from the main menu of the button bar, although you can add it to be button bar using Configurating keys and buttons.

Note: The Data Tree, Foot of the page Graphic and 3D Viewer windows can be anchored on the screen (they will not superpose the main window) or they can be floating windows (independent windows that do superpose the main window). To interchange between these two modes, right click on the title bar (top section of a window or left part of the graphic) and select Anchor in the main window or See floating, as you wish. You can also un-anchor a window by dragging it by the title bar.

Note: Remember that you can view the track with a single uniform colour or you can degrade it’s colouring according to a series of variables (altitude, speed …). To do this select the Degrade colour of the track in the Track section of the main menu or in the track’s context menu.

Note: You can modify some of the tracks properties (colour, thickness and type of track) so that they differ depending on the section of the track. To do this you have to divide the track into different sections. To do this use the tool Change section here which you will find in the Sections option of the track’s context menu (right click on the track). To view or modify the viewing characteristics of the section of track, select the option Properties of this section, which you will find in the Sections section of the context menu.


9.2 3D viewing

9.2.1 Open 3D Viewing window

9.2.2 Control and movement in 3D

9.2.3 Slave camera mode

9.2.4 3D viewing tool bar

9.2.5 3D Configurating options

9.2.6 Track simulator


9.2.1 Open 3D viewing window

CompeGPS allows you to view the mountains and tracks in 3D in the 3D viewing window.

You have to take into account that there are tracks in 2 and 3 dimensions. Certain GPS do not record the altitude of the track points. These 2D tracks can also be viewed in the 3D window but they will have a flat appearance, if you have not loaded a landscape, or they will appear to be stuck on the surface, if you have loaded a landscape. For further detailed information about tracks read Chapter 3. Working with tracks.

To be able to view mountains in 3D you first have to open a landscape, read Open a landscape. If you do not load a landscape yourself, CompeGPS will automatically open one for you.

To open the 3D viewing window, carry out any of the following operations:

· Select the menu option See > 3D viewer.

· Click on the button [image] (3D viewer) that you will find on the tool bar.

Note: This window can be anchored (it will not overlap the main window) or it can be a floating window (an independent window that superposes the main window). To change from one mode to another, right click on the title bar (top section of the window) and select the option Anchor in the main window or See floating, as you wish. You can also un-anchor a window by dragging it by the title bar.


9.2.2 3D controls and movements

CompeGPS allows you a wide control on the 3D viewing so that you can gain a perfect perspective that will allow you to work comfortably and make you enjoy viewing your excursions in the best possible way.

To aid your orientation when you are moving around the 3 dimensions, CompeGPS features a compass that is parallel to the top part of the map and it indicates the direction, as would a normal compass. The edge of this compass (which appears when the view of the map is not perfectly vertical) indicates the cardinal point that the map is pointing to at that time. Therefore, if we see an N in this edge, we know we are facing north.

You can move around in the 3D environment using the mouse (the most comfortable method) or by using the buttons on the tool bar.

The mouse’s movements are:

· Right button: Holding down the right button and moving the mouse you will be able to draw circles around the same point, producing a dipping and rocking effect. In other words, the effect you get while moving the mouse with the right hand button held down is equivalent to moving your head around to view your surroundings.

· Left button: Holding down the left button and moving the mouse you will be able to move horizontally and vertically. This effect is equivalent to getting hold of the map and moving it while you maintain the direction of your eyes.

· Wheel: if your mouse includes a wheel, you will be able to move forwards and backward over the 3D view. If you hold down the wheel and you move the mouse, you will modify your altitude.

Note: In the Slave Camera mode (read Slave camera mode), both buttons of the mouse (and the wheel also) reproduce the same movement of turning around an axel.

The tool bar offers another way to reach these functions:

· Turn left and Turn right [image] [image] : Click on these buttons to turn around on the same axel, as if you were moving your head right and left. You can also reproduce this movement using the right button of the mouse.

· Turn up and Turn down [image] [image] : Click on these buttons to reproduce a movement on the horizontal axel. The effect will be equivalent to looking up and down without moving from where you are. You can also reproduce this movement using the left button of the mouse.

· Move forwards and Move backwards: With the [image] [image] buttons, you will be able to move nearer or further as if you were zooming in or out on a focus point. This movement can also be reproduced using the wheel on the mouse.

· Quick climb and Quick descent [image] [image] : These buttons allow you to quickly gain or loose height. You can obtain the same effect by holding down the wheel of the mouse and moving the mouse up and down.


9.2.3 Slave camera Mode

This 3D vision mode keeps the camera glued to a certain point within the 3 dimensions, restricting its movement over the scenery but allowing focusing in the direction you want.

The slave camera mode can be reversed, that is, you can maintain the same focus point in spite of the cameras movement over the scenery. In this way you will obtain multiple perspectives of the same focus point.

To change from the reverse mode to the direct mode use the [image] buttons (or the wheel on the mouse) to get near to the slave point (waypoint or simulator) and enter into direct slave camera mode or reverse slave camera mode.

The point that you tie your slave camera to can be a waypoint or the track simulator helicopter. When you enter track simulator mode the slave camera will automatically start up.

To slave the camera to a certain waypoint, carry out any of the following operations:

· Open the drop down list associated to this button [image] and select the option Place a viewpoint on this waypoint. Choose the waypoint that you want to slave the camera to from the list that will appear. The camera will automatically position itself in this position.

· Look for the waypoint over the landscape. When you have found it, right click on it and select the option Situate the slave camera here.

To exit the slave camera mode, click on the [image] button.


9.2.4 3D viewer tool bar

The 3D view window gives you access to the following functions:

· Increase zoom [image] : Takes you nearer to your focus point.

· Reduce zoom [image] : Takes you further away from your focus point.

· Position your focus point [image] : This option allows you to choose between these four places to position yourself within the 3D viewer.

o Place focus point in the center of the map: Your focus point will be fixed in the centre of the map pointing in the direction you were looking at when you clicked on this button.

o Enter the coordinates of the focus point: Write the coordinates you want in the window that opens up when you click on this button.

o Position the focus point at a waypoint: Select the waypoint from the list of loaded waypoints that will appear when you click on this option.

o Position the focus point on the present point of the moving map: To view the scenery from the point you are currently at. First activate the Moving Map before choosing this option.

· View without perspective [image] : Click on this button to control the 3D environment as if it were an object. You will not be immersed in the 3D scenery, so you will handle it as if it were a scale model. This type of viewing uses up much less of the computer’s system resources.

· Track simulator [image] : When you activate the track simulator, you will be able to move around the scenery as if you were piloting a helicopter. Read chapter 9.2.6. The track simulator.

· Activate shadows [image] : Activate this button to create an effect equivalent to real-life light and shadow. You can configure this effect in the 3D option window. Read chapter 9.2.5.2 Light options.

· 3D Options [image] : Open the 3D viewer options window to configure the many characteristics of this viewer. For further detailed information, read chapter 9.2.5. 3D configuration options.

· Gyrate continuously [image] : When you activate this button, the focus point will gently and constantly be changed. The result is that, without having to touch any other button, you will be fully viewing the area from different points of view. The parameters of this function can be configured from the 3D configuration window, using the option Gyrate continuously.

· Movement buttons [image] [image] [image] [image] : The movements made by these eight buttons within the 3D environment are explained in chapter 9.2.2. 3D controls and movements.

· 3D animation buttons: These buttons allow you to control the animation of the track you have saved:

· Stop [image] : Stops the animation.

· Play [image] : Starts the animation. If you have more than one track loaded at the same time, you will first have to choose the track you want to animate; choose it from the list that will appear beside this button.

· Pause [image] : This button pauses the animation. Clicking on play, again, will restart the animation at the same point it was interrupted.

When these buttons are activated they will turn green [image] .

You can add additional buttons (fast forward [image] , fast rewind [image] , previous track [image] , next track [image] ). To do so you will have to configure them in the configuration window, read chapter 2.2.11 Configurating keys and buttons.

To change the parameters of the animation go to Configuration of 3D options.

· Paint a virtual shadow: Available if you are working with flown tracks (tracks that do not run on the landscape’s surface). This option draws a projection of the track on the landscape’s surface.

· Regenerate 3D view now: CompeGPS’ 3D viewer can recreate the features of the area you are focusing on in greater detail. Click on this button do to so.

· Automatically regenerate 3D [image] : Select this button for automatic 3D regeneration as you move around the landscape. In this way you will not have to constantly click on the Regenerate 3D view now button.

· Save image in a file [image] : Create an image file of the view you currently have on screen in the 3D viewer. The window that will open when you choose this option will allow you to choose where you want to store the file, it’s name and format (.bmp, .jpg o .png).

· Film a video [image] : When you click on this button you will start a video recording of all the movements that you will make with the 3D viewer. First choose where you want to store the file and write it’s name. Then choose the resolution you want to record the film with (the greater the resolution, the bigger the file), and the type of compression you want to use. When you have done this, the viewer will adjust to the resolution you have chosen and the filming will begin. To stop the recording, click again on the Film a video button.

· Appearance of the terrain: A drop down list will allow you to choose, between six possibilities, the type of appearance you want to give to the landscape:

o Map (texture): To view the map that you have loaded on top of the landscape.

o Hypsometric surface: To view the surface coloured according to the altitude readings.

o Flat surface: To view the landscape coloured with one single colour.

o Polygon: To view the polygons that make up the forms of the landscape.

o Polygons and surface: To view the polygons drawn on a flat surface.

o Polygons and map: To view the polygons drawn on top of the map.

Go to Configuration of 3D options to modify more aspects of the terrain.

· Altitude over sizing bar: You will find this bar on the right-hand wide of the window. You will be able to oversize the real altitude (1X, 1,5X, 2X, etc.) to emphasize the height differences of the terrain and other elements. To make these modifications, move the bar up or down.


9.2.5 Configuration of 3D options

9.2.5.1 Animation options

9.2.5.2 Lighting options

9.2.5.3 Texture options

9.2.5.4 Sky options

9.2.5.5 Track options

9.2.5.6 Simulator options

9.2.5.7 Continuous gyration options

9.2.5.8 Joystick options

To modify the predetermined options of the 3D viewer, click on the [image] button:

9.2.5.1 Animation options

Basically, these sections will allow you to modify the same characteristics that you find in the general options of 2D animation. Nevertheless, you will find a few more options are available. All of them are described below:

· Animation speed: The value given represents the x times faster than the real speed.

· Animation speed 3D:

· Animation mode: You have the following four different modes to choose between:

o Move icon on top of the track: when in movement, the icon will move along the drawn track.

o Move icon without drawing the track: when in movement, the icon with move along the path of the track, but the track is not drawn.

o Simultaneously move icon and draw track: the movement of the icon will simultaneously draw track as the icon travels along the path of the track.

o Move icon and hide the track: when in movement, the icon will rubout the track it is travelling along.

· Icon in movement: Select the icon that will indicate the point of the track that you are situated at. Visible in 2D viewing, not on the 3D viewer.

· Icon at track-end: You can choose a different icon to be shown when you reach the end of a track, so you know that the final point has been reached.

· Turn icon: If you select this option, the icon will automatically turn to face the direction the track is taking.

· Write users name: The name of the pilot will appear in the 2D animation, not when you use the 3D viewer.

· 3D Icon: To use a different icon when working with 3D animations.

· 3D icon size: Choose the size of the 3D icon.

9.2.5.2 Lighting options

This section allows you to modify the following lighting options:

· No lighting/sunlight: Select one of these two options to activate or deactivate the light and shadow system.

· Horizontal angle / Vertical angle: When you modify these two angles, you will be able to move the light focus (the sun) to any position you like.

The horizontal angle moves the sun from West (smaller angle) to East (larger angle).

The vertical angle moves the sun from North (larger angle) to South (smaller angle).

· Quantity of light: This value indicates the intensity of the light on the landscape (not sun light). A lot of light lessens the shadows but betters the viewing of the different aspects of the scenery.

· Maximum direct light: The larger this value is, the more sunlight there will be, thus increasing the contrast between light and shadows.

· Use soft shadows: Select this option if you want to soften the shadow effect on the landscape.

9.2.5.3 Texture options

This section will show you the different values assigned to the texture of your landscape (in the right-hand part of the window). You will be able to modify the following options:

· Render mode: You can chose between 4 render modes; they will establish how you will view the landscape:

o Map (texture): To view the map that you have loaded on top of the landscape.

o Hypsometric surface: To view the surface coloured according to the altitude readings.

o Flat surface: To view the landscape coloured with one single colour.

o Polygon: To view the polygons that make up the forms of the landscape.

· Colour: This option allows you to choose the base colour of the landscape; you can get really spectacular results when you configure the flat surface mode.

· Texture size: The larger the size of the texture, the greater the quality but also greater system resources will be in use.

· 3D engine: Depending on your computer, you will be able to choose between 4 different 3D engines:

o Previous 3D engine: This is CompeGPS’ old 3D engine. It is ideal for computers with very little resources available.

o Basic CompeGPS 2004 engine: This is the basic version of CompeGPS’ new 3D engine. It will work well in low power computers.

o Standard CompeGPS 2004 engine: This is the ideal version used by most users.

o Advanced CompeGPS 2004 engine: This is the most powerful version of CompeGPS’ new 3D engine. This version allows you to configure all the engines characteristics. Use of this version is only recommended if you are an expert in these matters.

· Use mipmaps: Activate this option to obtain better image quality.

· Automatically regenerate 3D: The viewing quality of the landscape will automatically be improved as you move.

Read the 3D Rendering chapter for further detailed information about 3D system functions.

9.2.5.4 Sky options

You can choose between three different appearances for the sky:

· Default blue background: Monochrome background. Click on Change colour to change the colour from blue to another colour.

· Background image: Degraded colouring: This option allows you to choose two colours and create a sky with these two colours and a stump effect between the two of them.

· Import background image: This option allows you to assign any image at all to the sky. Look for the image you want to use with the Seek option. CompeGPS features a file called sky.jpg, which creates a very pleasant effect.

· Colour of the horizon: You can choose the colour you want for the horizon of your landscape.

9.2.5.5 Track options

Below we detail the track viewing options that you will be able to modify in this window. Open the track’s context menu for further options (read chapter 3.6. Context menu of a track).

· Thickness of the track: The higher this number is, the thicker the line of the track will be.

· Draw track with its real altitude: This option will draw the track without a projection on the landscape’s surface.

· Draw track with its real altitude and projection: A projection of the track on the surface of landscape will accompany the real track (this option is very useful for aerial tracks).

· Draw the track’s projection on the landscape: When you activate this option you will not be able to see the real track. You will see the vertical projection of the track on the landscape’s surface. If your track is a surface track (i.e. you have driven in a car), the projection of the track will be exactly the same as the real track).

9.2.5.6 Simulator options

The simulator allows you to travel around the landscape as if you were flying a helicopter. The following options can be configured:

· Type of simulator: You can choose between the car simulator, in which case your vehicle will travel on the surface of the landscape, and the track simulator, in which case you will have full 3D liberty of movement.

· Minimum distance to the surface: The measurement you assign to this value will be the nearest you can get to the surface, both when you use the simulator or when you are using any of the 3D general movements. Your viewpoint will never be lower than this distance although the helicopter may be below this level.

For further detailed information about this tool, read chapter 9.2.6. The track simulator.

9.2.5.7 Gyrate continuously options

Here we explain how to configure the movements that you can make when you have activated the Gyrate continuously option:

· Horizontal turn speed: If you enter a high number to this value, the result will be fast left and right movements of the camera.

· Vertical turn speed: This value determines the degree of the up and down focus movements.

· Movement speed: This value indicates how quick the camera’s moving in and out movements will be. This type of movement only occurs when the camera is anchored to an element (waypoint, helicopter simulator or animation icon).

· Maximum distance: This value represents the maximum distance that will be covered before a change in direction.

· Minimum distance: This value represents the minimum distance that will be covered before a change in direction.

9.2.5.8 Joystick options

This section allows you to assign functions to each button and joystick axel; you will be able to configure the functions to make using it more comfortable.

Before you start, you will have to connect the joystick following it’s own instructions. Once you have connected the joystick, an exclamation will pop up on this window informing that a joystick has been detected and the configuration options will appear. These options are represented as a bar for each of the joystick’s axels or buttons, up to a maximum of four axels or four buttons

To know which of the joysticks axels correspond to axels 1, 2, 3…., move the axels and check which of the bars on the right move each time.

You can carry out a similar operation with the buttons. Each type you click on a button, on of the squares on the right will be selected and then un-selected when you let the button go again.

When you have discovered which are your axels and buttons you can use the drop-down window corresponding to each of them to decide which function you want to assign to each one. To learn about the uses of each option, read chapter 9.2.6.3. Use of the track simulator’s joystick.


9.2.6 The track simulator

9.2.6.1 Choosing the type of simulator

9.2.6.2 Simulator controls

9.2.6.3 Use of the track simulator’s joystick

CompeGPS places the track simulator at your disposal so you can move around the scenery as if you were flying a helicopter (car version, too). This option allows you to reproduce a characteristic travelling movement which will help you to view the terrain in the way that is best adapted to your needs.

To enter the simulator mode click on the [image] button on the tool bar. When you want to abandon the simulator mode click again on the same button.

9.2.6.1 Choosing the type of simulator mode

When you enter the simulator mode, look at the lower part of the window to see a field you can select with the label Car simulator. If this field is activated, you will be working with the car mode and the vehicle you will be using will travel on the surface of the landscape. If you assign an altitude value, your vehicle will sink as if attracted by gravity. Furthermore, you will not be able to assign a vertical acceleration to the vehicle.

You can also assign a default value to the type of simulator. To do this you have to go to the options window (read chapter 9.2.5.6. Simulator options).

When you use the track simulator you will be able to adjust the altitude and the vertical speed of your vehicle (read chapter 9.2.6.2. Simulator controls).

9.2.6.2 Simulator controls

These are the controls that are available when you are using the simulator mode:

· Flight direction of the helicopter: To turn the vehicle around hold down the left or the right-hand button of the mouse and move it to the right or the left. You can also turn around using the [image] button on the tool bar. However, if you are using an external view, it will not follow the helicopter’s movement so you will be shown a view of the side of the helicopter.

Note: An up or down movement of the mouse will not result in a change of direction; instead you will be offered a change of view.

· View from inside the helicopter: If you click on the right or left hand button of the mouse and you move it up or down or left or right you will be moving your view in these directions. You can also move your viewpoint using the [image] [image] buttons on the tool bar (look up or down).

Note: right and left movements will change the flight direction of your vehicle.

· View of the helicopter: When you activate the simulator, the initial position of the camera will be inside the helicopter. To get out of the helicopter and obtain an external view, turn the wheel of your mouse forward. The distance between you and the helicopter will depend on how much you turn the wheel. If you do not have a wheel on your mouse you can use the [image] [image] buttons on the tool bar. You will be able to move your view in the same was as if you were inside the helicopter.

· Speed: To increase or reduce the helicopter’s speed, hold down the left hand button of the mouse on the speed marker (lower left hand section of the window) and move up or down, depending on if you want to accelerate or reduce speed, respectively.

· Altitude of the track: To increase or reduce the altitude of the helicopter, hold down the left hand button of the mouse on the altitude marker (lower left hand section of the window) and move it up or down, depending on if you want to ascend or descend, respectively. You can also carry out this function using the [image] [image] buttons on the tool bar.

· Vertical speed: To increase or reduce the vertical speed of the helicopter, hold down the left hand button of the mouse on the altitude marker (lower left hand section of the window) and move it up or down to establish the vehicle’s constant vertical movement.

· Create an artificial track: If you activate this option (see the lower left hand section of the window), the program will create and draw a track that will follow the directions taken by the helicopter. You will be able to carry out all the normal track functions with this artificial track.

When you want to finish creating the artificial track, click again on Create an artificial track. These tracks will have a different colour to the other tracks so you do not confuse them.

9.2.6.3 Use of the track simulator’s joystick

CompeGPS also allows you to pilot the simulator using a joystick. This tool allows you to travel around the 3D scenery in a more intuitive and realistic way.

Several joystick commands are available. In order to assign these commands to the joystick’s buttons and axels, go to the Joystick section of the 3D option window (read chapter 9.2.5.8. Joystick options).

These are available commands that you can assign to the joysticks axels:

· Course-View: When you assign this function to an axel, the axel will then allow you to turn the helicopter right or left, therefore also changing the course that the helicopter is flying.

· Engine: This function establishes the power assigned to the vehicle. If you situate the axel at the negative end, the speed will go dropping down to zero. If you situate it at the positive end, the speed will increase up to it’s maximum (about 300 km/h). If you situate it at an intermediate point, the speed will be proportional to its position.

Note: you can move quicker than this maximum speed if you deactivate this option and you directly increase the speed in the speed marker in the lower left hand section of the window (hold down the left hand button of the mouse and move it upwards).

· Breaks: If you assign this function to an axel, it will apply a negative force on the helicopter in a similar but contrary way as the Engine works. You can also assign this function to a button, leaving an axel free for other functions.

· Dipping-view: To lift or tip the nose of the helicopter, use this function. When you tip the nose of the helicopter, it will fly towards the ground (loosing altitude) and if you lift the nose the helicopter will gain height.

These are available commands that you can assign to the joysticks buttons:

· New waypoint: When you click on a button that has been assigned this function, you will create a waypoint exactly where you clicked on the button. If you create a waypoint while you are flying, the waypoint will not fall to the ground; it will remain suspended at the altitude where you created it.

· Shoot a waypoint: If you click and you do not let go of the button that has this command assigned to it, a front sight will appear. When you let the button go, a waypoint will shoot out forwards and it will stop when it reaches the ground in the direction you were facing with the front sight.

· Shooting sound only: If you want to make a noise for no apparent reason, assign this function to a button and you can make noise as sounding a hooter.

· Breaks: You can assign a breaking function to a simple button instead of using an axel; in this way you will leave an axel free for other functions.

· Quick rise: If you assign this function to a button, when you click and hold down this button a continuous positive vertical speed will be applied.

· Quick descent: This function has the opposite effect but works in the same way as the previously described function. It applies a negative vertical speed.


9.3 3D Rendering

9.3.1 Introduction

9.3.2 Textures and video memory

9.3.3 Mip maps

9.3.4 CompeGPS 2004 3D engines

9.3.5 Regeneration


9.3.1 Introduction

The 3D textures options have changed since the program version 5.61. This version features a window that informs about the computer’s memory status. Carry on reading for further information about 3D rendering and about how to get the best 3D performance taking into account the characteristics of your computer.


9.3.2 Textures and video memory

9.3.2.1 Texture sizes

9.3.2.2 We recommend

Depending on how you have configured you PC and the CompeGPS program, the performance you will get from the 3D viewer can vary quite a lot.

The first fact that you have to be aware of is that modern graphic cards store the textures inside their own memories (textures like images, maps, skies, etc). The size of the memory cards can vary, 32Mb, 64Mb, 128Mb…

If you configure CompeGPS to use may different types of textures, or very large texture files, they will not fit in your graphic card and they will be stored inside the conventional memory. When this happens, 3D performance will drop.

9.3.2.1 Texture sizes

Here is a table with the texture files sizes:

 | Without MipMaps |  | With MipMaps
 | 16bits | 32bits | 16bits | 32 bits
256x256 | 0.12 Mb | 0.25 Mb | 0.16 Mb | 0.33 Mb
512x512 | 0.5 Mb | 1 Mb | 0.66 Mb | 1.3 Mb
1024x1024 | 2 Mb | 4 Mb | 2.6 Mb | 5.3 Mb
2048x2048 | 4 Mb | 8 Mb | 5.4 Mb | 10.6 Mb

If you choose the option “Use MipMaps”, the texture files will need to use around 33% more memory recourses.

9.3.2.2 We recommend

We recommend that you use 1024 size textures and that you configure your graphics card to work a 16 colour bits. Doing this, each texture will use up 2 MB.


9.3.3 Mip maps

Mipmaps texture files contain textures with different qualities. A 1024x1024 mipmap texture is really a texture file made up of several textures: 1024x1024, 512x512, 256x256, 128x128, 64x64, 32x32, 16x16, 8x8, 4x4, 2x2. If the texture is drawn far away, the system will use the lower quality texture, a 16x16 texture for example.

Mipmap cancel out the blinking effect observed when viewing far away textures. Mipmaps are drawn very quickly, but they use up a great amount of memory to do so!


9.3.4 CompeGPS 2004 3D engines

9.3.4.1 Standard

9.3.4.2 Basic

9.3.4.3 Advanced

The new 3D engine can work with several types of texture and landscape qualities at the same time. In this way, the near-by landscapes are drawn in greater detail and the terrain further away from your position.

9.3.4.1 Standard

The STANDARD mode generates 4 textures, and each texture is 3 times better than the previous texture. This is the same system as that used in the CompeGPS versions 5.4 and 5.5.

9.3.4.2 Basic

The BASIC mode generates 1 single texture. This mode is recommended for low power computers. Try this mode using 100.000 polygons; this configuration works quite well in a normal computer! We have carried out test with more than 10 millions of polygons: the program still works quite well but slower!

9.3.4.3 Advanced

The ADVANCED mode allows you to configure all the 3D option. This mode is designed to be used by expert computer users. Here are the definitions for all the variables:

resdemx=90

resdemy=90

exponent=3

num_polygons=5329// (73x 73)

num_layers=4

num_layers_subdem=1

This graphic shows some of these parameters:

“Exponent” is the value that relations the size of one layer and the next. The value of Exponent in this example is 3.

num_polygons Total number of polygons per layer.

num_layers Total number of layers.

num_layers_subdem Extra layer with which we will not get better DEM precision but we will get a better texture effect. The subdem layer only contains textures but it does not contain polygons. This layer is especially useful if you have loaded a very good 2D map with a bad quality 3D landscape.


9.3.5 Regeneration

If, when you are viewing a 3D image, you abandon the best precision area, you can:

· Click on the Regeneration button ‘ [image] ’. This button moves the precisions layers to centre them on to your present position.

· Click on the Automatic Regeneration button, ‘ [image] ’. When you activate this button, CompeGPS will be continuously regenerating so that you will always be viewing the best quality.

CompeGPS uses an independent process to carry out the automatic regeneration process, so you can continue navigating in the 3D view. If you are using a normal Pentium PC, 3D viewing will work a little slower when it is regenerating. Some IV Pentiums are real-multithreading machines; this means that they can really work two programs at the same time. If your computer has one of these processors, the regenerating process will not slow the 3D viewing down.


9.4 Viewing graphics

9.4.1 Open the graphics window

9.4.2 Working with the coordinates axels

9.4.3 Operations to handle graphics

9.4.3 Context menu of a graphic

CompeGPS features a complete graphic viewing system which will allows you to clearly and easily appreciate the variations in the different parameters of your tracks and routes (altitude, speed, temperature, etc)

CompeGPS’ new graphic format allows you to work with your track’s graphics with greater versatility and comfort.

To learn how to reach these graphics, read the chapter Open the graphics window .

The chapter Working with the coordinates axels will give you information about how to change the values of the x and y axels.

The chapter Operations to handle graphics details the available graphic viewing options so you can view graphics as best suited to your needs.

Lastly, the Context menu of a graphic chapter details the options available when you right click on a graphic.


9.4.1 Open the graphics window

You can open the tracks’ graphic window by carry out any of the following operations:

· Click on the [image] button (view graphic at foot of page) on the tool bar. As a result a window will open in the lower part of the graphics window with a representation of the tracks you have loaded at the time.

· Select the menu option View graphic at foot of page in the Tracks section of the main menu.

· Open the context menu of a track (right click on the drawing of a track) and select the Graphics option. As a result a window will open in the lower part of the graphics window with a representation of the tracks you have loaded at the time.

· You can also open the context menu from the Data tree by right clicking on the name of any of the tracks. Then choose the option graphics window.

· Open the List of tracks (in the tracks section of the main menu) and click on the Graphics option. The graphic of the track will open. In this case, the graphic will appear in the old format.

You can open the route’s graphic window by carry out any of the following operations:

· Open the context menu of a route (right click on the drawing of a route) and select the Graphics option. As a result the route graphic window will open using the old graphic format.

· You can also open the context menu using the data tree by right clicking on the name of the route. Then select the menu option Graphics.

· Open the List of routes (from the routes option of the main menu) and click on the Graphics option. As a result the route graphic window will open using the old graphic format.

Note: This window can be anchored (they will not superpose the main window) or it can be a floating window (an independent window that does superpose the main window). To interchange between these two modes, right click on the title bar (top left part of the window) and select Anchor in the main window or See floating, as you wish. You can also un-anchor a window by dragging it by the title bar.


9.4.2 Working with the coordinates axels

Coordinates of a point: To know the exact location of a point represented on the graphic, place the pointer on top of it and read the values that appear in the X: and Y: fields. These values are expressed in the measurement units that you have predetermined for these axels.

· Modify variables on the Y axel: To change or add a variable on the on the Y axel, follow these instructions:

1. Open the graphic’s context menu (right click anywhere on the graphic).

2. Click on the option Value of Y axel. The window that will open gives you a list of the variables you can choose from.

3. Choose the variable that you want from the list in the available fields column and click on > (right pointing arrow).

4. Choose the variable that you want to remove from the list in the selected fields column and click on < (left pointing arrow).

5. Click on OK and the representation of the variable will be shown.

Note: Only one variable will be shown even ff you have selected more than one variable in the selected fields column. If you want to view several graphics at the same time you will have to select a part or a whole track and create a sub track with it (read Select a sub track). Then open the context menu of the sub track (right click on it), Sub track > Graphic of a sub track.

Note: When you are working with the sub track’s graphic window (read previous note), you can also modify the fields of the graphic using the button [image]. In this case, the modifications you make will be stored and the first positioned selected field will be established as the predetermined one for the foot of the page graphic.

Modify variables on the X axel: To change or add a variable on the on the X axel, follow these instructions:

1. Open the graphic’s context menu (right click anywhere on the graphic).

2. Go to the Value of the X axel chapter and select Distance or Time.

3. The variable will change automatically.


9.4.3 Operations to handle graphics

The buttons that allow you to operate with a graphic are situated in the top part of the graphics window. These are the tools available:

· 3D Viewer [image] : Click on this button for a tri-dimensional representation of the graphic. This option allows you to view the graphic from different perspectives. To do this you will have to activate the Movement tool, and then you will be able to move the graphic around using any of these processes:

When you hold down the left button of the mouse and move it at the same time, you will be able to move the graphic up, down, left or right.

When you hold down the right button of the mouse and move it at the same time, you will be turning the graphic around on it’s own axel so you will obtain different perspectives of it.

· Zoom: When you click on the [image] button you will move nearer to the graphic; when you click on the [image] button you will move away from it.

· Zoom window [image] : Activate this tool if you want to zoom in on a certain area of the graphic then, while you hold down the left button of the mouse, select the area you want to zoom in on. When you let go of the left button, the area you had marked will enlarge and occupy the available space of the graphic.

· See all [image] : This tool allows you to re-establish the original zoom. In this way the entire graphic will again be in view on the screen.

· Movement [image] : When you activate this button you will be able to move the graphic in any direction while you hold down the left hand button of the mouse and you move it at the same time.

Note: The 3D Viewer mode also allows you to change the perspective of the graphic if you click the right hand button of the mouse and move it at the same time.

· Activate selection mode [image] : Activate this mode and you will be able to select a part of the track (hold down the left hand button and drag the mouse) and create a sub track with this selection. You can carry out several operations with the sub track, with independence of the rest of the original track (analysis, eliminate, save or zoom on screen). Read the chapter Context menu of a graphic for full information.

· Legend [image] : A new window will appear to the right of the graphic when you activate this option. This window will explain to you what are the elements that appear on the screen.

· Print [image] : Click on this button and select the printing option in order to print the graphic.

· Two more tools will be available if you have more than one active track:

· Choose track to be represented: You can choose if you want to represent all the active tracks or only the track you have selected at the time.

· Separate graphics [image] : If more than one track is being represented at the same time, you can choose if you want to view them in the same graphic or in different graphics.


9.4.4 Context menu of a graphic

These are the operations available when you open the context menu (right click on any part of a graphic):

· Play here: The animation will start at the point of the track that you have clicked on. If you have more than one track loaded at the same time, the animation will correspond to the first track you loaded.

· Analysis of a sub track: If you have selected a sub track (left click and drag on a graphic), this option will allow you to carry out an independent analysis of the sub track.

· Eliminate a sub track: This option eliminates the sub track you have selected. The empty space left will be visibly joined together with a straight line.

· Save track as: You can give the sub track a name and address to store it apart from the main track it came from.

· Zoom here: To zoom into the sub track selected on the main window.

· Value for X axel: Allows you to select the X axel variable.

· Value for Y axel: This option opens the list of variables than can be represented on this axel. Read Working with the coordinates axels.

· Insert a mark: The option creates a reference point in the place where you opened the context menu. This mark will also be visible in the drawing of the track in the main window.

If you have created more than one mark, only one of them will be visible in the main window. If you want to view a certain mark in the main window you will have to click on it in the graphics window.

· Eliminate a mark: This option opens a window with a list of marks; choose the one you wish to eliminate.

· Insert an axel: You can create a new reference axel with any point of origin that you want. Left click on the point where you want to create the origin. You can change this point at any time by left clicking on it and dragging it with the mouse.

· Eliminate an axel: If you click on the origin of the new axel, you can eliminate it using this option.

· Print: To open the graphics printing window.


9.5 Moving Map

9.5.1 Activate a route

9.5.2 Data window

9.5.3 Program an alarm

9.5.4 Moving Map button bar

The Moving Map is CompeGPS’ working mode that allows you to continue working with the program at the same time you move around (normally in a car with a laptop). Simultaneously you will be able to integrate the information given by your GPS regarding your position. In this way you will have full information about your movements and the route, track or waypoint that you are following.

There are two ways to activate the moving map:

· Click on the [image] button on the tool bar.

· Select the menu option Activate moving map in the Communication section of the main menu.

When you open the moving map, the data window will appear at the bottom or the side of the screen and the moving map button bar will appear at the top of the screen with the other buttons.

The Moving Map section of the main menu has the same tools as the button bar (read moving map button bar) as well as a few more specific tools:

· Activate moving map: To active this mode.

· Horizontal-Vertical views [image] : To change the position of the data window from the bottom of the screen to the side of the screen. You can also activate or deactivate this window by using the See Moving Map window [image] option.

· Navigate towards a waypoint: When you select this option you will be asked to choose from the list of waypoints loaded at the time, towards which waypoint you want to navigate. You will then be told which direction you have to go in to reach the waypoint.

Note: If you want to navigate following a route you will have to activate it following the instructions given in the section Activate a route.


9.5.1 Activate a route

To be able to follow a route with the Moving Map, first you have to activate it. To do this you can three options:

· Right click on the route and select Activate route.

· Using the Data Tree, open the context menu of the route that you want to activate (right click) and select Activate a route.

· Click on the button Activate a route from the list of routes, and then click on the route that you want to activate.

Once you have activated a route the program will automatically establish the first waypoint as you destination point. Once you have reached this waypoint, the next one will become your new destination, and so on.


9.5.2 Data window

You can move the data window from the bottom of the screen to the side of the screen. To do so, use the option Horizontal-Vertical views in the Moving Map section of the main menu.

This window allows you to view several statistics (speed, altitude, time to next point, course, etc). They can be configured by right clicking in the window and choosing the option Select fields. The next window to open allows you to remove or add fields to the Data Window. To remove a field, select it from the list in the Selected fields window (left click) and click on the arrow pointing left. To add a field, select it from the list in the Available fields window and click on the arrow pointing right. You can also order the fields by clicking on the arrows pointing up and down.

The default values of the moving map data window are:

· Speed: Your current speed is calculated using the information supplied by the GPS.

· Tangential acceleration: This value indicates the grade in which you are increasing your speed. A high figure indicates that you are quickly gaining speed.

· Normal acceleration: This value indicates the intensity with which you are being taken into the centre of the circumference that you draw while you turn. A high figure in this field indicates a great centrifugal force that will push the contents of the vehicle in the opposite direction to the centre of the circumference.

· Turn radius: The more open the curve you are moving along, the larger the turn radius will be, since this figure represents the distance between you and the centre of the circumference.

· Real delay: When you situate the pointer on any point of the map, this figure represents the angle that is formed between the line that joins the point you are marking and your present position and another line that joins your present position and the north.

· Distance to the pointer: This figure represents the distance between your present position and a position that you mark on the map with the pointer.


9.5.3 Program an alarm

CompeGPS allows you to program an alarm that will ring when you reach a certain point related to any of the variables represented on the data window of the moving map. For example, you can program an alarm to ring when you reach 100 km/h, or when you reach a certain altitude. To do so, right click on the field that you wish to associate the alarm to (i.e. Speed) and select the option Program an alarm. The next window to open allows you to configure the following information:

· Maximum: Select this option if you want to alarm to ring when you reach a maximum value of the chosen variable. Then introduce the maximum value in the box on the right.

· Minimum: Select this option if you want to alarm to ring when you reach a minimum value of the chosen variable. Then introduce the maximum value in the box on the right.

· Ringing alarm: If you want to here the alarm, select this option and click on Select sound to choose between the sounds available on your computer.


9.5.4 Moving map button bar

These are the tools that you will find on the tool bar that opens when you activate the moving map:

· Save moving map track *: Click on this button to give your track a name and decide where you want to store it.

· Create a Waypoint here [image]: Click on this button to create a waypoint using your current coordinates.

· Seek for larger scaled maps [image]: This tool will look for a map where each pixel represents fewer meters; so the map will be more detailed.

· Variable ring [image]: When you select this option, you will be asked to write the size of the radius of the ring that will appear around your present position, and also the number of equidistant rings.

· Fixed ring and parallel lines [image]: This tool will draw a ring around your present position (you will have to write the radius you want to use) and it will also draw two lines running parallel to your course. These two lines start from the circumference of the ring, so you will be able to foresee how much space will be taken up by the fixed ring in it’s future location.

Note: The fixed ring can, for example, symbolise your car. In this case you will have to introduce a radius of less than 1 m.

· View speed and acceleration vectors [image]: Three vectors will appear on the screen when you activate this tool. The three vectors will indicate your speed, your tangential and normal acceleration. The larger the vector the greater these values will be.

· Elastic GPS line-Pointer [image] : When you select this tool, a line will be drawn from your present position and the position where you move the pointer.

· View turn radius [image]: This tool will show you a drawing of the circumference that you are currently following. This circumference represents the course that you will follow if you continue with the same turn radius.

· Centre map on present position [image]: When you click on this button the map will be re-situated so that your present position will become the centre of it.

· Show more map on front [image]: Your position will not be in the center of the screen but you will have 80 % of the map on front, so you can see a bigger part of zone you are going to.

· Centre map at 10% move [image]: When you activate this option your position will only move 10% away from the centre of the screen because when that happens the map will automatically centre on your present position.

· No automatic map movement [image]: Activate this option if you do not want the map to automatically follow your movements.

· Position map according to course [image]: When you activate this option, the map will automatically move to follow your course so the arrow will always point towards the top of the screen. This makes it easier to follow the indications. It also means that the map will no longer face north if you are not following a northern course.

· Head towards previous waypoint [image] : When following a route, click on this button to go to the waypoint positioned before the one you were going to until then.

· Head towards next waypoint [image] : When following a route, click on this button to go to the waypoint positioned after the one you were going to until then.

· The following tools are not default values on the moving map button bar, but they can be included using the Keys and button window of the Configuration options (read Configurating keys and buttons):

· View Moving Map window [image]: This tools allows you to activate and deactivate the data window situated at the foot of the screen.

· Change section [image]: Click on this button to end this section of the track and start with a new section.

· Eliminate last section [image]: This button eliminates the last section of the track.

· Create waypoint here–Questions [image]: The waypoint property window will open when you click on this button. The details therein correspond to your current coordinates. To create the waypoint, fill in the information you want.

· Increase colouring [image]: To give the track more colouring to make it more visible.

· Increase thickness [image]: To make the track’s line thicker.

· View bowline [image]: A line will be drawn, when you activate this option, to indicate your current course.


10 The Data Tree

10.1 Open the data tree

10.2 General options

10.3 Working with maps

10.4 Working with landscapes

10.5 Working with tracks

10.6 Working with waypoints

10.7 Working with routes

The data tree is a very practical tool that will make working with the elements you have opened. It allows you quick access to the most important operations that can be carried out on the different elements (maps, landscapes, tracks, waypoint and routes). It also allows you to view at a glance which elements you have loaded on the screen at a given moment in time.

The data tree automatically opens when you start up the program and it looks like this:

You can also program the data tree to make it transparent (Read Floating tree ).


10.1Open the data tree

10.1.1 Position of the data tree

10.1.2 Floating tree

10.1.3 Anchored tree

To activate the data tree, carry out any of the following operations:

1. Click on the [image] button that you will find on the tool bar.

2. Select the option View data tree in the See section of the main menu.


10.1.1 Position of the data tree

You can make certain adjustments to the Data tree window to view it in the way best suited to your needs. Two basic viewing options are available: in an independent floating window or in a window anchored to the main window.


10.1.2 Floating tree

We consider this the most versatile and recommendable way to set up the data tree. This is the mode in which the tree will normally open but if the anchored mode is activated, you can deactivate it by right clicking on the top part of the window and selecting the option View floating.

These are the operations you can carry out to adjust viewing while the window is in the floating mode:

· Transparent view: Right click on the top part of the window and choose the option See transparent. The window will become semi-transparent so you will be able to also see the elements on the window underneath the data tree.

· Move: You can move the window as you wish by left clicking in the title bar (the blue strip at the top of the window) and the drag it to it’s new position.

· Size: To adjust the size of the window, move the pointer to any of the corners of the window and, while you hold down the left button, move the mouse to modify the size of the window.


10.1.3 Anchored tree

To anchor the data tree in the main window, right click on the title bar and select the option Anchor in main window.

These are the operations you can carry out to adjust viewing while the window is in the anchored mode:

· Change position of the window: right click on the top of the window to choose if you want it on the left or on the right or horizontally positioned.

· Change size: Hold down the left button of the mouse on the inside of the frame of the window and drag to increase or reduce the space taken up by the data tree.


10.2General options

Right click on the name of the program (CompeGPS Land) situated at the top of the data tree; the context menu will open offering the following functions:

· Properties: The new window that opens gives you information about CompeGPS such as:

· Version: Tells you which version of the program you have installed.

· Registered by: Here you can check if your CompeGPS has been registered and in whose name it has been registered.

· Plugins: This is a list of all the installed plugins.

· Options: To access the options window. Read Configuration options.

· Save as: When you use this option all the changes is all the elements open (tracks, routes, maps…) will be saved. The program will ask you to confirm that you do really want to save each element because the file in question will be re-written on top of the older file.

· Close all: To close all the open elements. Before completing this operation you will be asked if you want to save the changes you may have made to any of the elements.


10.3Working with maps

10.2.1 Move map to a different layer

10.2.2 General map operations

10.2.3 Working with a specific map


10.3.1 Move map to a different layer

If you have loaded several maps covering the same area and these map overlap totally or partially, you can establish a certain viewing order. The map situated at the top of the list will overlay all the other maps. The next on the list will have preference on all the other maps except the first map, and so on.

To change the position of a map on the list, mark it (left click on it) and while you hold down the Alt key, click on the arrow pointing up to move the map up a position, or click on the arrow pointing down to move the map a position down.


10.3.2 General map operations

Right click on the maps label to access these options:

· Properties: The window that will open when you select this option will tell you how many maps you have loaded at that time, the projection you are working with (the projection is established by the primary map, read list of open maps) and the total memory resources taken up by the open maps.

· Open map: Choose the map you are interested in from the list that will appear, and click on open.

· Close maps: This option closes all the open maps, leaving only one blank map open on which all the other elements will be displayed.

· Open index map: This option opens the map you have named as the index map.

· Download Internet map for this area: This option opens the Internet map download window. Read Download Internet map for this area.


10.3.3 Working with a specific map

When you right click on the name of a map that you have already opened, you can carry out the following operations:

· Close map: To close the map associated to this context menu.

· View borders of all maps: This option shows you the borders of all the maps that you have available in your PC.

Note: the program will only contemplate the maps you have stored in the folder you predetermined in the folders section when programming the Configuration options. Read Configurating working folders.

· Select active folder for map borders: This option allows you to choose which is the folder you want to use to draw the map borders. This option can be used when the previous option is activated.

The initial folder will be the folder at the top of the list in the Map folder field, which you will find in the Folder section of the Configuration options. (Read Configurating working folders). You will be able to choose between all the folders in the list.

· Send map to CompeGPS Pocket: This option allows you to transfer the selected map to the sister program.

· Multimaps, advanced…: This section gives you access to the following options:

o Transparent view: A smaller window will open when you activate this option. This window allows you to specify the degree of transparency of the data tree with respect to the window underneath it.

o Establish as primary: This option allows you to establish a certain map as the primary map. As a result, if a calibration conflict arises, the other maps will adapt themselves to the primary map. (this only affects very large or very distant maps).

o Bring forward: This option moves the selected map on top of all the other maps, so it is not covered by any of them.

o Send behind: This option lowers the selected map to the next layer down.

o List of maps in the memory: To access the list of maps.

o Revise map calibration: The access to this option even when other maps are open.

o Edit vectorial map: To open the vectorial edition bar.

o Save map as: This option allows you to save the map choosing the name and the folder.

o Layer administrator: To access this vectorial map tool.

o Move map calibration: Introduce an x and a y value to alter the map’s calibration.

· Zoom here: To place the selected map on the screen.

· Map properties: To open the properties window of the selected map.


10.4Working with landscapes

10.3.1 General landscape operations

10.3.2 Working with a specific landscape


10.4.1 General landscape operations

Right click on the landscape label to access these options:

· Properties: The window that opens when you select this option will tell you how many landscapes you have loaded at that time.

· Close landscapes: To close all the landscapes loaded at a certain time.


10.4.2 Working with a specific landscape

When you right click on the name of a landscape that you have already opened, you can carry out the following operations:

· Landscape properties: To open the properties window of the selected landscape.

· Close landscape: To close the landscape that the context menu refers to.

· Save landscape as: This option allows you to store a landscape using a format, name or location different to the original ones.

· Draw 3D landscapes: When you select this option you will be able to view a 2D representation of a 3D landscape in the main window.

· 3D viewing options: To direct access the 3D landscape section of the options window. For full information about these configuration options read Configurating 3D landscapes.


10.5Working with tracks

10.4.1 General track operations

10.4.2 Working with a specific track


10.5.1 General track operations

Right click on the tracks label to access these options:

· Open track: Select the track from the list that will be displayed and click on open to load the track.

· Close tracks: To close all the tracks you have loaded at that time.

· Create and edit a new track: To open the track edition bar. For full information about this function read Create and edit a track.

· Foot of the page graphic: To view the foot of the page graphic with all the loaded tracks.

· Join tracks: This option joins all the open tracks into one single track.

· Properties: The window that opens when you select this option will tell you how many tracks you have loaded at that time.


10.5.2 Working with a specific track

When you right click on the name of a track that you have already opened, you can carry out the following operations:

· Track properties: To open the properties window of the selected track.

· List of points: This option opens a smaller window at the bottom of the screen, naming all the points that make up the track, giving details of each of the day, time, latitude, longitude, altitude and speed for each o these points. These fields can be edited by double clicking on the point you want to work with.

· Close track: To close the selected track.

· Save track: This option saves track with the modifications you have made to it using the same name, so you will loose the information stored as the original track.

· Save in track book: This option saves the selected track in the track book that you have open at the time.

· Save track in track book: To save the track in the track book.

· Send to:

o Send track to a GPS: To load the track onto your GPS.

o Send track to the CompeGPS Track Server: To load the track onto the CompeGPS Track Server.

o Send to CompeGPS Pocket: To send the track to the CompeGPS Pocket program.

o Send by E-mail: This option opens an e-mail message, using your predetermined e-mail program, and includes the track file as an attachment.

· Graphics window: This option opens the graphics window with a representation of all the loaded tracks.

· Zoom here: This option adjusts the focus so that the course is clearly in view on the screen.

· Tools:

o Close all except this one: To close all the open tracks except the track you have selected.

o Move a track: This option allows you to move a track by modifying its coordinates and time values.

o Calculate altitude to surface for each point: If you also have a 3D landscape loaded, this function will assign the corresponding altitude reading to each of the track’s points. Once the operation is completed you will be informed that “Surface altitude readings for this track have been imported”.

o Incorporate pulsometer data from another file: This option allows you to incorporate the pulse readings, obtained by another instrument, to the track’s properties.

o Divide track into several tracks: This option allows you to separate into different tracks a group of tracks that you have downloaded from your GPS. This operation is normally carried out when you download tracks from a GPS but, using this tool, it can be carried out at any time.

o Eliminate stationary points at beginning and end: To remove the repetitive points at the beginning and end of the track.

o Reduce number of points: You will be asked to indicate a number of points and then the track will be re-drawn maintaining the same form as best possible but using only the number of points you have written.

o Assign time and speed: To assign a departure time and a constant speed to a track so that CompeGPS can calculate the time to be assigned to each point of the track.

o Eliminate abnormal points: To remove any point that is situated too far away from the rest of the track, in which case it is considered to be an error.

Another operation you can carry out on a track using the data tree is to Convert a track into a route. To carry out this operation drag the track (holding down the left button of the mouse) from the track section to the route section of the tree. The new route will be made up of 10 points that will maintain the same course as the track. However, you will not be able to load this route onto the GPS.


10.6Working with waypoints

10.5.1 Move waypoints about the tree

10.5.2 General waypoint operations

10.5.3 Working with a specific waypoint file

10.5.4 Working with a specific waypoint


10.6.1 Move waypoints about the tree

Individual waypoints can be moved about the tree within the same file or to another waypoint or routes file. These are the operations you can carry out related to these movements:

· To move a waypoint from one file to another (eliminating the waypoint from the original file), drag it while you hold down the left hand button of the mouse and move it to the new file. You have to let the waypoint go right on top of the name of the destination file.

· To copy a waypoint into another file (thus also keeping the original waypoint) follow these instructions:

1. Click and hold down the Ctrl key.

2. Select the waypoint and drag it (click and hold down the left hand button while you move the mouse) to the destination file. You have to let the waypoint go right on top of the name of the destination file.

· To change the order of the waypoints within a file, follow these steps:

1. Select the waypoint that you want to change place (left click on it)

2. Hold down the Alt key, click on the arrow pointing up or on the arrow pointing down to move the waypoint towards the beginning or the left of the list, respectively.


10.6.2 General waypoint operations

Right click on the tracks label to access these options:

· Open track: Select the file from the list that will be displayed and click on open.

· Create a new waypoint file: This option creates a new empty .wpt file. You can change the name of this file using the Save waypoint as function (read Create a waypoint file).

· Close all waypoint files: To close all the waypoint files.

· Properties: This option allows you to choose if you want to be able to open several waypoint files at the same time or just one. If you choose to be able to only one file, when you ask to open a second file the first file will automatically be closed.


10.6.3 Working with a specific waypoint file

When you right click on the name of a waypoint file that you have already opened, you can carry out the following operations:

· Close waypoints: To close that waypoint file.

· Print list of waypoints: This option opens the printer window to be able to carry out printing operations using the waypoint list.

· List of waypoints: To open the list of waypoints that belong to that file.

· Save waypoints: This option over-writes the original waypoints with the modifications you have made.

· Save waypoints as: This option allows you to give a new name and storing route to the waypoints file, thus keeping the original file intact.

· New waypoint: This option allows you to add a new waypoint to the file; introduce the coordinates and other required information in the waypoint property window.

· Send to:

o Send waypoints to a GPS: To load a waypoint file onto your GPS.

o Send to CompeGPS Pocket: To send the waypoint file to the CompeGPS Pocket program.

o Send by Email: This option opens and e-mail including the waypoint file as an attachment.

· Properties: This option opens a new window that gives you details about the name of the file, the number of waypoints that it contains and it allows you to choose if you want to view the waypoints on the screen or not (double click on this field to modify it).


10.6.4 Working with a specific waypoint

When you right click on a specific waypoint inside a waypoint file, you can carry out the following operations:

· Properties: To open the properties window for the specific waypoint.

· Eliminate waypoint: To remove that waypoint from the list.

· GOTO this waypoint: Specify that certain waypoint as your destination when you are working with the moving map.

· Send this waypoint to the GPS: To load that waypoint on to your GPS.

· Zoom here: To situate that specific waypoint in the centre of the screen.


10.7Working with routes

10.6.1 Move waypoints about a route

10.6.2 General route operations

10.6.3 Working with a specific route

10.6.4 Working with a specific waypoint


10.7.1 Move a waypoint about a route

Individual waypoints can be moved about the tree within the same file or to another route or waypoint file. These are the operations you can carry out related to these movements:

· To move a waypoint from one route to another (eliminating the waypoint from the original route), drag it while you hold down the left hand button of the mouse and move it to the new file. You have to let the waypoint go right on top of the name of the destination file.

· To copy a waypoint into another route (thus also keeping the original route) follow these instructions:

1. Click and hold down the Ctrl key.

2. Select the waypoint and drag it (click and hold down the left hand button while you move the mouse) to the destination route. You have to let the waypoint go right on top of the name of the route.

· To change the order of the waypoints within a route, follow these steps:

1. Select the waypoint that you want to change place (left click on it)

2. Hold down the Alt key, click on the arrow pointing up or on the arrow pointing down to move the waypoint towards the beginning or the left of the list, respectively.


10.7.2 General route operations

Right click on the routes label to access these options:

· Properties:

· Close routes: To close all the routes you have opened.


10.7.3 Working with a specific route

When you right click on the name of a route that you have already opened, you can carry out the following operations:

· Properties of a route: This option opens the properties of a route window.

· Save route: This option over-writes the original file.

· Save route as: This option allows you to give the route a new name so you also keep the original file.

· Close route: To remove the route from the screen.

· Invert the route: This option inverts the order of the waypoints that make up a route.

· Graphics: This option opens the window with the graphic of the route. The type of graphic displayed can be modified using the [image] button.

· Send to: To send the route to different destinations.

o Send route to a GPS: To load the route onto your GPS

o Send to CompeGPS Pocket: To send the route to the CompeGPS Pocket program.

o Send by Email: This option opens and e-mail including the route as an attachment.

· Convert route into a track: This option creates a new route file in TRK format. This allows you to handle a route as if it were a track in which the waypoints become points of the track. You can also carry out this operation by dragging the route to the track branch of the tree.

· Activate a route: This option allows you to insert the route in the moving map so you can follow it using this feature.

· Zoom here: This option focuses the route in the main window.


10.7.4 Working with a specific waypoint

When you right click on a specific waypoint inside a route, you can carry out the following operations:

· Properties: To open the properties window for the specific waypoint.

· Eliminate waypoint: To remove that waypoint from the list.

· GOTO this waypoint: Specify that certain waypoint as your destination when you are working with the moving map.

· Send this waypoint to the GPS: To load that waypoint on to your GPS.


11 Annex: AIR

11.1 Configuration options (Default values and Flight)

11.2 Thermals and transitions

11.3 On line contest

11.4 3D Differences

11.5 Track properties

11.6 Track editor

11.7 Minor differences

The Air version of CompeGPS have some specific characteristics that will be explained in the following text.


11.1 Configuration options (Default values and Flight)

11.1.1 Default values

11.1.2 Flight

In the options window (File>Options) you can find some extra configuration possibilites.


11.1.1 Default values

In this window you can configure the next values:

· Pilot’s name

· Take-off name

· IGC Glider type

· IGC Glider ID

· IGC Competition Class

· Competition ID

· Birth date


11.1.2 Flight

In this section you can configure, in addition to the Land options, these extra ones:

· Instrument IGC name: Here you can introduce the characters that will identify you, inside the IGC file.

· Value for altitudes: You can choose the GPS altitude or barometric altitude to provide this important data of your flights.


11.2 Thermals and transitions

CompeGPS Air allows the visualization and analysis of the thermals and transitions that you performed during your flight. For a good visualization use de 3D viewer and press the [image] button to see the thermals (see section 3D Differences).

You can make a detailed analysis of the variables that define your thermals and transitions going to the Thermals and transitions window. To open it, select Thermals and transitions at the context menu of that flight (right click on it).

In this window you can find the next information:

· Icon: Graphic representation of the element type (thermal or transition) for its fast identification.

· Type: Thermal or transition. This clasification is made by an algorithm that, basically, separates the climbing stages from the descending ones. When calculating this statistic, some errors may happen. We recommend to verify, with numeric and graphic data (3D viewer), the accuracy of this classification.

· Mean vario: Shows the mean vertical speed in this section. A negative value indicates a loss of altitude while a positive one indicates a climb.

· Number of turns: It only apperars with the thermals, when you are usually drawing circles.

· Glide ratio (linear): This value indicates the covered distance, with the actual descending angle, to go one meter down. Therefore, a high glide ratio value means a light descent while a small one indicates that you plummet.

· Duration: Time between the start and the end of the section (thermal or transition).

· Projected distance: Distance projected to a flat ground, that is not counting with altitude variations. Therefore, a completely vertical climb would have Projected distance = 0.

· Mean speed: Arithmetic mean of the speeds of that stage.

· Maximum height difference: Substracts the lower point of that stage to the higher one.

· Track bearing: Mean bearing in that stage.

· Thermal radium average: The radium that would have a circle that was a mean of all the turns made in that thermal.

· Drift direction: Orientation where you have been moved during the thermal.

· Drift speed: Velocity with wich you have been moved away from the vertical line when making that thermal.

· Drift angle: Detected inclination in that thermal. A 0 value would indicate a completely vertical climb. If this angle rises, the ascention is smoother.

· Max. Vario: Maximum climbing vertical speed.

· Min. Vario: Maximum descending vertical speed.

· Number of right turns: Right turns during this thermal.

· Number of left turns: Left turns during this thermal.


11.3 On line contest

11.3.1 What is On line Contest?

11.3.2 Send a flight to On Line Contest


11.3.1 What is On Line Contest?

On Line Contest is an Internet meeting point where pilots of around the World can compare their flights and compete to be the best of their category.

To upload your flights to OLC, they have to be in a specific format (IGC track + embedded route). This format has been set as a standard to make an easier and reliable flight comparison.

With CompeGPS you can easily make the OLC conversion operation and send the file to OLC web page. See next section.


11.3.2 Send a flight to On line contest

CompeGPS lets you save a flight for On Line Contest, creating a track .IGC with an embedded route and an .OLC file and sending it to the OLC. web page.

To save a track in .OLC format and send it to the On Line Contest follow next steps:

  1. Load the flight which you want to send to OLC executing one of these operations:

· Click the [image] button (open track).

· Select the menu option Tracks > Open track.

  2. Right click in any point of the track. The context menu of the track will appear.

3. Select Optimization. You will be asked for a name and location to save the optimizated track. It is important to preserve the original format of the file name.

4. Press Save and CompeGPS will automatically make the necessary operations to include your track in On Line Contest.

5. A window with statistic information about your flight will appear. Select the competition and route type. Then Send to OLC server.

6. A new window with two labels will open: Flight and Pilot. In the first one you have to set a zone and a name to your flight. In the second, you should fill up all the fields with several informations about the pilot.

7. In the lower part of the window you can directly Send to OLC or Save as… the IGC and OLC files in your computer to consult or send it later.

8. When Send to OLC the program will connect to OLC web page. Follow the instructions from there.


11.43D Differences

11.4 3D Differences

The CompeGPS AIR 3D viewer has some added functions:

· Draw the virtual shadow: If this option is activated, a projection of the flight will be drawn over the ground.

· View the flight thermals: This option lets you clearly distinguish the thermals and see an ilustrative representation of its way.

· View flights: With this option disabled you won’t see the current track but, if they are activated, the thermals and flight parameters will be drawn.

· View flight parameters: This tool will make the flight analysis easier creating a graphic representation of the parameters that define it.


11.5 Track properties

The track (or flight) window has several differences with the Land version:

· In the General section there is a field to write the name of a passenger.

· In GPS we have included the possibility to specify the barograph model.

· In the Altitudes section, the maximum and minimum slope data have been eliminated and the vertical velocity is called Vario.

· We have included an IGC section where you can find and modify the following information (useful for IGC files, required format to accede to On Line Contest):

o IGC Glider Type: Your flying way.

o IGC Glider ID: Glider identification.

o Competition ID: Competition identificator.

o IGC Competition class: Competition category.

· The section Number of thermals have been included. There you can find, in addition to the number of them, the following statistics:

o Time in thermal: Elapsed time in thermals.

o % of time in thermals: This percentage express the Time in thermal with respect to the total time.

o Thermal set radium: This is a mean of the radius of all turns of all thermals.

o % Turning left: Percentage of right turns.

o % Turning right: Percentage of left turns.


11.6Minor differences

In addition to the previously mentioned ones, you can find the following modifications in the AIR version of CompeGPS:

· Moving map: In the AIR version, the Moving map section of the main menu does not exist, but you can activate the moving map pressing the [image] button.

· Color track: You can color your track by some Air-specific parameters (in addition to the Land ones):

o Air speed: If wind speed data is available, this parameter will express our relative speed with respect to that wind (this way, an opposite 10 km/h wind will add 10 km/h to the track speed, resulting the Air speed).

o Track Land Altitude: Altitude of the ground we are flying over.

o Track Altitude over land: Distance between the pilot and the ground (this statistic is calculated substracting the Track Land Altitude to the Track Altitude or over sea altitude).

o Waypoints made: Waypoints that you have reached.

o Competition distance: Distance that you have covered in the straight line that links the waypoints. For example: If you take off and go in a 90 degrees direction with respect to the line to the second waypoint, you will have a 0 Competition distance.

o Wind speed: If you have anemometer data available, here you will see the wind speed.

o Wind direction: This complement the previous information about the wind. .

· Graphics: In the AIR version, the Graph window have a representation of the landscape that we are flying over, so you can see the track alitude over the ground.

· Import altidudes from other tracks (barograph): This option is only accessible from the Tools section of the context menu of the track in the AIR version and is used to fit altitude data (taken from an other GPS or Vario) to a track saved without it.


sadfsdfasd

Index

1 Starting up with CompeGPS. 9

1.1 How to use this help.. 9

1.1.1 How the help works. 9

1.1.2 Basic contents of the help. 9

1.2 How to install CompeGPS.. 10

1.2.1 System requirements. 10

1.2.2 Installing the CompeGPS CD-ROM.. 10

1.2.3 Installing the version downloaded from the Internet. 11

1.2.4 Starting up CompeGPS.. 11

1.2.5 Registration. 12

1.2.6 Uninstalling CompeGPS.. 12

1.3 Basic configuration to start using CompeGPS.. 12

1.3.1 Measurement units. 12

1.3.2 Folder of objects. 12

1.3.3 Protocols and communication ports. 13

1.4 Basic functions to start using CompeGPS.. 13

1.4.1 Download a track from the GPS.. 13

1.4.2 Open a track.. 14

1.4.3 Open a map. 14

1.4.4 Open a waypoint file. 14

1.4.5 3D viewing. 15

1.4.6 Create a waypoint 15

1.4.7 Create a route. 15

1.4.8 Create a track.. 16

1.4.9 Load a waypoint file onto the GPS.. 16

1.4.10 Load a route onto the GPS.. 17

1.4.11 Load a track onto the GPS.. 17

1.4.12 Create a group file. 17

1.5 Advanced configuration.. 18

1.5.1 Maximum number of open maps. 18

1.5.2 System of coordinates. 18

1.5.3 Default values. 19

1.5.4 Track formats. 19

1.6 Configurating the GPS for data transmission.. 19

1.6.1 Configurating a Garmin GPS for download. 20

1.6.2 Configurating a MLR GPS for download. 20

1.6.3 Configurating a Renschler GPS for download. 20

1.6.4 Configurating a Brauniger Galileo for download. 20

1.6.5 Configurating a Top Navigator for download. 21

2 General options. 22

2.1 Filing options.. 22

2.1.1 Save all 22

2.1.2 Close all 22

2.1.3 Printing. 22

2.1.4 Save as a Web page. 22

2.2 Configuration options.. 22

2.2.1 Configurating maps. 23

2.2.2 General configuration. 24

2.2.3 Configurating coordinates. 24

2.2.4 Configurating communications. 25

2.2.5 Configurating working folders. 25

2.2.6 Configurating animations. 26

2.2.7 Configurating the moving map. 27

2.2.8 International Configuration. 28

2.2.9 Configurating default values. 28

2.2.10 Configurating tracks. 29

2.2.11 Configurating keys and buttons. 29

2.2.12 Configurating Waypoints. 30

2.2.13 Configurating 3D landscapes. 31

3 Working with tracks. 33

3.1 Definitions.. 33

3.1.1 What is a track?. 33

3.1.2 2 and 3 dimensional tracks. 33

3.1.3 What is the CompeGPS Track Server?. 33

3.1.4 What is a sub track?. 34

3.2 Working with tracks.. 34

3.2.1 Download and upload tracks from the GPS.. 34

3.2.2 Open a track.. 35

3.2.3 Open the Track Properties window.. 36

3.2.4 Save a track.. 36

3.2.5 Close a track.. 37

3.2.6 List of tracks window.. 37

3.2.7 Track exchange on the Internet (CompeGPS Track Server) 38

3.2.8 Track animation. 39

3.2.9 Create and edit a tracks. 41

3.2.10 Join tracks. 44

3.3 Working with Sub tracks.. 44

3.3.1 Select a sub track.. 44

3.3.2 Analyse a sub track.. 45

3.3.3 Save a sub track.. 45

3.3.4 Eliminate a sub track.. 46

3.3.5 Graph of a sub track.. 46

3.4 Track Book.. 46

3.4.1 What is a Track Book?. 47

3.4.2 Create a Track Book.. 47

3.4.3 Open a Track Book. 47

3.4.4 Open another Track Book.. 47

3.4.5 Store a track in a Track Book.. 47

3.4.6 Context menu of a track Book.. 48

3.5 Properties of a track.. 48

3.5.1 Open track properties window.. 49

3.5.2 General 49

3.5.3 Date and time. 49

3.5.4 Track points. 49

3.5.5 See. 49

3.5.6 GPS.. 50

3.5.7 Distances. 50

3.5.8 Speeds. 50

3.5.9 Altitudes. 50

3.6 Menu context del track.. 50

4 Working with maps. 53

4.1 Definitions.. 53

4.1.1 What is a map?. 53

4.1.2 Calibration. 54

4.1.3 What is an index map?. 54

4.2 Working with maps.. 54

4.2.1 Open a map. 55

4.2.2 Close maps. 57

4.2.3 Map viewing options. 58

4.3 Advanced operations.. 59

4.3.1 Calibrate and Import maps. 59

4.3.2 Maps via Internet 63

4.3.3 Join maps. 64

4.4 Vectorial maps.. 65

4.4.1 Introduction. 65

4.4.2 Create a vectorial map. 65

4.4.3 Edit a vectorial map. 66

4.4.4 Properties of layers. 68

4.5 List of open maps.. 68

4.6 Properties of a map.. 69

4.7 Context menu of a map.. 70

5 Working with landscapes. 72

5.1 Definitions.. 72

5.1.1 What is a landscape?. 72

5.1.2 3D formats. 72

5.2 Operations with landscapes.. 73

5.2.1 Open a landscape. 73

5.2.2 Close a landscape. 73

5.2.3 Importing landscapes. 74

5.2.4 Download 3D landscapes. 74

5.2.5 Create and edit a landscape. 74

5.3 List of open landscapes.. 77

5.4 Properties of a landscape.. 77

5.5 Context menu of a landscape.. 78

6 Working with waypoints. 79

6.1 Definitions.. 79

6.1.1 What is a waypoint?. 79

6.1.2 Waypoint formats. 79

6.2 Operating with waypoints.. 79

6.2.1 Download and load waypoints onto a GPS.. 80

6.2.2 Open a waypoint file. 81

6.2.3 Create and edit a waypoint 81

6.2.4 Move and copy a waypoint 81

6.2.5 Associate a file to a waypoint 81

6.2.6 Create and edit a waypoint file. 82

6.2.7 Store a waypoint file. 82

6.2.8 Close a waypoint file. 83

6.2.9 Waypoint viewing options. 83

6.3 List of open waypoints.. 83

6.3.1 List of open waypoints context menu. 84

6.3.2 Select fields. 84

6.4 Properties of a waypoint. 85

6.5 Context menu of a waypoint. 86

7 Working with routes. 87

7.1 Definitions.. 87

7.1.1 What is a route?. 87

7.2 Working with routes.. 87

7.2.1 Open a route. 87

7.2.2 List of routes. 87

7.2.3 Create a route. 88

7.2.4 Edit a route. 89

7.2.5 Send and download a route from a GPS.. 92

7.3 Properties of a route.. 92

7.4 Context menu of a route.. 93

8 Groups: joining objects. 94

8.1 Definitions.. 94

8.1.1 What is a group file?. 94

8.2 Working with group files.. 94

8.2.1 Open a group file. 94

8.2.2 Create a group file. 94

8.2.3 Save a group file. 94

9 Viewing options. 96

9.1 Main screen viewing.. 96

9.2 3D viewing.. 98

9.2.1 Open 3D viewing window.. 98

9.2.2 3D controls and movements. 98

9.2.3 Slave camera Mode. 100

9.2.4 3D viewer tool bar 100

9.2.5 Configuration of 3D options. 102

9.2.6 The track simulator 106

9.3 3D Rendering.. 108

9.3.1 Introduction. 108

9.3.2 Textures and video memory. 108

9.3.3 Mip maps. 109

9.3.4 CompeGPS 2004 3D engines. 109

9.3.5 Regeneration. 110

9.4 Viewing graphics.. 111

9.4.1 Open the graphics window.. 111

9.4.2 Working with the coordinates axels. 112

9.4.3 Operations to handle graphics. 113

9.4.4 Context menu of a graphic. 114

9.5 Moving Map.. 114

9.5.1 Activate a route. 115

9.5.2 Data window.. 115

9.5.3 Program an alarm... 116

9.5.4 Moving map button bar 116

10 The Data Tree. 119

10.1 Open the data tree.. 119

10.1.1 Position of the data tree. 119

10.1.2 Floating tree. 120

10.1.3 Anchored tree. 120

10.2 General options.. 121

10.3 Working with maps.. 122

10.3.1 Move map to a different layer 122

10.3.2 General map operations. 122

10.3.3 Working with a specific map. 122

10.4 Working with landscapes.. 123

10.4.1 General landscape operations. 123

10.4.2 Working with a specific landscape. 124

10.5 Working with tracks.. 124

10.5.1 General track operations. 124

10.5.2 Working with a specific track.. 124

10.6 Working with waypoints.. 126

10.6.1 Move waypoints about the tree. 126

10.6.2 General waypoint operations. 126

10.6.3 Working with a specific waypoint file. 127

10.6.4 Working with a specific waypoint 127

10.7 Working with routes.. 127

10.7.1 Move a waypoint about a route. 128

10.7.2 General route operations. 128

10.7.3 Working with a specific route. 128

10.7.4 Working with a specific waypoint 129

11 Annex: AIR. 130

11.1 Configuration options (Default values and Flight) 130

11.1.1 Default values. 130

11.1.2 Flight 130

11.2 Thermals and transitions.. 130

11.3 On line contest. 131

11.3.1 What is On Line Contest?. 132

11.3.2 Send a flight to On line contest 132

11.4 3D Differences.. 133

11.5 Track properties.. 134

11.6 Minor differences.. 134